2006-08-22  Matthias Clasen  <mclasen@redhat.com> 

	* Branch for 2.10

2006-08-23  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilesystemwin32.c: Remove dead code. Reduce spurious
	differences between this file and gtkfilesystemunix.c so that it
	is easier to compare them and check if differences are
	intentional. I will later factor out the common functions and code
	snippets from these two files.

2006-08-23  Tor Lillqvist  <tml@novell.com>

	Fix several problems with the file chooser on Windows, for
	instance prevent duplicated directory entries from appearing.

	* gtk/gtkfilesystem.c (gtk_file_paths_sort): Use
	_gtk_file_system_win32_path_compare() on Windows for casefolded
	sorting.

	* gtk/gtkfilesystemwin32.c (casefolded_hash, casefolded_equal):
	case-independent hash and equality functions. Scan the UTF-8
	strings gunichar by gunichar, and ignore special casing rules, to
	more closely match NTFS behaviour.
	(gtk_file_system_win32_init): Use casefolded_hash() and
	casefolded_equal() for the folder hash table.
	(remove_trailing_slash): Don't remove the slash of a drive or
	share root.
	(get_mime_type_for_file): Take also a WIN32_FILE_ATTRIBUTE_DATA as
	argument, and use that to recognize directories. Don't call
	g_file_test() to check for executables, just look at the file name
	extension directly.
	(gtk_file_system_win32_make_path): Check illegal chars in file
	name, like in gtkfilesystemunix.c.
	(create_file_info): Drop unused basename parameter. Call
	g_filename_display_name() directly for roots, as
	g_filename_display_basename() mishandles those.
	(gtk_file_folder_win32_get_info): Skip sanity check for now, as it
	fails for server share roots. Construct basename only in the if
	branch that uses it.
	(fill_in_names): Use casefolded_hash() and casefolded_equal() for
	the folder's stat_info hash table, too.
	(_gtk_file_system_win32_path_compare): Scan the strings gunichar
	by gunichar and ignore special casing here, too, instead of using
	g_utf8_casefold(). Match slash and backslash.

2006-08-23  Tor Lillqvist  <tml@novell.com>

	* gdk/x11/gdkwindow-x11.c (gdk_window_shape_combine_mask)
	(gdk_window_input_shape_combine_mask)
	(gdk_window_shape_combine_region)
	(gdk_window_input_shape_combine_region): Add Win32 detail to doc
	comments.

2006-08-22  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtktextview.c: do not scroll on copy. Bug #329604.

2006-08-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentchooser.c (gtk_recent_chooser_get_uris): Behave as
	documented and always return a NULL-terminated array.

	* gtk/gtkrecentmanager.c (gtk_recent_manager_real_changed): Make sure
	to reset write_in_progress.  

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.10.2 ===

	* gtk/gtkrecentchoosermenu.c (gtk_recent_chooser_menu_list_filters):
	Initialize menu.  (#351857, Chris Wilson)

	* gtk/gtkprinteroptionwidget.c (update_widgets): 
	* modules/printbackends/file/gtkprintbackendfile.c 
	(output_file_from_settings): Handle filename encoding
	consistently.  (#351812, Christian Persch)

	* NEWS: Updates

2006-08-17  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdefault.c
	(_gtk_file_chooser_default_class_init): Enable "/" and "~" as
	bindings to activate the location entry again.  Fixes bug #340856.
	(tree_view_keybinding_cb): Likewise.
	(trap_activate_cb): Likewise.
	(location_popup_handler): Handle the "path" argument again; set it
	as the text on the location entry.
	(location_set_user_text): New helper function.
	(load_setup_timer): Fix comment.

	* tests/autotestfilechooser.c (main): Oops, enable all the tests again.

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmodules.c (find_module): Revert the local binding
	change to avoid a11y regressions in current OpenOffice.org
	releases. The G_MODULE_BIND_LOCAL will be reintroduced 
	in 2.12.

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktrayicon-x11.c: Fix the ClientMessages we are
	sending to the notification area to be more in sync with
	the systray spec.  (#350860, Wincent Untz)

	* gtk/gtkprintoperation.c (print_pages, preview_ready): Queue
	printing idles at a low priority.  (#348289, Yevgen Muntyan)

	* gtk/gtkstatusicon.c (gtk_status_icon_get_geometry): Add some
	caveats to the documentation.  (#348971)

Thu Aug 17 16:19:35 2006  Tim Janik  <timj@imendio.com>

	* docs/tutorial/gtk-tut.sgml: fixed buglet from #351759.

2006-08-17  Tor Lillqvist  <tml@novell.com>

	* gtk/Makefile.am (libgtk_win32_2_0_la_LIBADD): Link with -luuid
	for IID_IUnknown that gtkprintoperation-win32.o needs.

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/file/gtkprintbackendfile.c: Improve
	the handling of the default output filename, to ensure
	that we default to output.ps when only PostScript output
	is possible.  (#348236, Don Scorgie)

	* gtk/gtkprintunixdialog.c (gtk_print_unix_dialog_set_manual_capabilities): 
	Re-select the current printer to update per-printer ui. 
	(#348245, Don Scorgie)

	* gtk/gtkfilechooserbutton.c (set_info_get_info_cb) 
	(model_add_special_get_info_cb): Handle the case where the
	filechooser button is destroyed quickly.

2006-08-17  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtktextbuffer.c: make sure the has-selection property is
	updated when the delection is deleted. Bug #329752
	* tests/testtext.c: add a copy menu item and show how to
	update its sensitivity tracking the has-selection property.

2006-08-17  Michael Emmel  <mike.emmel@gmail.com>

	* configure.in:
	Changed  to use cairo-directfb.pc bug #351519

2006-08-17  Kristian Rietveld  <kris@gtk.org>

	* demos/gtk-demo/main.c (window_closed_cb), (row_activated_cb),
	(create_tree): move the ITALIC_COLUMN over to a STYLE_COLUMN
	which sets the style attribute.  Makes drawing the active demos
	in italic work again.

2006-08-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreemodel.c (gtk_tree_model_base_init): Add some
	docs to the row-deleted signal.  (#349128, Benedikt Meurer)

	* gtk/gtkiconview.c: Update background upon style-set and
	state-changed.  (#348634, Thomas Rydzynski)

	* gtk/gtkentry.c (paste_received): Popup completion if paste
	is at the end (patch was already in 2.8.x).  (#165714, 
	Christian Persch)

	* gtk/gtknotebook.c (gtk_notebook_set_current_page): Explain
	some quirks of this function.  (#351112)

2006-08-16  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_cell_process_action):
	take the cell spacing into account when calculating the available
	extra space. (#350938, patch from Peter Johanson).

2006-08-16  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_fetch_child):
	update the refs from children to parents for all nodes, since
	they may all have been moved by the insert operation. (#346800,
	patch from Jonathan Matthew).

2006-08-15  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkrecentfilter.c (gtk_recent_filter_filter):
	* gtk/gtkrecentmanager.c (gtk_recent_manager_lookup_item):
	Add Since tags.  (#351581, Brian Cameron)

2006-08-15  Michael Emmel  <mike.emmel@gmail.com>

	* configure.in  
	Added cairo flag patch to fix directfb build from bug #351519

2006-08-15  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (get_event_mask_from_ns_event): 
	Add GDK button mask for NS dragging events.
	(create_scroll_event): Remove obsolete comment.
	(_gdk_quartz_get_current_event_mask), (gdk_event_translate): Keep
	track of the latest event mask here...

	* gdk/quartz/gdkwindow-quartz.c: 
	(_gdk_windowing_window_get_pointer): And use it here. Patch from
	Kristian Rietveld.
	(gdk_window_quartz_update_idle): Rename to make things clearer.

2006-08-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperationpreview.c: 
	* gtk/gtkprintoperation.c (gtk_print_operation_class_init): Add
	more docs.

	* gtk/gtkaboutdialog.c (gtk_about_dialog_init): Set CAN_DEFAULT
	on all buttons.  (#168737, fix proposed by Benjamin Berg)

	* gtk/gtkentryprivate.h: 
	* gtk/gtkentry.c (_gtk_entry_effective_inner_border): Export 
	privately. Adjust all callers.

	* gtk/gtkspinbutton.c (gtk_spin_button_size_request): Use it
	here to get the actual inner border.  (#349429, Benjamin Berg)

	* gtk/gtkfilechooserentry.c (struct _GtkFileChooserEntry): Don't
	store GSource pointers, but ids.
	(gtk_file_chooser_entry_dispose): Remove idles.
	(idle_add, idle_add): Factor this out.
	(gtk_file_chooser_entry_maybe_update_directory): 
	(add_completion_idle): And use it here. (#350039, Chris Wilson)

	* gtk/gtkicontheme.c (do_theme_change): Run the reset_styles
	idle at a priority higher than size negotiation.  (#350517,
	Søren Sandmann)
	
	* gtk/gtkfilesystem.c (gtk_file_info_render_icon) 
	(gtk_file_system_volume_render_icon): Do better fallbacks
	if the icon theme does not have icons.  (#345666,
	Kazuki Iwamoto)

	* gtk/gtkruler.c (gtk_ruler_unrealize): Don't leak
	no_gr_exp_gc.  (#350050, Chris Wilson)

	* gdk/x11/gdkdrawable-x11.c (get_shm_pixmap_for_image): Don't
	leak ShmPixmapInfo.  (#349858, Chris Wilson)

	* gtk/Makefile.am (GTK_PRINT_PREVIEW_COMMAND): Call evince
	with the --preview option.  (#350139, Carlos Garcia Campos)

	* modules/printbackends/cups/gtkprintbackendcups.c (create_pickone_option): 
	Simplify, make it build against cups 1.1.  (#350329)	

	* gtk/gtkliststore.c (gtk_list_store_insert_with_values): 
	Fix a typo in the docs.  (#349501, Carlos GUSLiBu)

	* gtk/gtkcolorsel.c (palette_paint): Remove a leftover
	debug statement. (#350072, Iago Rubio)

	* gtk/gtktextbufferserialize.c (check_id_or_name): Fix
	warning text.  (#349277)

	* gtk/gtknotebook.c (gtk_notebook_enter_notify): Remove.
	(gtk_notebook_motion_notify): Instead, update the arrow
	state here.  (#349570, Benjamin Otte)

	* gdk/x11/gdkwindow-x11.c (gdk_window_get_geometry_hints):
	Use XAllocSizeHints to allocate the XSizeHints struct.
	(#249285, David Baron)

	* gdk/x11/gdkdnd-x11.c (gdk_window_register_dnd):
	* gdk/x11/gdkwindow-x11.c (gdk_window_set_decorations):
	(gdk_window_set_functions): Zero out some stack-allocated
	X structures, to avoid valgrind warnings about uninitialized
	memory.  (#349382, David Baron)

2006-08-14  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooser.c:
	(gtk_recent_chooser_add_filter),
	(gtk_recent_chooser_remove_filter),
	(gtk_recent_chooser_set_filter): Add a check on the
	filter argument, instead of blindly passing it to
	underlying implementation.

	* gtk/gtkrecentchoosermenu.c:
	(gtk_recent_chooser_menu_add_filter),
	(gtk_recent_chooser_menu_remove_filter),
	(gtk_recent_chooser_menu_list_filters): Implement
	these GtkRecentChooser methods, by setting and
	returning the only GtkRecentFilter object supported
	by a GtkRecentChooserMenu. (#347856, reported by Rod
	Butcher)

2006-08-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_combo_box_remove): Null the
	cell_view pointer if the internal cell view is removed. 
	(#348828, Rolando Espinoza La Fuente)

	* gtk/gtkentry.c (gtk_entry_drag_data_received): Don't leak
	in the non-editable case.  (#350258, Colin Leroy)

2006-08-10  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkdrawable-directfb.c
	Remove gdk_directfb_update_region and calls 
	* gdk/directfb/gdkwindow-directfb.c
	Code cleanup 
	* gdk/directfb/gdkgeometry-directfb.c
	Fix scroll call to use region

2006-08-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c:
	(gtk_recent_chooser_menu_finalize): Remove the idle
	source in ::finalize...
	
	(idle_populate_func),
	(idle_populate_clean_up): ...and reset the idle source
	id at the end of the idle loop while we hold the GDK mutex
	lock. (#350605, reported by Wouter Bolsterlee, patch by
	Chris Wilson)

2006-08-10  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c
	(gdk_window_maximize)
	(gdk_window_unmaximize)
	(gdk_window_iconify)
	(gdk_window_deiconify): don't try to set the state of unmapped
	windows, call gdk_synthesize_window_state() instead. Also added
	autorelease pools back, seems they are needed after all.

	* gdk/quartz/gdkwindow-quartz.c (show_window_internal): maximize
	and iconify windows here if the state says so.

2006-08-09  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_set_geometry_hints):
	implement MIN_SIZE, MAX_SIZE and RESIZE_INC.

2006-08-08  Richard Hult  <richard@imendio.com>

	* gtk/gtkdnd-quartz.c: Implement get/set_track_motion.
	
2006-08-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (poll_func): Whitespace cleanup.	 
	(synthesize_crossing_events): Add comments and prevent a crash.

2006-08-08  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c
	(gdk_window_maximize)
	(gdk_window_unmaximize): implement.

	(gdk_window_iconify)
	(gdk_window_deiconify): remove unneeded autorelease pools.

2006-08-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Just expose the minimal region 
	instead of the whole rect.

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_quartz_process_all_updates), (gdk_window_update_idle),
	(gdk_window_impl_quartz_invalidate_maybe_recurse),
	(gdk_window_impl_quartz_process_updates),
	(_gdk_windowing_window_destroy): Rework the expose handling so that
	it works like the X11 backend, using an idle with the right
	priority instead of relying on quartz to do it.
	(gdk_window_set_type_hint): Use tornoff instead of submenu as the
	documentation (and Mitch) suggests.

2006-08-08  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c: some whitespace and indentation
	cleanup.

	(gdk_quartz_draw_rectangle)
	(gdk_quartz_draw_arc)
	(gdk_quartz_draw_polygon)
	(gdk_quartz_draw_points): for pixel-prefect drawing, stroked
	coordinates need to go through pixel centers, while filled ones
	need to go along pixel boundaries. Moved +0.5 adjusting to the
	if(!filled) branches and added/removed some adjustments where they
	were wrong.

2006-08-07  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c (gdk_quartz_draw_points): Don't
	get and release the context for each point, just once, speeds up
	drawing many points a lot.

2006-08-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkdnd-quartz.c (gtk_drag_dest_unset): need to disconnect
	from signals connected in gtk_drag_dest_set() here.

	* gtk/gtkdnd-quartz.c (gtk_drag_dest_set): call gtk_drag_dest_unset()
	instead of disconnecting the old signal connections here.

2006-08-07  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c:
	(_gtk_recent_chooser_default_init): Show non existing
	resources by default.
	(recent_meta_data_func): Do not mark non existing
	resources as insensitive.

	* gtk/gtkrecentchoosermenu.c:
	(gtk_recent_chooser_menu_init): Show non existing
	resources by default.
	(gtk_recent_chooser_menu_create_item): Do not mark
	non existing resources as insensitive.

2006-08-06  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkkeys-x11.c (gdk_keymap_x11_finalize): Free
	all XKB data. (#349997, Chris Wilson)

	* gtk/gtkstyle.c (option_menu_get_props): Only get the
	indicator-size and indicator-spacing style properties
	for GtkOptionMenu.  (#349859, Benjamin Otte)

	* gtk/gtktreeview.c (gtk_tree_view_set_grid_lines) 
	(gtk_tree_view_set_enable_tree_lines): Be more careful
	when creating gcs, also emit change notification.
	(gtk_tree_view_unrealize): Free the gcs here.  (#349834,
	Chris Wilson)

	* gtk/gtkcalendar.c (calendar_start_spinning, calendar_timer): 
	Use G_PRIORITY_DEFAULT_IDLE for the month/year-change timer,
	so that the caller will have a chance to redraw/resize itself
	between every change.  (#348824, Federico Mena Quintero, patch
	by Michael Meeks)
	
	* gtk/gtkfontbutton.c (gtk_font_button_update_font_info): 
	Add a missing initialization.  (#348787, Leonardo Boshell)
	
	* configure.in: Use $PKG_CONFIG consistently.  (#348740,
	Jeremy Lainé)
	
	* gtk/gtknotebook.c (gtk_notebook_drag_motion): Don't allow
	dragging a notebook tab to one of its children.  (#348626,
	Benjamin Otte)
	(gtk_notebook_drag_motion): Don't accept drops on 
	arrows.  (#348706, Benjamin Otte)

	* tests/testnotebookdnd.c: Test more corner cases.

2006-08-05  Matthias Clasen  <mclasen@redhat.com>

	* docs/tutorial/gtk-tut.sgml: Remove outdated lists of
	authors and maintainers.  (#348538, Owen Taylor)

	* gtk/gtkentry.c:
	* gtk/gtkentryprivate.h: Export gtk_entry_reset_im_context
	privately.
	
	* gtk/gtkentrycompletion.c (gtk_entry_completion_action_button_press): 
	* gtk/gtkentry.c (gtk_entry_completion_key_press): Reset the
	entry's im context here.  (#348478, Nguyen Thai Ngoc Duy, Christian
	Persch) 

	* gtk/gtktextview.c (gtk_text_view_style_set): Create new
	PangoContexts and set them on the layout, to catch changes in
	font options.  (#348278, Behdad Esfahbod)

	* gtk/gtkstyle.c (gtk_default_draw_flat_box): Add a 
	missing initialization.  (#349863, Benjamin Berg)

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_cell_layout_reorder): 
	Protect against tree_view being NULL.  (#348652, Patrick K. O'Brian,
	Chris Wilson)

2006-08-03  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c:
	(set_recent_managet), (gtk_recent_chooser_menu_populate),
	(idle_populate_func), (idle_populate_clean_up),
	(manager_changed_cb): Lazily populate the menu when creating
	it and after the manager emits the "changed" signal; this
	fixes the initial bad placing of the GtkRecentChooserMenu
	widget when its set as the menu of a GtkMenuToolButton.

	(gtk_recent_chooser_menu_map),
	(gtk_recent_chooser_menu_class_init): Remove the ::map method
	override, since it's not needed anymore.

2006-08-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrc.c (gtk_rc_parse_assignment): reset scanner config to
	default values while checking if an expression(foobar) follows,
	because if no expression follows the scanner's "next token" must
	be usable for the caller of this function (fixes bug #349552).

2006-08-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkstyle.c: removed the "widget &&" part from
	"widget && GTK_IS_FOO (widget)" checks.

2006-07-13  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkwindow-directfb.c
	Remove unused call to GetPosition 

2006-07-31  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c: (gdk_quartz_draw_drawable):
	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_impl_quartz_begin_paint_region): Patch from Erik van
	Pienbroek to implement drawing bg_pixmaps (#348145).

2006-07-29  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkcolor-quartz.c (gdk_colormap_alloc_colors): Always
	set success to TRUE.
	(gdk_color_change): Implement.

	* gdk/quartz/GdkQuartzWindow.c
	([GdkQuartzWindow -canBecomeKeyWindow]): Add comment.

	* gdk/quartz/gdkevents-quartz.c (gdk_screen_get_setting): Make the
	default font a bit smaller until we have made this get the system
	setting.

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_set_type_hint): Enable
	shadows for the right window types.

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkgc-quartz.c:
	* gdk/quartz/gdkdrawable-quartz.c:
	* gdk/quartz/gdkcolor-quartz.c: Expose the CGContext functions,
	update callers.

	* gdk/quartz/gdkmain-quartz.c: (_gdk_windowing_init): No need to
	get the current process ID, use the right constant instead.

2006-07-28  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_manager_init): Add the
	timeout for polling the file; change the default polling
	delta to 2000 msec.

2006-07-27  Michael Natterer  <mitch@imendio.com>

	* gdk/x11/gdkwindow-x11.c (gdk_window_get_type_hint): cast the
	return value of XGetWindowProperty() correctly so we don't return
	garbage type hints. Pointed out by Tommi Komulainen, patch taken
	from https://maemo.org/bugzilla/show_bug.cgi?id=724

2006-07-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (gtk_settings_finalize): Move the
	_gtk_rc_context_destroy call to the right spot.  (#348096,
	Chris Wilson)

2006-07-24  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_screen_get_setting): Implement
	getting the double click threshold.

2006-07-24  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_set_type_hint): Set the
	window level depending on the type hint.

	* gdk/quartz/gdkevents-quartz.c (gdk_keyboard_grab,
	pointer_ungrab_internal): Only break the grab if the new window is
	a different one.
	(gdk_event_translate): Catch the case where the entire app loses 
	focus and break any grabs. Only do implicit grabs when the event
	mask has both press and release.

	* gdk/quartz/gdkkeys-quartz.c (translate_keysym):
	* gdk/quartz/gdkselection-quartz.c:

        * gdk/quartz/GdkQuartzWindow.c
	([GdkQuartzWindow -windowDidResignKey:]): Use this to update the
	focus window instead of resignMain, fixes the case where other apps
	uses focus follows mouse (like the terminal can).

2006-07-23  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version
	
	* === Released 2.10.1 ===

	*  NEWS: Updates

	* gtk/gtkstyle.c (gtk_default_draw_box_gap): Draw
	gaps on the left/right properly.  (#348134, Benjamin Otte)

	* gtk/gtkprintsettings.c (gtk_print_settings_get_page_ranges):
	Fix a memory leak.  (#348424, Carlos Garcia Campos)

2006-07-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrc.h:
	* gtk/gtkrc.c (_gtk_rc_context_destroy): New function to
	destroy an rc context.

	* gtk/gtksettings.c (gtk_settings_finalize): Destroy the rc context.
	(gtk_settings_get_for_screen): Unref the settings when the screen
	goes away. (#348096, Chris Wilson)

2006-07-21  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkgc-quartz.c: (gdk_quartz_gc_get_values),
	(gdk_quartz_gc_set_values), (_gdk_windowing_gc_copy),
	(gdk_gc_get_screen): Implement.

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_back_pixmap):
	Implement.

2006-07-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkimcontextsimple.c (gtk_im_context_simple_get_preedit_string): 
	0-terminate outbuf in all cases.  (#348227, Nguyen Thái Ngoc Duy)

2006-07-21  Michael Natterer  <mitch@imendio.com>

	Enable symbolic colors and color expressions in style
	properties. Fixes bug #346751.

	* gtk/gtkrc.c (rc_parse_token_or_compound): add GtkRcStyle
	parameter and replace symbolic colors by color constants.

	(gtk_rc_parse_assignment): likewise. Also support parsing of
	expressions of the form identifier(compound).

	(gtk_rc_parse_style): pass the GtkRcStyle to
	gtk_rc_parse_assignment().

	(gtk_rc_parse_statement): pass NULL since we don't have a
	GtkRcStyle here.

2006-07-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentrycompletion.c (gtk_entry_completion_finalize):
	remove accidential 2nd parameter to g_object_unref().

2006-07-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentrycompletion.c (gtk_entry_completion_finalize):
	Don't leak the action_view.  (#348120, Chris Wilson)

	* gtk/gtknotebook.c (gtk_notebook_paint): Improve drawing
	of tabs while reordering.  (#348115, Benjamin Otte)

	* gtk/gtkiconview.c (gtk_icon_view_destroy): Don't
	leak the adjustments.  (#348094, Chris Wilson)

	* gtk/gtknotebook.c (gtk_notebook_stop_reorder): Unset
	the during_reorder flag.  (#348049, Sven Herzberg, patch
	by Benjamin Otte)

2006-07-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmenu.c (gtk_menu_destroy): Just remove the scroll
	timeout here, don't access settings.  (#348095, Chris Wilson)

	* gtk/gtktextlayout.c (gtk_text_layout_set_contexts): Fix
	messed up refcounting.  (#348090, Chris Wilson)

	* gtk/gtkicontheme.h: 
	* gtk/gtkicontheme.c (_gtk_icon_theme_ensure_builtin_cache): 
	Export this privately.

	* gtk/gtkiconfactory.c (render_fallback_image): And call it
	here to initialize the builtin cache before using it.  (#348063,
	Diego Pettenò)

2006-07-19  Federico Mena Quintero  <federico@novell.com>

	* tests/autotestfilechooser.c (test_black_box): Argh, initialize
	"passed"!
	(set_filename_timeout_cb): Renamed from timeout_cb().
	(test_confirm_overwrite): New function, test confirmation before
	overwriting a file in SAVE mode.

2006-07-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrecentchoosermenu.c (gtk_recent_chooser_menu_finalize):
	fix typo to make it compile again.

2006-07-20  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c:
	(gtk_recent_chooser_menu_finalize): Correctly chain up the
	finalization vfunc. (#348089, Chris Wilson)

2006-07-20  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (generate_grab_broken_event):
	Append the event to the queue instead of using gdk_event_put.
	(_gdk_quartz_get_mouse_window, find_current_keyboard_window):
	Handle grabs.
	(get_event_mask_from_ns_event, create_focus_event)
	(convert_window_coordinates_to_root, find_window_for_event)
	(gdk_event_translate): Improve readability (style changes).
	(gdk_flush, gdk_display_sync, gdk_display_flush)
	(gdk_event_send_client_message_for_display),
	(gdk_screen_broadcast_client_message): Remove FIXMEs.	
	(gdk_screen_get_setting): Reindent.
	Also move find_child_window_by_point to gdkwindow-quartz.c.
	
	* gdk/quartz/gdkwindow-quartz.c:
	(find_child_window_by_point_helper),
	(_gdk_quartz_find_child_window_by_point): Move here from 
	gdkevents-quartz.c
	(_gdk_windowing_window_get_pointer): Handle destroyed windows and
	imlement the return value.
	(_gdk_windowing_window_at_pointer): Implement.

2006-07-19  Richard Hult  <richard@imendio.com>

	* gtk/gtkdnd-quartz.c (register_types): Reindent.
	
	* gtk/gtkclipboard-quartz.c (gtk_clipboard_set_contents): Add
	autorelease pool.

2006-07-19  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c
	([GdkQuartzWindow -windowDidResignMain:]):
	* gdk/quartz/gdkevents-quartz.c (_gdk_quartz_update_focus_window):
	Listen to windowDidResignMain notifications and properly update the
	focus window when windows are unfocused.

2006-07-19  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellrenderertext.c (gtk_cell_renderer_text_init),
	(gtk_cell_renderer_text_[gs]et_property), (get_layout): add
	align_set field to keep track whether the align property was
	set by the user, if not we will use the alignment by looking
	at the direction of the widget. (#157439)

2006-07-19  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/file/gtkprintbackendfile.c 
	(file_printer_get_settings_from_options): Check if option
	is NULL before using it.  (#348014, Christian Persch)

	* gdk/x11/gdkx.h (gdk_font_lookup_for_display): When looking
	up a font XID, add the XID_FONT_BIT.  (#348001)

2006-07-19  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c ([GdkQuartzView -drawRect:]):
	* gdk/quartz/gdkpixmap-quartz.c (gdk_pixmap_new): Remove unused
	variables to fix compiler warnings.

2006-07-19  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_impl_quartz_init)
	(gdk_window_set_type_hint, gdk_window_get_type_hint):
	* gdk/quartz/GdkQuartzWindow.c
	([GdkQuartzWindow -canBecomeMainWindow])
	([GdkQuartzWindow -canBecomeKeyWindow]): Implement type hints and
	use them to determine which windows should be allowed to become
	main and key windows.

2006-07-19  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(_gdk_windowing_window_get_pointer): Get the position correctly
	for the root window. Fixes bug #347976, patch by Dave Vasilevsky.

2006-07-18  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

	* gtk/gtkdnd.c: Make the ipc widgets GtkWindows instead
	of GtkInvisibles, and put them in the same window group
	as the drag source, to avoid interactions between DND
	and window groups.  (#347277, Michael Wu, analysis by
	Owen Taylor)

2006-07-18  John (J5) Palmieri  <johnp@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c:
	Make bits from my last commit are conditionally compiled
	only if cups 1.2 is available. 

2006-07-18  John (J5) Palmieri  <johnp@redhat.com>

	* gtk/gtkprinteroption.h:
	* gtk/gtkprinteroptionwidget.c:
	* modules/printbackends/cups/gtkprintbackendcups.c:
	add GTK_PRINTER_OPTION_TYPE_PICKONE_PASSWORD,
	GTK_PRINTER_OPTION_TYPE_PICKONE_PASSCODE,
	GTK_PRINTER_OPTION_TYPE_PICKONE_REAL,
	GTK_PRINTER_OPTION_TYPE_PICKONE_INT,
	and GTK_PRINTER_OPTION_TYPE_PICKONE_STRING options to support a subset
	of the new CUPS 1.2 custom options spec

2006-07-18  Federico Mena Quintero  <federico@novell.com>

	Fix https://bugzilla.novell.com/show_bug.cgi?id=184875 - make the
	location entry in Save mode preserve the stuff from
	set_filename(); it was overwriting it with $cwd.

	This is the same fix for
	http://bugzilla.gnome.org/show_bug.cgi?id=347066

	* tests/autotestfilechooser.c: (test_black_box): Added black-box
	test for set_filename() and set_current_name().

	* gtk/gtkfilechooser.c (gtk_file_chooser_get_type): Cast to
	GClassInitFunc in the call to g_type_register_static_simple(), to
	avoid a compiler warning.

	* gtk/gtkfilechooserprivate.h (struct _GtkFileChooserDefault):
	Added a browse_files_last_selected_name field.  We'll copy the
	logic from gtkfilesel.c to see when to clear the location entry.
	(struct _GtkFileChooserDefault): Removed the
	processing_pending_selections field.

	* gtk/gtkfilechooserdefault.c (gtk_file_chooser_default_finalize):
	Free impl->browse_files_last_selected_name.
	(pending_select_paths_process): Don't use
	impl->processing_pending_selections.
	(update_chooser_entry): Keep track of the name that was last
	selected in the file list.  We use this to know when to clear the
	location entry.  The logic is similar to that of
	gtkfilesel.c:gtk_file_selection_file_changed().  This also lets us
	get rid of the processing_pending_selections flag.
	(update_chooser_entry): Clear the entry if we didn't have a
	selection before.
	(location_switch_to_filename_entry): Do not set $cwd as the
	contents of the location entry here...
	(location_popup_handler): ... but do it here instead, only as the
	result of the user asking to turn on the location entry.
	(gtk_file_chooser_default_get_paths): If the location entry is
	empty, do the fallback of seeing if it is sensible to say that
	$cwd is the selected path.
	(gtk_file_chooser_default_update_current_folder): Don't set the
	text of the location entry; this is no longer needed with the
	fixes above.
	(shortcuts_activate_iter): Clear the location entry when
	activating a shortcut if we are not in SAVE mode.  This keeps the
	contents of the location entry consistent even when switching
	folders via the shortcuts.

2006-07-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrange.c: remember the sensitivity of the steppers in
	GtkRangeLayout, update it in gtk_range_calc_layout() and check for
	changes in layout_changed(), so adjustment changes that leave the
	slider position unchanged are still able to update the steppers'
	sensitivity. Fixes bug #347902.

2006-07-18  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellrenderertext.c (gtk_cell_renderer_text_start_editing):
	oooops.

2006-07-18  Kristian Rietveld  <kris@imendio.com>

	Fix for #335012, reported by Matteo Nastasi.

	* gtk/gtktreeview.c (gtk_tree_view_real_start_editing): if the
	requested space of the editable is smaller than the cell area,
	put it up above the middle of the cell area.

	* gtk/gtkcellrenderertext.c (gtk_cell_renderer_text_start_editing):
	configure the inner border to cover the cell area if the 
	entry requisition is smaller than the cell_area.

2006-07-18  Kristian Rietveld  <kris@imendio.com>

	Another fix for #164884.

	* gtk/gtktreeprivate.h: add in_grab field.

	* gtk/gtktreeview.c (gtk_tree_view_button_press): only save press
	to possibly begin a drag when there's no grab pending,
	(gtk_tree_view_grab_notify): toggle in_grab field.

2006-07-18  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_realize): use MAX
	priv->width, alloc.width when allocating the bin_window,
	(gtk_tree_view_bin_expose): don't overrun bin_window when drawing
	the flat box.

2006-07-17  Richard Hult  <richard@imendio.com>

	* gtk/gtkdnd-quartz.c: (gtk_drag_begin_internal): Set an empty
	NSImage if there is none, covers the cases where applications try
	to set a pixmap which is not supported by the quartz backend.

2006-07-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (create_key_event):
	* gdk/quartz/gdkkeys-quartz.c: (_gdk_quartz_key_event_type),
	(_gdk_quartz_key_is_modifier):
	* gdk/quartz/gdkprivate-quartz.h: Fill in string, length and
	is_modifier for key events. Map some more keys into gdk keyvals.

2006-07-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_stop_reorder): Don't undo
	reordering if we haven't been reordering.  (#346836, Ed Catmur)

2006-07-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkkeys-quartz.c: Add escape to the list of special
	keys, to get the escape key working.

2006-07-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdisplay-quartz.c (gdk_display_open): Initialize
	GdkInput.
	
2006-07-17  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_build_tree): check if the iter
	still has children after running the test-expand-row func,
	(gtk_tree_view_real_expand_row): ditto. (#302127, Billy Biggs).

2006-07-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcalendar.c (calendar_timer): use 5 * gtk-timeout-repeat,
	just as many other widgets. Makes the calendar arrow buttons
	usable for quick month/year skipping (#142582).

2006-07-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(_gdk_windowing_window_destroy_foreign): Fix comment.
	(gdk_window_set_title): Surround by release pool macros.
	(gdk_window_get_type_hint): Fix return value.
	(gdk_window_get_frame_extents): Implement.
	(gdk_window_iconify): Use the release pool macros.
	(gdk_window_deiconify): Likewise. 
	(_gdk_windowing_get_pointer): Implement.
	(gdk_window_get_deskrelative_origin, gdk_window_get_root_origin): 
	Implement.

	* gdk/quartz/gdkevents-quartz.c (create_crossing_event) 
	(create_scroll_event, convert_window_coordinates_to_root): 
	Set coordinates and root coordinates for crossing and scroll 
	events.

	* gdk/quartz/gdkcursor-quartz.c (gdk_cursor_new_for_display): 
	Map some more cursors.

2006-07-17  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkwindow.c (gdk_window_get_pointer): Add some more
	detail to the docs.  (#311399, Nikos Kouremenos)

	* gtk/gtkentrycompletion.c (gtk_entry_completion_set_match_func): 
	* gtk/gtkcomboboxentry.c (gtk_combo_box_entry_set_text_column): 
	Fix typos in the docs.

2006-07-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkassistant.c: Some small documentation
	fixups.  (#347711, Guillaume Cottenceau)

	* gtk/gtkfilechooserdefault.c (browse_widgets_create): Mark
	the text of the location label as translatable.  

	* gtk/gtkprintjob.c (gtk_print_job_send): Fix a typo in 
	the docs.  (#347211, Kouhei Sutou)   

	* configure.in: Make the test for the sync extension
	more robust.  (#347315, Tommi Komulainen)

2006-07-13  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkdrawable-directfb.c
	Remove +1 in fill and draw rect this may be wrong.
	Commented out update calls left for reference the should not be needed.
	Comment out subsurface for cairo remove when proved its not needed
	* gdk/directfb/gdkkeys-directfb.c
	Allow multiple calls and return if initalized
	* gdk/directfb/gdkmain-directfb.c
	Make sure string is malloced since its freed by apps
	* gdk/directfb/gdkprivate-directfb.c
	Added back pointer to window for paintable impl
	* gdk/directfb/gdkvisual-directfb.c
	Fix for Bug 346733 make sure visual list is populated
	* gdk/directfb/gdkwindow-directfb.c
	Finally removed uneeded pixmap buffering now implements GdkPainter

2006-07-11  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooser.c (gtk_recent_chooser_set_show_numbers),
	(gtk_recent_chooser_get_show_numbers): Check if the chooser
	implementation supports the "show-number" property and use a
	meaningful warning in case it doesn't; tell developers not to
	use these functions.

2006-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaction.c:
	* gtk/gtkiconview.c:
	* gtk/gtkprintbackend.c:
	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkscrolledwindow.c:
	* gtk/gtktoolbar.c: Fix some typos with inline property
	docs.  (#347065, John Finlay)

	* gtk/gtkfilechooserbutton.c: Fix some memory handling
	issues.  (#347043, Chris Wilson)

2006-07-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c (scan_for_uri_cb): Do not
	leak the URI returned by the model; select the row when
	calling gtk_recent_chooser_set_current_uri(). (patch by
	Torsten Schoenfeld)

2006-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpapersize.c (gtk_paper_size_is_equal): Fix a 
	typo in the docs.  (#347041, Kouhei Sutou)

	* gtk/gtkprintcontext.c (gtk_print_context_get_height): Fix
	a typo in the docs.  (#347032, Kouhei Sutou)

	* gtk/gtkassistant.c (gtk_assistant_focus): Don't assume
	that priv->current_page is non-NULL.  (#347048, Guillaume 
	Cottenceau)

	* gtk/gtk.symbols: Add some missing deprecation guards.

	* gdk/directfb/gdkwindow-directfb.c: Don't confuse gtk-doc.

2006-07-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkpixmap-quartz.c: (gdk_bitmap_create_from_data): 
	Account for alignment when reading xbm data. (#346721, patch
	by Dave Vasilevsky)

2006-07-09  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkgeometry-quartz.c:
	* gdk/quartz/gdkmain-quartz.c:
	* gdk/quartz/gdkpixmap-quartz.c:
	* gdk/quartz/gdkwindow-quartz.c:
	* gtk/gtkclipboard-quartz.c: Implement some more stubs for pygtk, 
	bug #346713.

2006-07-09  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_new): Release the pool
	in all cases.
	(move_resize_window_internal): Surround by alloc/release pool.
	Patch from Brian Tarricone, fixes bug #347018.

2006-07-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c (update_label_and_image): Don't
	leak an empty list.  (#346970, Chris Wilson)

2006-07-08  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkpango.c (layout_iter_get_line_clip_region),
	(gdk_pango_layout_line_get_clip_region),
	(gdk_pango_layout_get_clip_region): Fix quadratic implementation of
	gdk_pango_layout_get_clip_region into a linear one. (#337910, patch
	by Priit Laes)

2006-07-07  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: Generate a grab broken event when
	appropriate. Fixes bug #346603, patch from Dave Vasilevsky.
	
	* gdk/quartz/gdkevents-quartz.c:
	* gdk/quartz/gdkkeys-quartz.c:
	* gdk/quartz/gdkprivate-quartz.c: Another patch from Dave Vasilevsky,
	fixes bug #346605. Makes modifier key events being sent properly.

2006-07-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrc.c
	* gtk/gtksettings.c: fix canonicalization of property names which
	was broken after recent constant string cleanup.

2006-07-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c: Small memory savings.

2006-07-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c: Get the display name
	for the home directory.  (#346498, Dennis Cranston,
	patch by Andreas Köhler)

2006-07-06  Behdad Esfahbod  <behdad@gnome.org>

	* configure.in: Drop required Pango version down to 1.12.0. (#346597)

2006-07-06  John (J5) Palmieri  <johnp@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: 
	(cups_request_printer_list_cb): Get the name of the first printer
	in a class to use when requesting a PPD
	(cups_request_ppd_cb, cups_request_ppd): Fix the parameters of
	the "details-acquired" signal emittion
	(cups_request_ppd): get the ppd name from the cups printer

	* modules/printbackends/cups/gtkprintercups.c (gtk_printer_cups_get_ppd_name):
	New method for getting the name of the ppd we should request

2006-07-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrc.c: added a bunch of utility functions to copy
	icon_factories and color_hashes between GtkRcStyles and make sure
	that newly created, duplicated and merged styles have access to
	all icon_factories and color_hashes they need. Fixes bug #346668.

2006-07-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/*.c: Improve the -/_ consistency in signal and
	property names, reducing the amount of near-duplicate strings.

2006-07-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_set_enable_tree_lines): Don't
	leak dash_list.  (#346639, Christian Persch)

	* gtk/gtkwindow.c (gtk_window_unmap, gtk_window_set_keep_above) 
	(gtk_window_set_keep_below): Fix some assignments involving
	booleans.  (#346467, Christian Persch)

2006-07-03  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkgamma.c: Use serialized pixbufs instead of xpms.
	
2006-07-03  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-06-26  Michael Emmel  <mike.emmel@gmail.com>
	
	* gdk/directfb/gdkdirectfb.h: changed ifdef to compile with api introduced
	in directfb 0.9.25 
	* gdk/directfb/gdkwindow-directfb.c: changed ifdef to 0.9.25 

2006-07-03  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

2006-07-02  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.0 ===

	* gtk/gtkmenubar.c (window_key_press_handler): Treat
	"" like NULL when parsing the menu-bar-accel setting.	
	* gtk/gtkmenu.c (gtk_menu_key_press): Here too.  
	(#346420, Yevgen Muntyan)

	* configure.in: Require cairo 1.2 and GLib 2.12,
	set version to 2.10

2006-06-30  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtknotebook.c (gtk_notebook_tab_space): Remove
	redundant assignments to page, which may cause NULL
	dereferences.  (#346334, Dave Vasilevsky)

	* demos/gtk-demo/editable_cells.c: Portability fix.
	(#346375, Thomas Klausner)

	* NEWS, README.in, INSTALL.in: Updates

	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_finalize):
	Don't leak default_sort_data.  (#346341, Christian Weiske)

	* gtk/Makefile.am: Make sure all win32-specific printing
	sources are distributed.  (#346312, Erik van Pienbroek)
	
	* gtk/gtkprinter.c (gtk_enumerate_printers): Always call the
	destroy notify.  (#346027, Christian Persch)

	* gtk/gtkprintsettings.c (gtk_print_settings_get_page_ranges):
	Documentation updates.

	* gtk/gtkprintunixdialog.c (gtk_print_unix_dialog_set_settings):
	Don't leak the ranges.  (#346237, Carolyn MacLeod)

	* gtk/gtkprintjob.[hc]: Add a PREVIEW capability to hide
	the preview button.  (#346113, Christian Persch)

	* gtk/gtkprintunixdialog.c (update_dialog_from_capabilities):
	Hide the preview button depending on the capability.

	* gtk/gtkprintoperation-unix.c: Set the PREVIEW capability.

2006-06-29  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	* gtk/gtkprogress.h: revert last change by Matthias -- it broke the
	build of gtkprogressbar.

2006-06-29  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkevents-x11.c (gdk_event_translate): Update the 
	size of the drawable for the root window when the screen size 
	changes.  (#346102, Sven Herzberg)

2006-06-29  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

	* gtk/gtkprintoperation.c: Clarify docs for the allow-async
	property.  (#346108, Christian Persch)

2006-06-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprinter.c: 
	* gtk/gtkprintunixdialog.c: 
	* gtk/gtkprintoperationpreview.c: 
	* gtk/gtkprintcontext.c (gtk_print_context_set_cairo_context): 
	* gtk/gtklabel.c (gtk_label_set_line_wrap_mode): 
	* gtk/gtkentry.c (gtk_entry_new): 	
	* gtk/gtkprintoperation.c (gtk_print_operation_set_custom_tab_label): 
	* gtk/gtkclipboard.c (gtk_clipboard_wait_for_rich_text): Documentation
	additions and fixes.

	* gtk/gtkaspectframe.h:
	* gtk/gtkaboutdialog.c:
	* gtk/gtkcalendar.c:
	* gtk/gtkinputdialog.c: 
	* gtk/gtk.symbols: Remove unnecessary includes.
	
	* gtk/gtkprogress.[hc]: 
	* gtk/gtkitemfactory.[hc]: Don't unnecessarily use GTK_COMPILATION,
	remove unnecessary includes.

	* gdk/x11/gdkdisplay-x11.c (gdk_display_open): Only select the
	XKB event details we actually care about.  (#346079, Ryan Lortie)

2006-06-27  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_set_model): cancel the
	expand collapse timeout when unsetting the model (Fixes #327164,
	reported by Daichi Kawahata).

2006-06-26  Michael Emmel  <mike.emmel@gmail.com>
	
	* gdk/directfb/gdkdirectfb.h: added ifdef to compile with directfb 0.9.24 
	* gdk/directfb/gdkwindow-directfb.c: ifdef depend on directfb cvs 

2006-06-26  Kristian Rietveld  <kris@gtk.org>

	Make the insert and set functions somewhat more convenient.
	(#343841, David Necas).

	* gtk/gtkliststore.c (gtk_list_store_insert_with_values): allow
	a NULL iter,
	(gtk_list_store_insert_with_valuesv): likewise.

	* gtk/gtktreestore.c (gtk_tree_store_insert_with_values): ditto,
	(gtk_tree_store_insert_with_valuesv): likewise.

2006-06-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextview.c (gtk_text_view_size_allocate): revert "keep
	cursor visible when size changes" since it breaks things (#344874).

2006-06-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_cell_view_menu_item_new): Avoid
	a refcounting leak in the python bindings.  (#344876, Phil Dumont)

2006-06-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprinter.c (gtk_enumerate_printers): Make
	this work when the enumeration is stopped early.  (#344074,
	Felipe Heidrich)

2006-06-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c: Update the height as well
	when changing fonts.  (#321393, Billy Biggs)
`
2006-06-23  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ur" to ALL_LINGUAS.

2006-06-22  Matthias Clasen  <mclasen@redhat.com>

	Fix #345663, reported by Kazuki Iwamoto
	
	* gtk/gtkaction.c: Include gtkiconfactory.h

	* gtk/gtkactiongroup.c: Include gtkicontheme.h

2006-06-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextview.c (gtk_text_view_size_allocate): keep the cursor
	visible when the size changes. Fixes bug #344874.

2006-06-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpintjob.h: Add a note about updating the registration.
	* gtk/gtkprintjob.c (gtk_print_capabilites_get_type): Add missing
	capabilitites. 

	* modules/printbackends/cups/gtkprintbackendcups.c: Remove
	an unused variable and make it compile with Cups 1.1.  (#345644,
	Joseph Sacco)

2006-06-21  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version
	
	* === Released 2.9.4 ===

	* modules/printbackends/file/gtkprintbackendfile.c: 
	Apply a patch by Christian Persch to support PostScript and PDF
	output.

	* gtk/gtkprinteroptionwidget.c (radio_changed_cb): Don't free
	the value.

2006-06-21  Matthias Clasen  <mclasen@redhat.com>

	Apply a patch by John Palmieri to use buffered io using
	GIOChannels, clean up error handling and support Cups 1.2
	api in the printing code.

	* acconfig.h:
	* configure.in: Detect Cups 1.2

	* gtk/gtkdebug.h:
	* gtk/gtkmain.c: Add a printing debug key.

	* gtk/gtkprintbackend.[hc]: Remove the GError parameter from
	gtk_print_backend_print_stream, and take a  GIOChannel instead
	of an fd.

	* gtk/gtkprinter-private.h:
	* gtk/gtkprinter.c: Replace the fd parameter of 
	_gtk_printer_create_cairo_surface by a GIOChannel.

	* gtk/gtkprintjob.[hc]: Remove the GError parameter from
	gtk_print_job_send and make it return void.

	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkprintjob.c: Adjust callers, add some debugging support.

	* modules/printbackends/Makefile.am: Fix DIST_SUBDIRS.

	* modules/printbackends/cups/Makefile.am:
	* modules/printbackends/lpr/Makefile.am: Add debug CFLAGS.
	
	* modules/printbackends/cups/gtkcupsutils.[hc]: 
	* modules/printbackends/cups/gtkprintbackendcups.c:
	* modules/printbackends/file/gtkprintbackendfile.c:
	* modules/printbackends/lpr/gtkprintbackendfile.c: Adapt to
	the GIOChannel and GError changes, add debug output
	
2006-06-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprinter.c (gtk_enumerate_printers): Remove an 
	unused variable.

	* NEWS: Updates

	* gtk/gtktreeview.c (gtk_tree_view_class_init): Fix the registration
	of the grid-lines property  (#345456, Murray Cumming) 
	
2006-06-21  Kristian Rietveld  <kris@imendio.com>

	Allocate space for the grid lines when they are enabled.

	* gtk/gtktreeview.c (gtk_tree_view_bin_expose): make sure the cell
	area does not overlap with the grid lines, also draw the line for
	"the next cell" in the last loop iteration, make sure the cursor falls
	in between the grid lines,
	(validate_row): request extra space for the grid lines.

2006-06-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintbackend.h: 
	* gtk/gtkprintbackend.c (gtk_print_backend_print_stream): Add an
	GError parameter.

	* modules/printbackends/file/gtkprintbackendfile.c 
	(gtk_print_backend_file_print_stream): 
	* modules/printbackends/lpr/gtkprintbackendlpr.c 
	(gtk_print_backend_lpr_print_stream): 
	* modules/printbackends/cups/gtkprintbackendcups.c 
	(gtk_print_backend_cups_print_stream): 
	* gtk/gtkprintjob.c (gtk_print_job_send): Update all callers and
	implementations.

	* modules/printbackends/cups/gtkprintbackendcups.c: Remove the
	GError parameter from cups_request_execute(), and various other
	cleanups.

2006-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintjob.c (gtk_print_job_class_init): Make 
	track-print-status a property.

2006-06-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkprintoperation.c: (gtk_print_operation_class_init): 
	Correctly register the done signal - it sends an enum, not an int.

2006-06-20  Christian Persch  <chpe@cvs.gnome.org>
	
	* configure.in
	* gtk/Makefile.am
	* modules/printbackends/Makefile.am
	A modules/printbackends/file/.cvsignore
	A modules/printbackends/file/Makefile.am
	A modules/printbackends/file/gtkprintbackendfile.c
	A modules/printbackends/file/gtkprintbackendfile.h
	R modules/printbackends/pdf/*:
	Rename "pdf" backend to "file" backend. Step 2 from bug #339592.

2006-06-20  Christian Persch  <chpe@cvs.gnome.org>

	* gtk/gtkprinteroptionwidget.c: (filesave_changed_cb),
	(alternative_set), (construct_widgets): Convert input to filename
	encoding and construct an URI from that.
	* gtk/gtkprintsettings.h: Add OUTPUT_FILE_FORMAT and OUTPUT_URI keys.
	* modules/printbackends/pdf/gtkprintbackendpdf.c: Use those defines.
	Step 1 from bug #339592.

2006-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintjob.c (gtk_print_job_set_source_file): Add to docs.

	Fix handling of stock items without icons in action-based
	ui.  (#342458, Callum McKenzie)
	
	* gtk/gtkactiongroup.c (gtk_action_group_add_actions_full): Set
	the stock id even if there is no icon for it.

	* gtk/gtkaction.c (connect_proxy): 
	* gtk/gtktoolbutton.c (gtk_tool_button_construct_contents): Only
	construct a stock icon if the stock item has an icon.

2006-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_set_column_drag_info): Better 
	fix.

	* gtk/gtk.symbols: 
	* gtk/gtkprintsettings.h: 
	* gtk/gtkprintsettings.c: Remove unused print-to-file setting.

2006-06-20  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtknotebook.c (gtk_notebook_stop_reorder): unset the pressed
	button here.
	(gtk_notebook_grab_notify): stop reorder when the widget becomes
	shadowed. Fixes bug #335873

2006-06-18  Christian Persch  <chpe@cvs.gnome.org>

	* gtk/gtkdialog.c: (gtk_dialog_class_init): Set default action area
	spacing to HIG-compliant 6px. Bug #345106, follow-up from bug #163850.

2006-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (gtk_icon_view_enable_model_drag_dest): 
	Small doc fix.  (#345176, Claudio Saavedra)

	* gdk/x11/gdkwindow-x11.c (gdk_window_set_functions): Update
	the docs. (#345194, Yevgen Muntyan)

2006-06-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_set_grid_lines): Don't leak
	dash_list.
	(gtk_tree_view_set_column_drag_info): Don't crash if the 
	column_drop_func says always no.  (#344850, Christian Weiske)
	
	Make transparent tray icons work.  (#320034, based on a 
	patch by Dan Winship)
	
	* gtk/gtktrayicon-x11.c (gtk_tray_icon_init): Make trayicons
	app-paintable and non-double buffered. 

	* gtk/gtkrc.c (_gtk_rc_init): Give tray icons a parent-relative
	background in the default style.

2006-06-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c: Marks strings for translation.  (#314278,
	Claudio Saavedra)

	* gtk/gtkentrycompletion.c (gtk_entry_completion_compute_prefix): Don't
	call g_str_has_prefix on a NULL strung.  (#344897, Tommi Komulainen)

	* gtk/gtkfilechooserdefault.c: 
	Avoid a near-duplicate string and add some
	translator comments.  (#345320, #345321, Hendrik Richter)

2006-06-19  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooser.c (gtk_file_chooser_get_current_folder)
	(gtk_file_chooser_get_current_folder_uri): Clarify the use of
	these functions, to avoid the case where a chooser is in
	SELECT_FOLDER mode and people mistakenly use _get_current_folder()
	to get the selection:  they should use _get_filename() instead.

2006-06-19  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtklabel.[ch]:
	Add gtk_label_set_line_wrap_mode, gtk_label_get_line_wrap_mode, and
	a wrap-mode property that lets you set the PangoWrapMode.

2006-06-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: Add new functions

	* gtk/gtkprinter.h: 
	* gtk/gtkprinter.c (gtk_enumerate_printers): New function
	to list all printers (#344074, Felipe Heidrich)

	* gtk/gtkprinter-private.h: 
	* gtk/gtkprinter.c (_gtk_printer_get_options) 

	* gtk/gtkprintbackend.h: Add a capabilities argument to the 
	printer_get_options method and to the _gtk_printer_get_options
	function
	
	* modules/printbackends/lpr/gtkprintbackendlpr.c 
	(lpr_printer_get_options): 
	* modules/printbackends/pdf/gtkprintbackendpdf.c 
	(pdf_printer_get_options): 
	* modules/printbackends/cups/gtkprintbackendcups.c 
	(cups_printer_get_options): 
	* gtk/gtkprintunixdialog.c (selected_printer_changed): Adjust
	callers and implementations.

	* gtk/gtkprintjob.h: Add a GENERATE_PS capability. 
	* gtk/gtkprintunixdialog.c (is_printer_active): And use it here.

2006-06-18  Matthias Clasen  <mclasen@redhat.com>

	* tests/testnouiprint.c (main): Don't open a display connection.

	* gtk/gtkprintbackend.c (gtk_print_backend_load_modules): Make
	this work without a display connection.  (339702, Alexander Larsson)

	* gtk/gtkwindow.c (gtk_window_move): Small doc addition. 
	(#345275, Behdad Esfahbod)

2006-06-17  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/pdf/gtkprintbackendpdf.c:
	* modules/printbackends/lpr/gtkprintbackendlpr.c: Fix a typo:
	s/Extention/Extension/. 
	
	* gtk/gtkprintunixdialog.c: Clean up the handling of 
	printer-specific options. There is just one extension point on the
	main tab now, and all options in the GtkPrintDialogExtension
	group are put there. 

	* gtk/gtkprinteroption.h: 
	* gtk/gtkprinteroption.c: Add GTK_PRINTER_OPTION_TYPE_ALTERNATIVE
	which is semantically the same as PICKONE, but is intended to 
	show all options all the time.
	
	* gtk/gtkprinteroptionwidget.c: Implement ALTERNATIVE as radio
	group.

2006-06-16  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c:
	* modules/printbackends/lpr/gtkprintbackendlpr.c: Use a stock icon
	for printers.

	* gtk/gtkprintunixdialog.c (add_option_to_table): Don't grow
	additional columns.

	* gtk/gtkprintbackend.h: Add a GtkPrintSettings parameter to the
	printer_create_cairo_surface method.
	
	* modules/printbackends/pdf/gtkprintbackendpdf.c: 
	* modules/printbackends/cups/gtkprintbackendcups.c: 
	* modules/printbackends/lpr/gtkprintbackendlpr.c: 
	* gtk/gtkprinter.c (_gtk_printer_create_cairo_surface): 
	* gtk/gtkprinter-private.h: 
	* gtk/gtkprintjob.c (gtk_print_job_get_surface): Adapt all users.

	* gtk/gtkentrycompletion.c (gtk_entry_completion_finalize): Don't
	leak match data.  (#345107,  Christian Weiske)

	* gtk/gtkprintunixdialog.c (populate_dialog): Move the conflict
	label out of the button box.  (#339456, Christian Persch)

	* gtk/gtksizegroup.c (compute_dimension): Ignore unmapped widgets
	when ignore_hidden is TRUE.  (#344707, Christian Persch)

	* configure.in: Require cvs glib.

	* gtk/gtkprintoperation-unix.c: 
	(_gtk_print_operation_platform_backend_create_preview_surface): 
	Don't use a temporary directory for preview files, since it
	is not clear who cleans it up. Instead, use g_mkstemp() directly
	to create a temp pdf file, and make the preview app responsible
	for cleaning it up.

	* gtk/gtkprintbackend.c: Move the registration of the 
	gtk-print-preview-command setting from gtkprintbackend.c to 
	gtkprintoperation-unix.c, to make sure it is registered before
	the first use. Also, document the two settings.

	* tests/print-editor.c: Add a "Preview" menu item.

	* gtk/gtkprintoperation-unix.c (handle_print_response): When starting
	a preview from the print dialog, set the action to PREVIEW.

	* gtk/gtkprintoperation.c: Cosmetic changes.

2006-06-16 Matthias Clasens  <mclasen@redhat.com>

	* gtk/gtkprintoperation-unix.c: Mark the preview filename
	as translatable (#345093, Christian Persch)

Fri Jun 16 11:49:53 2006  Tim Janik  <timj@imendio.com>

	* fixed #337882 by applying patches from Tommi Komulainen:

	* gtk/gtkprogressbar.c:
	(gtk_progress_bar_paint_activity):
	(gtk_progress_bar_get_activity): Move activity bar offset and size
	calculations to separate function.
	(gtk_progress_bar_paint_text): Allow caller to specify offset for the
	prelight part in addition to width.
	(gtk_progress_bar_paint): Paint the text also in activity mode, #337882.

	* gtk/gtkprogressbar.c: (gtk_progress_bar_paint_text): Paint the
	prelighted text on top of the normal rather than side by side, to
	simplify painting text in activity mode.

2006-06-16  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Include
	gtkprinter-private.h  (#345038, Christian Persch)
 
2006-06-15  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/pdf/gtkprintbackendpdf.c: Use the
	stock floppy icon.

	* gtk/gtkprintoperation-unix.c: Set the GENERATE_PDF capability
	when creating a print dialog.  (noted by Yevgen Muntyan)

2006-06-15  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtknotebook.c (gtk_notebook_motion_notify): use
	gdk_window_get_pointer() to get pointer coordinates, but limit its
	calls to a maximum of 45 times per second for not being too
	CPU/network abusive. stop drag operation if (event->state &
	GDK_BUTTON1_MASK) is FALSE to prevent tabs from "adhering" to the
	pointer. Fixes bug #341571
	(gtk_notebook_calculate_tabs_allocation), (gtk_notebook_button_press):
	get rid of the "tab jumps to pointer" sensation when beginning a drag
	by using the pointer offset in the tab when the drag begins as an
	anchor.
	(gtk_notebook_redraw_tabs_union): remove, it wasn't worth the little
	performance gain and could draw artifacts under some circumstances.
	(gtk_notebook_drag_end): do not reparent the detached tab label until
	the animation has ended.

2006-06-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update the Cairo requirements (#345008)

2006-06-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperationpreview.c 
	(gtk_print_operation_preview_base_init): Fix errors in the
	signal definitions.  (#344891, Marko Anastasov)

2006-06-14  Michael Emmel  <mike.emmel@gmail.com>
	
	* configure.in: updated mininum  dfb to 0.9.24
	* gdk/directfb/gdkdirectfb.h: added more directfb wrapper functions
	* gdk/directfb/gdkdrawable-directfb.c: wrapper functions and patch from 
	 Claudio Ciccani <klan@users.sf.net> to use a subsurface for cairo
    * gdk/directfb/gdkvisual-directfb.c: changed initalization sequence
    * gdk/directfb/gdkwindow-directfb.c: corrected reparent for toplevels
    * gdk/directfb/gdkdisplay-directfb.c: changed initilization sequence
	to a more rational order

2006-06-14  Federico Mena Quintero  <federico@novell.com>

	* perf/gtkwidgetprofiler.c (gtk_widget_profiler_profile_expose):
	New function; it lets us time the expose sequence of a widget.
	(create_widget): New helper function.
	(map_widget): New helper function.
	(profile_boot): Use create_widget() instead of doing it by hand.
	(profile_map_expose): Use map_widget() instead of doing it by hand.

	* perf/main.c (main): Call gtk_widget_profiler_profile_expose() as well.

2006-06-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpagesetupunixdialog.c: Use GKeyFile for the custom
	filename storage.  (#344867, Christian Persch)

	* gtk/gtkselection.c: Call init_atoms before using atoms
	in several functions.  (#344743, John Finlay)

	* gtk/gtktreeview.c (gtk_tree_view_set_search_position+_func):
	Allow NULL to reset to default.  (#344838, John Finlay)

	* gtk/gtkprintjob.h: Collect booleans into a bitfield
	(#344765, Christian Persch)

2006-06-13  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

2006-06-12  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.3 ===

	* NEWS: Updates
	
	* gtk/gtk.symbols: Add gtk_tree_view_grid_lines_get_type.

	* configure.in: Set interface age to 0

2006-06-12  Kristian Rietveld  <kris@imendio.com>

	Introduce grid and tree lines in GtkTreeView. (#106406,
	Martyn Russell).

	* gtk/gtktreeprivate.h: add new fields to GtkTreePrivate.

	* gtk/gtkenums.h: add GtkTreeViewGridLines.

	* gtk/gtktreeview.[ch] (gtk_tree_view_set_grid_lines),
	(gtk_tree_view_get_grid_lines),
	(gtk_tree_view_set_enable_tree_lines),
	(gtk_tree_view_get_enable_tree_lines): new API,
	(gtk_tree_view_class_init): new properties,
	(gtk_tree_view_init), (gtk_tree_view_{get,set}_property),
	(gtk_tree_view_realize), (gtk_tree_view_draw_grid_lines),
	(gtk_tree_view_bin_expose): implement.

	* gtk/gtk.symbols: update.

2006-06-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c (is_printer_active): Use 
	gtk_printer_accepts_ps here.

	* modules/printbackends/pdf/gtkprintbackendpdf.c (gtk_print_backend_pdf_init):
	Mark the virtual "Print to PDF" printer as not accepting PS.

	* gtk/gtk.symbols:
	* gtk/gtkprinter.h: 
	* gtk/gtkprinter.c: Add two new properties accepts-pdf and
	accepts-ps (with getters) to allow learning supported formats.

	* gtk/gtkprintjob.h: Add a GTK_PRINT_CAPABILITY_GENERATE_PDF
	capability.
	
	* gtk/gtkprintunixdialog.c: Use it here to hide "Print to PDF" 
	from the printer list.  (#339592, Christian Persch)
	
	* gtk/gtkfilechooserdefault.c: Add support for pasting
	filenames into the filechooser.  (#153212, Bastian Nocera)

2006-06-12  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreemodelfilter.[ch]
	(gtk_tree_model_filter_convert_child_iter_to_iter),
	(gtk_tree_model_filter_convert_child_path_to_path): report status
	in return value instead of spewing assertions.  (#335729, Yevgen
	Muntyan).

2006-06-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_finalize): 
	Clean up user data.  (#344624, Christian Weiske)

	* NEWS: Updates

	* gtk/gtkprintjob.c:
	* gtk/gtkprintbackend.c: 
	* gtk/gtkpagesetupunixdialog.c: 
	* gtk/gtkprintunixdialog.c: Cosmetic cleanups.

2006-06-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkassistant.c: Add an accessible implementation in
	order to make the buttons visible to a11y tools.  (pointed out
	by David Malcolm, #343945)

	* gtk/gtkprintoperation-win32.c: Store scale as a percentage.
	(#344560, Christian Persch)

	* gtk/gtkprogressbar.h: Add a dirty flag to GtkProgressBar.n/ 
	* gtk/gtkprogressbar.c: Defer updating of the offscreen
	pixmap until expose.  (#344543, Chris Wilson)

2006-06-11  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c
	(get_is_recent_filtered):
	* gtk/gtkrecentchoosermenu.c
	(get_is_recent_filtered):
	Do not leak the groups string vector. (#344607,
	John Finlay)

2006-06-11  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkprintoperation-win32.c: Fix MSVC build problem. (#339739,
	Kazuki Iwamoto)

	* gdk/win32/gdkproperty-win32.c (gdk_property_change): Convert \n
	to \r\n also when storing CF_UNICODETEXT (UTF-16) in the
	Clipboard. (#344496)

2006-06-10  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkrecentchooserwidget.c 
	(gtk_recent_chooser_widget_new_for_manager):
	* gtk/gtkrecentchoosermenu.c
	(gtk_recent_chooser_menu_new_for_manager): 
	Allow NULL to mean the default manager.  (#344530, 
	John Finlay)

	* gtk/gtkprintoperation-unix.c (page_setup_data_free):
	Check if rdata->page_setup is set before unreffing it. 
	(#344518, Christian Persch)

	* gtk/gtkprintoperation.h: Remove an extra comma.  (#344528, 
	Elijah Newren)

	* modules/printbackends/gtkprintbackendpdf.c 
	(gtk_print_backend_pdf_print_stream): Use the passed in 
	destroy notify.  (#344513, Christian Persch)

	* configure.in: Require cairo 1.1.7

	* gtk/gtkprintoperation.c:
	* modules/printbackends/pdf/gtkprintbackendpdf.c: Use
	cairo_pdf_surface_set_dpi by cairo_surface_set_fallback_resolution.
	(#344512, Elijah Newren)

	* gdk-2.0-uninstalled.pc.in: Make compiling against uninstalled
	gdk work.  (#344386, Masatake Yamamoto)

	* gtk/gtkprintoperation.c: Register create_custom_widget as 
	an object-returning signal.  (#344505, Marko Anastasov, patch
	by Christian Persch)

	* gtk/gtkmarshalers.list: Add the right marshaller.

	* gtk/gtk.symbols:
	* gtk/gtkprintjob.[hc]: Register GtkPrintCapabilities as a
	flags type.  (#344504, Marko Anastasov)

2006-06-09  Benjamin Berg  <benjamin@sipsolutions.net>

	* gtk/gtkmenuitem.c: (get_offsets): Take GtkMenu::horizontal-padding
	into account when placing submenus (#344290)

2006-06-09  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrange.c: added new style properties "trough-side-details"
	and "draw-trough-under-steppers" and fixed the "stepper-spacing"
	style property. Fixes bugs #342339 and #342249.

	"draw-trough-under-steppers", when set to FALSE, starts trough
	drawing next to the steppers instead of drawing the trough "below"
	(around) the steppers. If "stepper-spacing" is set to any value
	larger than zero, "draw-trough-under-steppers" is set to FALSE
	automatically to avoid rendering an area that looks clickable but
	isn't.

	(gtk_range_calc_layout): honor draw-trough-under-steppers.
	Don't reserve stepper-spacing on sides of the range that don't
	have steppers.

	(gtk_range_expose): changed drawing accordingly. Implement
	"trough-side-details" which enables drawing of the upper and lower
	parts of the trough with different details. This is useful for
	theme engines which want to draw these parts differently.

	(coord_to_value): correctly take all rendering options into
	account. stepper-spacing > 0 caused jumping and otherwise
	strangely behaving ranges before.

	(other functions): changed accordingly.

2006-06-09  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkdrawable-win32.c (_gdk_win32_drawable_release_dc):
	Call ReleaseDC() on DCs acquired with GetDC() (for windows), and
	DeleteDC() on DCs acquired with CreateCompatibleDC() (for
	bitmaps). According to MSDN, this is the correct thing to do, even
	if always using DeleteDC() seems to have worked fine in
	practice. (#337491, Chris Wilson)

2006-06-08  Matthias Clasen  <mclasen@redhat.com>

	* tests/testprint.c: Update for api changes.

	* gtk/gtkprintoperation.c: Fix some copy-and-paste errors,
	and rename the pdf-target property to export-filename.

	* gtk/gtkfilechooserdefault.c: Turn off profiling code.

	* tests/print-editor.c: Update for api changes.

	* gtk/gtk.h: Include gtkprintoperationpreview.h

	* gtk/gtkprintoperationpreview.c (gtk_print_operation_preview_is_selected): 
	Use g_return_val_if_fail (#344288, Kazuki Iwamoto)

	* gtk/gtkprintbackend.h: Don't include gtkprinter-private.h here.

	* gtk/gtkprintunixdialog.c: 
	* gtk/gtkprintoperation-unix.c: 
	* gtk/gtkprintjob.c: 
	* gtk/gtkprintbackend.c: Instead include it here.

	* gtk/gtk.symbols: 
	* gtk/gtkprintoperation.h: 
	* gtk/gtkprintoperation.c: Rename pdf_target to export_filename.

2006-06-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.h (GtkPrintOperationResult): Get
	rid of GTK_PRINT_OPERATION_RESULT_PREVIEW.
	
	* gtk/gtkprintoperation-unix.c: 
	* gtk/gtkprintoperation.c: Update all users.

2006-06-08  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (gdk_event_translate):
	[WM_WINDOWPOSCHANGED] Replace identical code as in
	handle_configure_event() with call to that function.
	[WM_SIZING] Fix implementation of aspect ratio hints. (#344244)
	The hints are for the geometry of the client area, not of the
	window including decorations. Improve resizing behaviour in the
	presence of aspect hints, to be more in line with typical X window
	managers.

2006-06-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbutton.c (gtk_tool_button_style_set): Give
	GtkToolButton the same treatment.

	* gtk/gtkbutton.c (gtk_button_style_set): Don't call
	construct_child here, since some apps make assumptions 
	about the lifecycle of the constructed label.  

2006-06-08  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintoperation-unix.c (finish_print):
	Fix up unix fallout from previous change.

2006-06-08  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintoperation-win32.c:
	Update windows to build with new APIs and first cut
	at preview work.
	
	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkprintoperation.c
	Various updates needed when making the preview work on win32.

	* tests/print-editor.c:
	Print, don't preview.

2006-06-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (popup_targets_received): Make Delete
	menuitem insensitive if entry is not editable.  (#344232, 
	Milosz Derezynski)

	* gtk/gtkprintoperation.c: Add some docs. 

	* gtk/gtk.symbols: Add gtk_print_operation_set_allow_async.

	* gtk/gtkprintoperation.h: Remove gtk_print_operation_run_async.

	* tests/testnotebookdnd.c: Update callers.

	* gtk/gtknotebook.h:
	* gtk/gtknotebook.c (gtk_notebook_set_window_creation_hook):
	Add a destroy notify for the callback data.  (#344209, 
	Murray Cumming)

2006-06-07  Jürg Billeter  <j@bitron.ch>

	* gtk/Makefile.am: Fix building gtkbuiltincache.h without system GTK+.

2006-06-07  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkprintoperation.[ch]:
	Clean up APIs:
	Make async a setting instead of separate calls.
	Combine settings like show_dialog, show_preview and pdf_target into
	an action enum that you pass to gtk_print_dialog_run().
	
	* tests/print-editor.c:
	* tests/testnouiprint.c:
	* tests/testprint.c:
	* demos/gtk-demo/printing.c:
	Update to new APIs

2006-06-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update the ATK requirements (#344148)

2006-06-07  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintercups.c 
	(gtk_printer_cups_finalize):  Fix a C99ism.
	(#344123, Jens Ganseuer)

2006-06-06  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkpango.c (gdk_pango_layout_line_get_clip_region): Correct
	rounding of rect members.  Improved docs.  (#337603)

2006-06-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c: Small optimization

2006-06-05  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.9.2 ===

	* configure.in: Set interface age to 0.

	* NEWS: Updates

	* gtk/gtkprintoperationpreview.c: Include gtkalias.h

	* gtk/gtk.symbols: Add some forgotten new functions.

2006-06-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_calculate_shown_tabs):
	(gtk_notebook_calc_tabs): Fix borderline cases in tab
	visibility calculation.  (#168105, Carlos Garnacho Parro)

	* gdk/x11/gdkfont-x11.c (_gdk_font_destroy): Remove the right
	XID from the xid table.  (#341327, Sampo Savolainen, Tim Janik)

2006-06-04  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkprintoperationpreview.h: Add missing G_END_DECLS (#343838)

2006-06-03  Richard Hult  <richard@imendio.com>                                 

	* gdk/quartz/Makefile.am:                                               
	* gdk/quartz/gdkspawn-quartz.c: Add spawn functions, copied from the
	win32 backend.

2006-06-02  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation.h:
	* gtk/gtkprintoperation.c: Add a show-preview property. 

	* gtk/gtkprintoperation-unix.c: Implement it here.

	* gtk/gtkprintoperation-unix.c: Cleanups

2006-06-02  Kristian Rietveld  <kris@imendio.com>

	Rubber banding for GtkTreeView, #80127.  Uses same method as
	GtkIconView.

	* gtk/gtktreeview.c (gtk_tree_view_class_init),
	(gtk_tree_view_init), (gtk_tree_view_get_property),
	(gtk_tree_view_set_property), (gtk_tree_view_set_rubber_banding),
	(gtk_tree_view_get_rubber_banding): add property,
	(gtk_tree_view_button_press): start rubber banding if enabled and
	press is on a non-selected node,
	(gtk_tree_view_button_release): stop rubber banding,
	(gtk_tree_view_motion_bin_window), (scrool_row_timeout): enable/update
	the rubber band,
	(gtk_tree_view_bin_expose): draw rubber band if active,
	(gtk_tree_view_stop_rubberband),
	(gtk_tree_view_update_rubber_band_selection_range),
	(gtk_tree_view_update_rubber_band_selection),
	(gtk_tree_view_update_rubber_band),
	(gtk_tree_view_paint_rubber_band): new functions.

	* gtk/gtktreeview.h: add new set/get function for rubber banding
	property.

	* gtk/gtktreeprivate.h: add a bunch of new private fields.

2006-06-02  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_leave_notify): revert fix of
	#164884 because it's not a problem in gtk+ but in applications and
	it breaks starting drags from the edge of a row.

2006-06-02  Kristian Rietveld  <kris@imendio.com>

	Separate sensitive/selectable properties.

	* gtk/gtktreeselection.c (tree_column_is_sensitive): remove,
	(_gtk_tree_selection_row_is_selectable): remove checks to see if at
	least one column is sensitive,
	(gtk_tree_selection_real_select_node): remove code which enables
	insensitive rows to always be unselected.

	* gtk/gtktreeview.c (gtk_tree_view_row_changed): remove code
	that unselects a node if it just became insensitive.

	* gtk/gtkcombobox.c (gtkcombo_box_list_select_func): new function,
	based on the at least one column sensitive check from
	_gtk_tree_selection_row_is_selectable(),
	(gtk_combo_box_list_setup): set selection function on tree selection.

2006-06-02  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreemodelfilter.c
	(gtk_tree_model_filter_convert_child_path_to_path): need to use
	gtk_tree_model_filter_get_iter_full() since the path returned
	by gtk_real_tree_model_filter_convert_child_path_to_path() includes
	invisible nodes.

2006-06-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkstatusicon.c (gtk_status_icon_get_geometry): Allow
	to return partial information.  (#343625, Christian Persch)

	* gtk/gtkwindow.c (gtk_window_key_release_event): Chain up
	to key_release, not to key_press.  (#343677, Tommi Komulainen)

2006-06-02  Alexander Larsson  <alexl@redhat.com>

	* gtk/Makefile.am:
	Add gtkprintoperationpreview.[ch]
	Set default preview command. Hardcoded for now.
	
	* gtk/gtkmarshalers.list:
	Add BOOLEAN:OBJECT,OBJECT,OBJECT
	
	* gtk/gtkprintbackend.c:
	Add preview command property.
	
	* gtk/gtkprintcontext.[ch]:
	Make less dependent on PrintOperation for output settings
	Externally set cairo_t and dpi. Resettable.
	Create fontmap without metrics hinting (so that print preview
	text layout doesn't depend on zoom level).
	
	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation-unix.c: 
	* gtk/gtkprintoperation.[ch]:
	Initial work on print preview API and default implementation
	using an external preview app.
	
	* gtk/gtkprintoperation-win32.c:
	Some needed updates. Not done, needs more work.
	
	* gtk/gtkprintoperationpreview.[ch]:
	New interface used in print preview api.
	
	* gtk/gtkprintunixdialog.c:
	Add print preview dialog.
	
	* tests/print-editor.c:
	Test using an custom print preview widget.

2006-06-02  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c
	(gtk_recent_info_get_application_info): Fix a typo (spotted by
	Paolo Borelli and coverity).

2006-06-01  Matthias Clasen  <mclasen@redhat.com>
	
	* tests/testnotebookdnd.c: Small tweaks to test more things.

	* gtk/gtktoolbutton.c (gtk_tool_button_class_init): Add
	an icon-spacing style property for the same purpose.

	* gtk/gtkbutton.c (gtk_button_class_init):  Add an image-spacing
	style property that allows to adjust the spacing between image
	and label in button.  (#320431, James Moger)

	* gtk/gtkprintoperation-private.h: 
	* gtk/gtkprintoperation.c: 
	* gtk/gtkprintoperation-unix.c: Move the 
	PrintPagesData.wait flag to GtkPrintOperationPrivate.is_sync.
	Also use a recursive mainloop instead of manually looping.
	
	* gtk/gtkprintoperation.c: Add some examples to the docs.

	* gtk/gtkprintbackend.c (gtk_print_backend_class_init): 
	Intern signal names.

	* gtk/gtkprintunixdialog.c: 
	* gtk/gtkprintoperation-unix.c: Use canonical signal names.

2006-05-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpagesetupunixdialog.c: Add docs, cleanup some
	formatting.

	* gtk/gtkprintoperation.c (print_pages_idle): Don't
	treat manual_scale like a percentage, its a factor.

	* gtk/gtktreeview.c (gtk_tree_view_class_init): Document
	signals.  (#302556, Stefan Kost)

2006-05-31  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols:
	* demos/gtk-demo/printing.c:
	* tests/print-editor.c:
	* tests/testnouiprint.c:
	* tests/testprint.c:
	* tests/testprintfileoperation.c:
	Further updates from the GtkPrintContext functions rename.
	
	* modules/printbackends/cups/gtkcupsutils.c:
	Always set requesting-user-name when doing cups requests.

2006-05-31  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkpagesetupunixdialog.c:
	Remove request_details_tag with g_signal_handler_disconnect,
	not g_source_remove. (#343475)

2006-05-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintcontext.h: 
	* gtk/gtkprintcontext.c: 
	* gtk/gtkprintoperation.c: 
	* gtk/gtkprintoperation-unix.c: Change some function names to be 
	longer and better. 
	gtk_print_context_get_cairo -> gtk_print_context_get_cairo_context
	gtk_print_context_get_fontmap -> gtk_print_context_get_pango_fontmap
	gtk_print_context_create_context -> gtk_print_context_create_pango_context
	gtk_print_context_create_layout -> gtk_print_context_create_pango_layout
	Update all callers.

	* gtk/gtkpagesetupunixdialog.c: Don't run the custom page
	size dialog.  (#340444, Christian Persch)

	* demos/gtk-demo/main.c (main): Display comments in friendly
	DodgerBlue instead of scary red.  (#343444, Carol Spears)

	* gtk/gtkfontbutton.c: 
	* gtk/gtkcolorbutton.c: Clarify the docs of the color-set and
	font-set signals.  (#343438, Olexiy Avramchenko)

2006-05-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.c (gtk_grab_notify_foreach): Don't skip internal
	children when emitting grab-notify.  (#343425, Markku Vire)

	* gdk/gdkpixmap.c: 
	* gdk/gdkwindow.c: Don't use G_DEFINE_TYPE, since the instance
	struct name does not match the type name.  (#343453, Ed Catmur)

	* gtk/gtk.symbols: 
	* gtk/gtkbutton.h: 
	* gtk/gtkbutton.c: Add a GtkButton::image-position property
	with getter and setter, to allow constructing buttons with
	the image stacked on top of the label.  (#342930, Johan Dahlin)

2006-05-30  Johan Dahlin  <jdahlin@async.com.br>

   * gtk/gtk.symbols:
   * gtk/gtkbutton.c: (gtk_button_class_init), (gtk_button_init),
   (gtk_button_set_property), (gtk_button_get_property),
   (gtk_button_construct_child), (gtk_button_set_image_spacing),
   (gtk_button_get_image_spacing):
   * gtk/gtkbutton.h:
   * gtk/gtktoolbutton.c: (gtk_tool_button_class_init),
   (gtk_tool_button_construct_contents),
   (gtk_tool_button_set_property), (gtk_tool_button_get_property),
   (_gtk_tool_button_get_button), (gtk_tool_button_set_icon_spacing),
   (gtk_tool_button_get_icon_spacing):
   * gtk/gtktoolbutton.h:
   Add GtkButton:image-spacing and GtkToolButton::icon-spacing.
   (#320431, James Moger)

2006-05-30  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_update_button): only
	check sort column id if connected to sortable model.

2006-05-30  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkpango.c (draw_error_underline): Fix offset to center the
	underline in requested rectangle. (Ported from pango fix.)

2006-05-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkdialog.h: removed forgotten declaration of
	_gtk_dialog_get_response_for_widget(), the function has been made
	public a long time ago.

2006-05-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextview.c (gtk_text_view_target_list_notify): applied
	patch from Chris Wilson which replaces a useless loop with
	built-in access to free'd memory by a simple integer comparison.
	Fixes bug #342894.

2006-05-29  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_move_cursor_up_down): select
	the current focus row if nothing is selected and ctrl is not pressed.
	(Fixes #324480, Murray Cumming/Srirama Sharma).

2006-05-28  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeviewcolumn.c (_gtk_tree_view_column_cell_focus): refactor
	to work correctly in RTL mode.

	* gtk/gtktreeview.c (gtk_tree_view_move_cursor_left_right): make
	cursor movement to left/right work correctly in RTL mode.

2006-05-28  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkrectangle.c (gdk_rectangle_union, gdk_rectangle_intersect):
	Note in docs that @dest can be the same as @src1 or @src2. (#343233,
	Christian Persch)

2006-05-28  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkstyle.c (gtk_default_draw_flat_box): handle
	cell_even_ruled_sorted and cell_odd_ruled_sorted for the selected
	state.

2006-05-28  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkenums.h: add GTK_ARROW_NONE.

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_update_column): always
	"show" the arrow if sort_column_id >= 0, only set arrow type if
	this column is the column we are currently sorting on. (#331338).

2006-05-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentchoosermenu.c: Avoid trivial differences
	in translated strings.  (#343088, Clytie Siddall)

2006-05-28  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_build_tree): emit test_expand_row
	and test return value before expanding a branch. (Fixes #321523,
	reported by Daniel Lindenaar).

2006-05-28  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_insert_column): set the sizing
	type of the new column to FIXED,
	(gtk_tree_view_insert_column_with_attributes): likewise. (#341898,
	Dan Winship).

2006-05-27  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_remove_node):
	only unref if elt->ref_count > 0,
	(gtk_tree_model_filter_row_deleted): likewise. (Fixes #340839,
	reported by Yevgen Muntyan).

2006-05-27  Kristian Rietveld  <kris@gtk.org>

	Small refactoring. (#340428, Paolo Borelli).

	* gtk/gtkliststore.c (gtk_list_store_set_valist_internal),
	(gtk_list_store_insert_with_valuesv): refactor code to determine
	iter compare func into gtk_list_store_get_compare_func().

	* gtk/gtktreestore.c (gtk_tree_store_set_valist_internal),
	(gtk_tree_store_insert_with_valuesv): likewise.

2006-05-27  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_queue_draw_arrow): really fix
	#333284.

2006-05-27  Kristian Rietveld  <kris@gtk.org>

	Editable cell window placement and RTL fixes.

	* gtk/gtktreeview.c (gtk_tree_view_button_press),
	(gtk_tree_view_bin_expose), (gtk_tree_view_get_cell_area),
	(gtk_tree_view_create_row_drag_icon): Only add indentation to x
	if !rtl,
	(gtk_tree_view_create_row_drag_icon): Iterate over columns in reverse
	direction if in rtl mode.

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_cell_process_action):
	horizontal_separator is not part of the real background area width,
	add 2 * focus_line_width to real_cell_area.x and not
	real_background_area.x, fix up event coordinates check in the
	PACK_END loop, also set depth to zero at the end of the PACK_END
	loop,
	(_gtk_tree_view_get_neighbor_sizes): also add column_spacing for each
	visible cell.

2006-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/stock-icons/24/gtk-orientation-landscape.png:
	* gtk/stock-icons/24/gtk-orientation-portrait.png:
	* gtk/stock-icons/24/gtk-orientation-reverse-landscape.png:
	* gtk/stock-icons/24/gtk-orientation-reverse-portrait.png:
	Cleaned up icons by Diana Fong.

2006-05-26  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_queue_draw_arrow): queue a redraw
	for the full width of the row, not just the width we got allocated.
	(Fixes #333284, reported by Benjamin Berg).

2006-05-26  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_top_row_to_dy): set dy to
	page_size + height in the event dy + page_size is about to become
	bigger than height.

2006-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkstatusicon.h:
	* gtk/gtkstatusicon.c (gtk_status_icon_get_geometry):
	New function that can be used to e.g. position 
	notification bubbles wrt to the status icon.  
	(#341450, Christian Persch, Havoc Pennington)

2006-05-25  Matthias Clasen  <mclasen@redhat.com>

	Make GTK+ work as an untrusted X client. (#136571,
	Ed Catmur)

	* gdk/x11/gdkdisplay-x11.h:
	* gdk/x11/gdkdisplay-x11.c (gdk_display_open): When 
	opening a display, determine if we are untrusted.
	
	* gdk/x11/gdkdisplay-x11.c (gdk_notify_startup_complete): 
	Just bail out when we are untrusted.

	* gdk/x11/gdkwindow-x11.c (gdk_window_new): Work around
	a bug in the Xorg XSECURITY implementation by coercing
	toplevel InputOnly windows to InputOutput.

	* gdk/x11/gdkwindow-x11.c (_gdk_windowing_get_pointer): 
	(_gdk_windowing_window_get_pointer): 
	When untrusted, call XQueryPointer on an auxiliary
	window, not on the root window.
	
	* gdk/x11/gdkwindow-x11.c (_gdk_windowing_window_at_pointer): 
	If untrusted, loop through all GDK-aware toplevels on all
	screens in the hope we hit one containing the pointer; 
	then use that as the basis of the current XQueryPointer 
	child recursion.

	* gdk/x11/gdkmain-x11.c (gdk_pointer_grab): 
	(gdk_keyboard_grab): Ignore failed grabs when untrusted.

	* gdk/x11/gdkdnd-x11.c (gdk_window_cache_new): Only
	cache our own toplevels when untrusted.

	* gdk/x11/gdkdnd-x11.c (motif_send_enter): Don't try
	to do Motif DND as untrusted client.

	* gdk/x11/gdkevents-x11.c (fetch_net_wm_check_window): 
	(gdk_x11_screen_get_window_manager_name): 
	(gdk_x11_screen_supports_net_wm_hint): 
	Bail out early if untrusted.
	
	* gtk/gtkcolorsel.c (grab_color_at_mouse): If getting 
	the color under the pointer by screenshooting the root 
	window fails, it tries to get the color from our own 
	window.

	* gtk/gtkcolorsel.c (get_screen_color): Make the
	dropper_grab_widget a child of the dialog, not a 
	toplevel.

	* gtk/gtkinvisible.c (gtk_invisible_realize): Respect
	a parent window that has been set before realizing.

	* gtk/gtkwidget.c (gtk_widget_get_parent_window): 
	Always return a previously set parent window.
	
2006-05-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfontbutton.c (gtk_font_button_clicked): 
	* gtk/gtkcolorbutton.c (gtk_color_button_clicked): 
	Fix the handling of modality by copying what
	GtkFileChooserButton does.  (#342754, Yevgen Muntyan)
	
	* gtk/gtkprintunixdialog.c (create_main_page): Make
	the range entry insensitive if another range option
	is selected.  (#342783, Caolan McNamara)
	(update_dialog_from_capabilities): Make the collate
	check button insensitive unless multiple copies are
	printed  (#342781, Caolan McNamara)

	* gtk/gtkwidget.c: Remove style properties when a widget
	class gets finalized, to make style properties work in
	dynamic types.  (#342513, Christian Persch)

2006-05-24  Henrique Romano  <henrique@async.com.br>

	* gtk/gtkcellview.c: (gtk_cell_view_class_init),
	(gtk_cell_view_get_property), (gtk_cell_view_set_property):
	Add model property for GtkCellView, part of #172535.

2006-05-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.h: 
	* gtk/gtkprintoperation-private.h: 
	* gtk/gtk.symbols:
	* gtk/gtkprintoperation.c: Add a custom-tab-label property.
	
	* gtk/gtkprintoperation-unix.c (get_print_dialog): Use it
	here.  (#342752, Yevgen Muntyan)

2006-05-24  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkprintunixdialog.[ch]:
	Add gtk_print_unix_dialog_set_manual_capabilities that controls
	what widgets to enable in the dialog depending on the apps
	capabilities.
	
	* gtk/gtkprintbackend.[ch]:
	* gtk/gtkprinter-private.h:
	* gtk/gtkprinter.c:
	* gtk/gtkprintjob.h:
	Add printer_get_capabilities to backend.
	Move some fallback calls to the printbackend base class.
	
	* gtk/gtkprintoperation-unix.c:
	Set manual capabilities
	
	* modules/printbackends/cups/gtkprintbackendcups.c:
	Implement get_capabilities
	
	* modules/printbackends/lpr/gtkprintbackendlpr.c:
	* modules/printbackends/pdf/gtkprintbackendpdf.c:
	Move some methods to baseclass.

2006-05-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (print_pages): Do the begin-print
	emission in the idle, so that the print dialog goes away
	before begin-print.

2006-05-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: 
	* gtk/gtkprintoperation.h: 
	* gtk/gtkprintoperation.c: Add a boolean show-progress  
	property, and show a progress dialog if it is set to TRUE.

	* gtk/gtkprintoperation.c (pdf_end_run): 
	* gtk/gtkprintoperation-win32.c (win32_end_run): 
	* gtk/gtkprintoperation-unix.c (unix_end_run): 
	* gtk/gtkprintoperation-private.h: Add a cancelled
	parameter to end_run, and call it even if the print
	operation was cancelled.

2006-05-23  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprinteroptionwidget.c (filesave_changed_cb):
	Allow absolute filenames in filename entry.
	Patch from Yevgen Muntyan (#341679)

2006-05-23  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkprintunixdialog.[ch]:
	Add gtk_print_unix_dialog_add_custom_tab
	
	* gtk/gtkprintoperation-unix.c:
	Implement custom widgets for unix.
	Fix some warnings by including cairo-ps/pdf.h
	
	* gtk/gtkprintoperation-win32.c:
	Mark string for translation.

2006-05-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (gtk_print_operation_class_init): 
	Fix docs.

2006-05-22  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkmain.c:
	Make sure grab-notify is emitted on toplevels as well as 
	child widgets.

	* gtk/Makefile.am:
	* gtk/gtkwin32embedwidget.[ch]
	Add new widget used for win32 port to embed gtk+
	widgets in windows dialog.

	* gtk/gtkmarshalers.list:
	Add POINTER:VOID

	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation.[ch]:
	Generic support for custom widgets in print dialog.

	* gtk/gtkprintoperation-win32.c:
	Implement custom widget support for win32.

	* tests/print-editor.c:
	Allow setting of font using custom widgets in the print dialog.

2006-05-22  Behdad Esfahbod  <behdad@gnome.org>

	Rollback the following changes, to fix it the proper way in Pango:

	* gdk/gdkinternals.h:
	* gdk/gdkscreen.c (gdk_screen_class_init), (gdk_screen_finalize),
	(update_fontmap_resolution), (gdk_screen_set_resolution):  Add new
	function _gdk_screen_get_font_map() and have one fontmap per screen,
	with the correct resolution set on it.

	* gdk/gdkpango.c (gdk_pango_context_get_for_screen): Use
	_gdk_screen_get_font_map() instead of setting resolution on the
	PangoCairoContext.  (#342529)

2006-05-22  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.h:
	* gtk/gtkrecentmanager.c
	(gtk_recent_info_get_application_info): Don't mask "time" with
	the "time" argument.

2006-05-22  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkcolor.h: gdk_color_parse returns boolean, not int.
	(#342569, Masatake Yamato)

	* gtk/gtkprintunixdialog.c (dialog_set_scale): Don't return
	a value from a void function.

	* gtk/gtkprinter.c (_gtk_printer_prepare_for_print) 
	(_gtk_printer_get_settings_from_options) 
	(_gtk_printer_request_details): Don't return values from void
	functions.

	* gtk/gtkrecentchooserutils.c (delegate_unselect_uri): Don't
	return a value from a void function.

	* gtk/gtkfilesystem.c (gtk_file_system_cancel_operation): Don't
	return a value from a void function.  Also, don't put 
	semicolons behind G_DEFINE_TYPE. (#342543)

	* gtk/gtkwidget.c (gtk_widget_class_init): Add docs
	for new style properties.  (#342535, Mart Raudsepp)

	* gdk/x11/gdkscreen-x11.c: Remove _gdk_x11_screen_request_cm_notification

	* gdk/x11/gdkdisplay-x11.c (gdk_display_open): Directly call 
	gdk_display_request_selection_notification. 

	* gdk/x11/gdkdisplay-x11.c: Several cleanups.
	
2006-05-21  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkinternals.h:
	* gdk/gdkscreen.c (gdk_screen_class_init), (gdk_screen_finalize),
	(update_fontmap_resolution), (gdk_screen_set_resolution):  Add new
	function _gdk_screen_get_font_map() and have one fontmap per screen,
	with the correct resolution set on it.

	* gdk/gdkpango.c (gdk_pango_context_get_for_screen): Use
	_gdk_screen_get_font_map() instead of setting resolution on the
	PangoCairoContext.  (#342529)

2006-05-22  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilesystemwin32.c: Make it compile again. Doesn't work
	properly yet, though. There is lots of commonality between this
	file and gtkfilesystemunix.c that should really be factored out.

2006-05-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpaned.c (gtk_paned_compute_position): Avoid warnings
	if a child is NULL.  (#342007, Patrick Monnerat)
	
	* gtk/gtk.symbols: 
	* gtk/gtkprintoperation.h: 
	* gtk/gtkprintoperation.c (gtk_print_operation_cancel): New function
	to cancel a running print operation.

	* gtk/gtkprintoperation-private.h (struct _GtkPrintOperationPrivate): 
	Add a cancelled flag, use g types, use bitfields.

	* gtk/gtkprintoperation.c (print_pages): Clean up after the idle
	in the synchronous case.

	* gtk/gtknotebook.c (gtk_notebook_pages_allocate): Fix a 
	boundary case in scrolling where a tab was not shown.  (#168105,
	Hiroyuki Ikezoe, patch by Kouhei Sutou)

2006-05-19  Damon Chaplin  <damon@gnome.org>

	* gtk/gtkfontsel.c (gtk_font_selection_init): use
	atk_relation_add_target() to add the targets, since it sets up weak
	references to avoid crashes. (#305530)

2006-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.h: 
	* gtk/gtkprintoperation.c: Add a GtkPrintOperation:: paginate signal 
	that gets emitted to paginate a document in chunks.

	* gtk/gtkprintoperation-private.h: 
	* gtk/gtkmarshalers.list: Add necessary glue.

	* gtk/gtkcalendar.c (gtk_calendar_drag_motion): Don't produce
	a stuck drag if shift is held.  (#341734, Sebastien Bacher) 

	* gdk/x11/gdkdnd-x11.c (_gdk_drag_get_protocol_for_display): 
	Always set protocol.  (#342003, Tommi Komulainen)

	* gtk/gtkimage.c (icon_theme_changed): Only unref the pixbuf
	if the image has the appropriate storage type.  (#342096, Tommi
	Komulainen)

	* configure.in: Actually require GLib 2.11
	
	* gtk/gtkentry.c (gtk_entry_drag_data_received): Make drops
	end up at the right spot.  (#342072,  Yevgen Muntyan)

2006-05-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrange.c: canonicalize the name of the "activate-slider"
	style property and use GTK_PARAM_READABLE instead of
	G_PARAM_READABLE. Moved one "activate_slider" variable to the
	local scope its used in.

2006-06-18  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkscreen-directfb.c: 
	* added gdk_screen_is_composited to compile
	* Bug 342091

2006-05-17  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintoperation-win32.c:
	Update to changed APIs.

2006-05-16  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.9.1 ====

	* configure.in: Reset interface age
	
	* NEWS: Updates

Tue May 16 12:36:25 2006  Søren Sandmann  <sandmann@redhat.com>

	* gtk/gtktoolbar.c (gtk_toolbar_size_allocate): Move getting the
	property out of the loop, and rename the variable 'max_expand'.

	* gtk/gtktoolbar.c (gtk_toolbar_class_init): Fix the decription
	for the max-child-expand property. 

2006-05-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprinter.c (gtk_printer_class_init): 
	* gtk/gtkprintjob.c (gtk_print_job_class_init): 
	* gtk/gtkprintoperation.c (gtk_print_operation_class_init): 
	Cosmetic cleanups.

	* gtk/gtkpagesetupunixdialog.c (populate_dialog): Add labels
	for page orientations, also add the fourth one.  (#339589)

	* gtk/stock-icons/24/gtk-orientation-reverse-portrait.png: New
	icon.
	
	* gtk/Makefile.am: Add it here.
	
	* gtk/gtkstock.[hc]: Add stock items for the page orientations.

2006-05-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktoolbar.c: added "max-child-expand" style property which
	limits the space taken by expanding tool items. Fixes bug #340722.

2006-05-16  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkpathbar.c (gtk_path_bar_dispose): cancel all pending handles
	in the button list. (Fixes #341035, reported by William Jon McCann).

2006-05-16  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkfilechooserdefault.c
	(show_and_select_paths_finished_loading): put the newly selected
	row(s) the in the middle of the view,
	(update_current_folder_get_info_cb),
	(gtk_file_chooser_default_update_current_folder): make sure reload
	state is set to RELOAD_HAS_FOLDER while loading the new folder,
	so _map() won't start loading the current working directory. (Fixes
	#341028, reported by Michael Natterer).

2006-05-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_button_press): Fix
	an RTL problem with toggles in expander columns. 
	(#341896, Roozbeh Pournader) 

Mon May 15 15:12:05 2006  Søren Sandmann  <sandmann@redhat.com>

	* gtk/gtklayout.c (gtk_layout_realize),
	* gtk/gtkiconview.c (gtk_icon_view_realize),
	* gtk/gtktreeview.c (gtk_tree_view_realize): Set the background of
	the clip windows to NULL, since they are generally invisible and
	don't have EXPOSURE set, which means they temp-unvlicker code
	doesn't apply to them.

	* gdk/x11/gdkgeometry-x11.c (_gdk_window_move_resize_child): Unset
	the background of the parent window during resizing. Invalidate
	the uncoered area of the parent window. Bug 341332.

2006-05-15  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (_gdk_events_init): Remove obsolete 
	comment.
	(poll_func): Remove assert and add a comment on how to fix properly.
	(gdk_events_pending): Implement.

2006-05-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c: Reverse the order of
	ranges when printing in reverse.  (#341578)

2006-05-15  Alexander Larsson  <alexl@redhat.com>
	
	* gtk/gtkprintjob.[ch]:
	Added gtk_print_job_set/get_track_print_status

	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation.[ch]:
	Add gtk_print_operation_set_track_print_status.
	
	* gtk/gtkprintoperation-unix.c:
	Implement track_print_status on unix
	
	* gtk/gtkprintoperation-win32.c:
	Implement track_print_status on win32
	
	* gtk/gtk.symbols:
	Added symbols
	
	* modules/printbackends/cups/gtkprintbackendcups.c:
	Implement track_print_status for cups
	
	* tests/print-editor.c:
	Test track_print_status.

2006-05-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c: Do page rendering in an idle when
	running asynchronous. 

2006-05-15  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols: 
	* gtk/gtkprintbackend.[ch]: (_gtk_print_backend_create):
	Never unload print backends.
	Remove gtk_print_backend_unref_at_idle.

	* modules/printbackends/cups/gtkprintbackendcups.c:
	(cups_dispatch_watch_finalize):
	Don't use the unref_at_idle hack since that caused
	deadlocks. Instead we never unload print backends, which
	is not really a big problem.

2006-05-14  Murray Cumming  <murrayc@murray.com>

	* gtk/gtkframe.c: Restored the / at the start of the comment 
	block, to fix the build.

2006-05-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/*.c:
	* gdk-pixbuf/*.c:
	* gdk/*.c: Remove erroneous ; after G_DEFINE_TYPE 
	macros.  (#341692, Yevgen Muntyan)

	* gtk/gtktextbtree.c: 
	* gtk/gtktextview.c: Move some asserts to the right 
	place.  (#341661, #341665, Pascal Terjan)

2006-05-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c: Fix some corner cases in the size
	allocation logic for tabs.  (#341577, Carlos Garnacho Parro)

	* gtk/gtkprintunixdialog.c: Some fixes to capitalization of
	labels.  (#341558, Dennis Cranston)

	* gtk/gtknotebook.c: Handle tab_label being NULL better.
	(#341455, William Jon McCann, patch by Carlos Garnacho Parro)

	* gtk/gtkruler.c: Reinstate the ruler metrics strings, since
	they are used by glade, pointed out by Damon Chaplin.

2006-05-12  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkwindow.c:
	Better handling of the window group on unsetting transient-for, since
	the transient parent might have changed group.
	
	* gtk/gtkmenu.c:
	Combine the handling of transient for the attach-widget and the
	window group handling by setting transient-to on popup/popdown only.

	See bug #340401
	
	* gtk/gtkprintunixdialog.c:
	Remove part of old fix no longer needed.

2006-05-12  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintoperation.c (gtk_print_operation_set_n_pages):
	Update g_object_notify to new property name.

2006-05-12  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkrecentmanager.c:
	Fix build errors.
	
	* gtk/gtk.symbols:
	* demos/gtk-demo/printing.c:
	* gtk/gtkprintoperation-win32.c:
	* gtk/gtkprintoperation.[ch]:
	* gtk/gtkprintsettings.[ch]: 
	* modules/printbackends/cups/gtkprintbackendcups.c:
	* modules/printbackends/lpr/gtkprintbackendlpr.c:
	* modules/printbackends/pdf/gtkprintbackendpdf.c:
	* tests/print-editor.c:
	* tests/testnouiprint.c:
	* tests/testprint.c:
	* tests/testprintfileoperation.c:
	Rename functions from nr_of_pages to n_pages, and num_copies to
	n_copies to match other gtk+ names.
	
	* gtk/gtkmenu.c: (gtk_menu_popdown):
	Only re-set window group on popdown if we set it on popup (i.e.
	if there is a parent menu shell).
	Fixed part of bug #340401

	* gtk/gtkwindow.c:
	Add (contruct) property "transient-for" to GtkWindow. This
	is needed for the fix to bug #340401.
	
	* gtk/gtkprintunixdialog.c:
	Use the transient-for property on construction and populate the dialog
	with widgets after that. This fixes bug #340401.
	More n_pages renames.

2006-05-11  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/gtkrecentmanager.h: Remove the error parameter to the
	gtk_recent_manager_add() and gtk_recent_manager_add_full()
	functions; remove the unneeded error codes from the error
	enumeration.  (#336774).

	* gtk/gtkrecentmanager.c: Make gtk_recent_manager_add() and
	gtk_recent_manager_add_full() complain loudly about wrong or
	missing meta-data, instead of using a GError.  (#336774)

2006-05-11  Matthias Clasen  <mclasen@redhat.com>

	* demos/gtk-demo/Makefile.am (demos): Add it here.

	* demos/gtk-demo/printing.c (do_printing): Add a GtkPrintOperation demo.

2006-05-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* gtk/gtkfilechooserembed.c: use I_() instead of _() when creating
	response-requested signal. Fixes bug #341416

2006-05-11  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkkeysyms.h: Regenerated from Xorg 7.1 keysyms.h, using
	gdkkeysyms-update.pl.

	* gdk/gdkkeysyms-update.pl: Script to sync gdkkeysyms.h
	with Xorg.  (#321896, Simos Xenitellis)

	* gdk/Makefile.am (EXTRA_DIST): Add gdkkeysyms-update.pl

	* gdk/gdkkeysyms.h: Consistently use lowercase in hex numbers.

2006-05-10  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtknotebook.c: check that tab_label is not NULL before checking
	that it's notebook's child. Closes #341247.

Wed May 10 15:57:53 2006  Tim Janik  <timj@imendio.com>

	* applied unified patch for configurable scroll arrow sizes from
	bug #333632 and bug #325282.

	* gtk/gtkwidget.c (gtk_widget_class_init): added ::scroll-arrow-hlength
	and ::scroll-arrow-vlength style properties. fixed upper limit for
	::separator-width and ::separator-height to be MAXINT.

	* gtk/gtkmenu.c: use GtkWidget::scroll-arrow-vlength to determine the
	scroll arrow size, instead of using a hard coded constant.

	* gtk/gtknotebook.c: use GtkWidget::scroll-arrow-vlength and
	GtkWidget::scroll-arrow-hlength to determine scroll arrow sizes.
	added GtkNotebook::arrow-spacing style property to configure the
	spacing between scroll arrows.

2006-05-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpagesetupunixdialog.c: Don't include langinfo.h
	unconditionally.  (#341217)

2006-05-10  John (J5) Palmieri  <johnp@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c:
	make the _CUPS_MAP_ATTR_STR macro not dup the string so we don't
	leak 

2006-05-10  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* gtk/paper_names.c: Correct #11 Envelope typo.

2006-05-09  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (doesnt_want_scroll): Look at both
	GDK_SCROLL_MASK and GDK_BUTTON_PRESS_MASK. (#139628)

2006-05-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextbuffer.c (gtk_text_buffer_class_init): Add a :cursor-position
	property.  (#334412, Yevgen Muntyan)

	* gtk/gtk.symbols:
	* gtk/gtkmessagedialog.[hc]: Add an image property.  (#337306, Alex Graveley)

2006-05-09  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtknotebook.c: create an independent GdkWindow to behave nicely
	during reordering with tab_labels with their own window, also use
	gtk_drag_set_icon_widget() for the DnD icon to avoid drawing garbage
	from offscreen regions. Closes bug #335707.
	(gtk_notebook_tab_space), (gtk_notebook_calculate_shown_tabs),
	(gtk_notebook_calculate_tabs_allocation): new functions, 
	gtk_notebook_pages_allocate() functionality has been splitted into
	these.

2006-05-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (gtk_file_chooser_default_add_shortcut_folder): 
	* gtk/gtktextbufferserialize.c (parse_attr_element): Fix some typos in
	messages.  (#341091, Tino Meinen)

	* gtk/gtkstatusicon.c: Some cleanups.
	
	* gtk/gtkstatusicon.c (gtk_status_icon_get_property): Silently return
	NULL if the storage type of the image does not match.  (#340516, Christian
	Persch)

	* gtk/gtktoolbar.c (_gtk_toolbar_elide_underscores): Elide (_x) in the middle
	of the string, too.  (#323956, Abel Cheung)

	* gtk/gtkuimanager.c (update_node): Fix tooltips. (#340527, Jon-Kare Hellan)

	* configure.in: Require Pango 1.13.0

	* gtk/gtknotebook.c: 
	* gtk/gtkwindow.c: 
	* gtk/gtkrange.c: Fix doc typos.

2006-05-08  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* gtk/gtkprintunixdialog.c (gtk_print_unix_dialog_class_init):
	Corrected a duplicate word.

	* gtk/gtkrecentmanager.c (gtk_recent_manager_add_full): Corrected
	a typo.

2006-05-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrange.c (gtk_range_key_press):  Chain up, to
	make bindings work.  Noticed by Al Puzzuoli.
	
2006-05-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkseparator.c: 
	* gtk/gtkscrollbar.c: 
	* gtk/gtkpaned.c: 
	* gtk/gtkoldeditable.c: 
	* gtk/gtkmisc.c: 
	* gtk/gtkitem.c: 
	* gtk/gtkimcontext.c: 
	* gtk/gtkrange.c:
	* gtk/gtkscale.c: Make types abstract again.

2006-05-06  Matthias Clasen   <mclasen@redhat.com>
	
	* gdk/gdkwindow.c (gdk_window_get_toplevels): Fix a wrong
	reference in the docs.  (#340870, Ed Catmur)

2006-05-05  Christian Persch  <chpe@cvs.gnome.org>

	* modules/printbackends/cups/gtkprintbackendcups.c:
	* modules/printbackends/lpr/gtkprintbackendlpr.c:
	* modules/printbackends/pdf/gtkprintbackendpdf.c: Always register
	  the type with the type module, even if it had been registered
	  before. Fixes bug #340676.

2006-05-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c: Use theme colors for 
	the page layout indicator, and do RTL flipping for
	the collate indicator.

2006-05-05  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Require GLib 1.11.0

	* configure.in: Bump version

	* === Released 2.9.0 ===

	* configure.in: Require cairo 1.1.6

	* gtk/Makefile.am: Tweaks to make distcheck work.

2006-05-05  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintoperation-unix.c:
	Implement per-page paper sizes.
	
	* gtk/gtkprintoperation.c:
	Implement per-page paper sizes for pdf output.
	Make gtk_print_operation_set_pdf_target() work again
	
	* tests/Makefile.am:
	* tests/testprint.c:
	* tests/testprintfileoperation.[ch]:
	Add more test code for printing support.
	This tests per-page paper sizes & orientation and
	deriving from GtkPrintOperation.

2006-05-04  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkkeys-directfb.c: DIKI_ALTGR to compile with
	directfb 0.9.25.1

2006-05-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.symbols: remove gtk_printer_set_backend so it compiles
	again.

2006-05-04  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk.symbols:
	Added new symbols
	
	* gtk/gtkpagesetupunixdialog.c:
	* gtk/gtkprintunixdialog.c:
	Destroy backends when finalizing dialogs.
	Fix printer leak in selected_printer_changed.
	
	* gtk/gtkprintbackend.[ch]:
	Convert from interface to baseclass.
	Move printer hashtable here so that the baseclass can handle
	the slightly complicated ownership model.
	Add gtk_print_backend_destroy which runs the dispose method,
	causing the ref-cycles between the backend and its printers
	to be broken.
	Add gtk_print_backend_unref_at_idle().
	
	* gtk/gtkprinter.[ch]:
	GtkPrinter objects now ref their backend so that its always
	availible, since its needed for the printer object to work.
	This causes a reference-cycle that is broken using
	gtk_print_backend_destroy.
	Add gtk_printer_compare.
	
	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkprintoperation.c:
	Implement !show_dialog for unix.
	Make sure the print data is fully spooled before returning
	from a sync run_dialog.
	
	
	* modules/printbackends/cups/gtkcupsutils.[ch]:
	Add gtk_cups_request_ipp_add_strings
	
	* modules/printbackends/cups/gtkprintbackendcups.c:
	* modules/printbackends/cups/gtkprintercups.c:
	* modules/printbackends/lpr/gtkprintbackendlpr.c:
	* modules/printbackends/pdf/gtkprintbackendpdf.c:
	Convert backends to derive instead of implementing interface.
	Move common code into baseclass.
	CUPS:
	  Remove the printer polling in dispose, not finalize.
	  In the cups watch, remove the backend at idle instead of
	  immediately, since the unref can cause the module to be unloaded.
	  Limit the number of printer attributes requested
	  Get printer uri in initial printer listing so that we can use
	  the printer object immediately.
	
	* tests/Makefile.am:
	* tests/testnouiprint.c:
	Add testcase for !show_dialog.

2006-05-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkfilesystem.c:
	* gtk/gtkfilesystemunix.c:
	* gtk/gtkprintbackend.h:
	* gtk/gtkrecentchooserdefault.c:
	* gtk/gtkrecentchooserdefault.h:
	* gtk/paper_names_offsets.c: Make symbol list mstch reality.
	
	* gtk/Makefile.am: Fix a typo.
	
	* gdk/x11/Makefile.am (EXTRA_DIST): Add gdksettings.c

2006-05-03  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2006-05-04  Murray Cumming <murrayc@murrayc.com>

	* gtk/gtktreemodel.c: (gtk_tree_model_base_init): Changed the 
	language of the signals documentation slightly. Bug #340205.

2006-05-03  Federico Mena Quintero  <federico@novell.com>

	Merged the federico-filename-entry branch, to fix bug #136541.
	Combined ChangeLogs:

	2006-04-17  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdefault.c (pending_select_paths_process):
	Oops, we *do* need to check that we are in OPEN mode before
	selecting the first row in the file list.  See
	https://bugzilla.novell.com/show_bug.cgi?id=166906
	(gtk_file_chooser_default_get_paths): If we are in the case for
	the file list, and the list has no selected rows, jump to the case
	for the filename entry.  This is so that

	       1. The user types a filename in the SAVE filename entry
	          ("foo.txt").

	       2. He then double-clicks on a folder ("bar") in the file
		  list.

	will yield the expected "bar/foo.txt" selection.

	2006-03-29  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkpathbar.c (gtk_path_bar_init): Reduce the inter-button
	spacing to 0.

	* gtk/gtkfilechooserdefault.c (browse_widgets_create): Make the
	location label bold.

	2006-03-29  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdefault.c (location_mode_set): Just change the
	location_mode field if we are in SAVE/CREATE_FOLDER modes.
	(gtk_file_chooser_default_get_paths): Get the path based on the
	currently focused widget, or the last-focused widget.  This is
	what we should have been doing in the beginning, but it worked out
	fine because we didn't have the possibility of a filename entry in
	OPEN mode.
	(gtk_file_chooser_default_should_respond): Handle the case where
	the last focused widget is the location_entry.

	2006-03-28  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechoosersettings.[ch]: New files with a simple
	framework for saving/loading settings from the file chooser in
	$XDG_CONFIG_HOME/gtk-2.0/gtkfilechooser.

	* gtk/gtkfilechooserdefault.c (gtk_file_chooser_default_unmap):
	Save the current settings.
	(settings_save): New helper function.  We save the location_mode
	and show_hidden flags.
	(gtk_file_chooser_default_map): Load the settings.
	(settings_load): New helper function.

	* gtk/gtkfilechooserentry.c
	(_gtk_file_chooser_entry_set_file_part): Oops, don't modify
	in_change.  Our handlers are what set the file_part, so they
	*must* be run when we modify the text.

	2006-03-27  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserprivate.h (struct _GtkFileChooserDefault):
	Removed the save_file_name_entry.  We'll make this be the same as
	the location_entry widget.
	(struct _GtkFileChooserDefault): Leave only location_button,
	location_entry_box, location_label, location_entry.  We'll use a
	single toggle button for the location entry, which will appear
	below the path bar.
	(struct _GtkFileChooserDefault): Added a
	processing_pending_selections flag.

	* gtk/gtkfilechooserdefault.c (save_widgets_create): Destroy the
	old location_entry if necessary, and hide the location toggle
	widgets.
	(update_chooser_entry): In multiple selection mode, just clear the
	location_entry.
	(check_save_entry): Allow running in OPEN or SELECT_FOLDER modes
	if we are in LOCATION_MODE_FILENAME_ENTRY.
	(gtk_file_chooser_default_should_respond): Switch to a folder if
	the location_entry contains a folder name in OPEN and SAVE mode,
	not just SAVE mode.  If the entry doesn't contain a folder name,
	but is otherwise well-formed, and we are in OPEN mode, return that
	we should respond with that filename.
	(gtk_file_chooser_default_initial_focus): Focus the location_entry
	if appropriate.
	(browse_widgets_create): Create the location_entry_box and the
	location_label here.
	(update_appearance): Call location_mode_set() when switching back
	to OPEN/SELECT_FOLDER mode.  Hide the location_button when
	switching to SAVE/CREATE_FOLDER mode.
	(pending_select_paths_process): Turn the
	processing_pending_selections flag on and off around changes to
	the current selection.  Don't special-case OPEN mode anymore,
	since the new flag will take care of things in
	update_chooser_entry().
	(update_chooser_entry): Don't do anything if
	processing_pending_selections is TRUE.  This keeps the entry from
	being polluted when changing folders.
	(location_popup_handler): In OPEN/SELECT_FOLDER modes, toggle
	between the path bar and the entry.  In SAVE/CREATE_FOLDER modes, simply focus the
	location_entry.
	(update_from_entry): Removed.
	(location_entry_create): Removed.
	(open_location_cb): Removed.
	(file_list_build_popup_menu): Don't add an "Open _Location" menu item.
	(location_entry_set_initial_text): Don't do anything if
	current_folder is NULL.

	* gtk/gtkfilechooserentry.c
	(_gtk_file_chooser_entry_set_file_part): Turn in_change on and off
	around the call to gtk_entry_set_text().  This makes completion
	not happen when the caller has explicitly set a name.

	2006-03-24  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserprivate.h (struct _GtkFileChooserDefault):
	Added fields location_mode_box, location_pathbar_radio,
	location_filename_radio, location_widget_box, location_label,
	location_entry.  The radio buttons will switch between the pathbar
	and the location entry; the other boxes are for layout purposes.
	(enum LocationMode): New enum.
	(struct _GtkFileChooserDefault): Added a location_mode field.

	* gtk/gtkfilechooserdefault.c (browse_widgets_create): Create the
	location radio buttons to switch between the pathbar and the
	location entry.  Pack the browse_path_bar in the new
	location_widget_box instead of a generic hbox.
	(location_buttons_create): New function.
	(gtk_file_chooser_default_init): Initialize impl->location_mode.
	(location_switch_to_path_bar): New function.
	(location_switch_to_filename_entry): New function.

	* gtk/gtkfilechooserbutton.c (model_add_special): The display_name
	should not be const.

2006-05-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c: Replace the xpm collate icons
	by cairo drawing that respects themes.

	* gdk/quartz/Makefile.am (libgdk_quartz_la_SOURCES): Add
	missing files.  (#340533, Ludovic Rousseau)

	* gtk/gtkprintunixdialog.c (draw_page_cb): Don't leak the
	cairo context here.  (#340522, Christian Persch)

	* gtk/gtkprintoperation-unix.c (unix_finish_send): Don't
	use gtk_dialog_run for the error dialog, and improve the
	dialog in other ways.  (#340510, Christian Persch)

	* gtk/gtkpagesetupunixdialog.c: Beautify the custom
	paper size dialog.  (#339590, patch by Christian Persch)
	
	* gtk/gtkaccessible.c:
	* gtk/gtkclipboard.c:
	* gtk/gtkfilefilter.c:
	* gtk/gtkimmodule.c:
	* gtk/gtkmenubar.c: More G_DEFINE_TYPE conversion.

	* gtk/gtkwidget.c: Make GtkWidget abstract again.

2006-05-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/*.c: Use G_DEFINE_TYPE and g_type_register_static_simple()
	where applicable, for ~5000 lines of code reduction. This also
	reduces the size of the data section by ~9k. The overall library
	sizes shrinks a bit less, since the text section gets a bit
	larger.

2006-05-02  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_row_inserted): set tmpnode to
	the return value of the _gtk_rbtree_insert* functions, since that
	is the node we really want to check for visibilty.

2006-05-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprinter.[hc]: Don't use virtual as a parameter name.
	(#340394, Christian Persch)

2006-05-02  Christian Persch  <chpe@cvs.gnome.org>

	* gtk/gtkpagesetupunixdialog.c:
	* gtk/gtkprintcontext.c: 
	* gtk/gtkprinter.c:
	* gtk/gtkprinteroptionwidget.c:
	* gtk/gtkprintjob.c:
	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkprintoperation.c:
	* gtk/gtkprintunixdialog.c: Use a priv variable when accessing priv
	  multiple times in the same function. Bug #340288.

2006-05-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtklabel.c (gtk_label_set_line_wrap): added note about the
	inablity to do height-for-width text layout and suggest to use
	gtk_widget_set_size_request() for getting a label that wraps at
	some specific position.

2006-05-02  Kristian Rietveld  <kris@imendio.com>

	* ChangeLog.gtk-async-file-chooser: added ChangeLog entries from
	the kris-async-branch.

	* Makefile.am: updated EXTRA_DIST

2006-05-02  Alexander Larsson  <alexl@redhat.com>

	* ChangeLog.gtk-printing: 
	* Makefile.am (EXTRA_DIST):
	Add ChangeLog.gtk-printing

2006-05-01  Matthias Clasen  <mclasen@localhost.localdomain>

	* NEWS: Updates

2006-05-02  Kristian Rietveld  <kris@imendio.com>


	* configure.in: Up ABI version to 2.10.0 (by Matthias' request).

2006-05-01  Kristian Rietveld  <kris@imendio.com>

	Merge of the GTK+ asynchronous file chooser branch.  Please see
	the kris-asynch-branch for more detailed ChangeLog entries.

	* configure.in: increase binary version to 2.9.0.

	* gtk/gtk.symbols:
	* gtk/gtkfilechooser.c:
	* gtk/gtkfilechooserbutton.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkfilechooserdialog.c:
	* gtk/gtkfilechooserembed.c:
	* gtk/gtkfilechooserembed.h:
	* gtk/gtkfilechooserentry.c:
	* gtk/gtkfilechooserentry.h:
	* gtk/gtkfilechooserprivate.h:
	* gtk/gtkfilesystem.c:
	* gtk/gtkfilesystem.h:
	* gtk/gtkfilesystemmodel.c:
	* gtk/gtkfilesystemmodel.h:
	* gtk/gtkfilesystemunix.c:
	* gtk/gtkpathbar.c:
	* gtk/gtkpathbar.h:
	Merge from kris-async-branch.

2006-05-01  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2006-04-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreemodel.c (gtk_tree_model_base_init): Document
	GtkTreeModel signals.

2006-04-19  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkdrawable-directfb.c: removed all subtracting one on
	clipping

2006-04-30  Kristian Rietveld  <kris@imendio.com>

	Fix for #340200, spotted by Torsten Schoenfeld.

	* gtk/gtktreeview.c (gtk_tree_view_get_cell_area): fix up logic
	calculating the level indentation,
	(gtk_tree_view_start_editing): remove code calculating the
	level indentation, since _get_cell_area() takes care of this for us.

2006-04-30  Matthias Clasen  <mclasen@redhat.com>

	Fix problems with setting symbolic colors from rc files.
	(#338345, Benjamin Berg)
	
	* gtk/gtkrc.c (gtk_rc_settings_changed, gtk_rc_font_name_changed) 
	(gtk_rc_color_hash_changed, gtk_rc_reparse_all_for_settings): Don't
	freeze notification for settings changes while parsing; instead
	manually avoid recursion, and update the color hashes.

2006-04-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (gtk_settings_class_init): Change the default
	value of the gtk-color-scheme setting to "".

	* gtk/gtkprinteroption.c: 
	* gtk/gtkprinteroptionwidget.c: 
	* gtk/gtkprintunixdialog.c: Improve the print dialog layout,
	mark some more strings for translation.  (#340139, Christian Persch)

	* gtk/gtkstatusicon.c (gtk_status_icon_class_init): Fix the definition
	of the ::size-changed signal, and improve its documentation.
	(#340112, Christian Persch)

2006-04-29  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkwidget.c (gtk_widget_create_pango_layout)
	(gtk_widget_get/create_pango_context): Change colormap to font map in
	docs. (#340093)

2006-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: 
	* gtk/gtkstatusicon.h: 
	* gtk/gtkstatusicon.c (gtk_status_icon_position_menu): Add a menu
	position function for use with popups on status icons.  (#334573, 
	Christian Persch)

	* gtk/gtkwidget.c (gtk_widget_is_composited): Fix a C99ism.  (#340055,
	Kazuki Iwamoto)

2006-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcellrenderertext.c (get_size): Use _static variants when
	copying and merging short-lived Pango layouts. (#340033, Morten Welinder)

2006-04-28  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkwidget.c (gtk_widget_create_pango_layout): Fix typo in
	docs. (#340063)

2006-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_drag_begin): Don't force
	the standard DND icon if the user has a custom DND source.  
	(#339522, Joe Wreschnig)

2006-04-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextbuffer.c (create_clipboard_contents_buffer): keep a
	reference to the source buffer while the clipboard contents buffer
	exists, because it is needed for serializing the contents buffer.
	Makes copying from the contents buffer possible even after the
	resp. text view is destroyed (for example when there is a
	clipboard manager running on app exit) (bug #339195).

2006-04-27  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkpango.c (gdk_pango_renderer_draw_glyphs): Cast to double
	before dividing by PANGO_SCALE. (#334582)

2006-04-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (popup_position_func): Improve positioning
	of the menu when popped up by keynav.  (#334987, Christian
	Persch)

	* gtk/gtkdnd.c (gtk_drag_set_icon_window): Handle the case
	of being called after the drag is cancelled.  (#339224, 
	Benjamin Otte)

	* gdk/x11/gdkscreen-x11.c (_gdk_x11_screen_process_owner_change):
	Use XFixes only if it is available.  (#339839, Marko Anastasov)

2006-04-26  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkdialog.c (gtk_dialog_close): Don't make this conditional
	on having a GTK_RESPONSE_CANCEL button -> end the idiocy.  Fixes
	bug #101293.

2006-04-26  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (node_is_visible): new function,
	(validate_visible_area): when a node is validated, only queue a
	redraw for that node, not for the entire widget (a redraw for the
	entire widget is only needed when the sizes change, and
	_queue_resize() will take care of that),
	(do_validate_rows): do not queue a redraw, redraws are only needed
	for changes in the visible area and validate_visible_area() takes
	care of that,
	(gtk_tree_view_row_inserted): for fixed height mode, only queue
	a resize and redraw if the node is visible, else no redraw is needed.

2006-04-26  Kristian Rietveld  <kris@imendio.com>

	If this new "row-ending-details" property is turned on, more
	detailed "details" will be passed to the theme engine for drawing
	the background, drop indicator and focus rectangle.  Requirement is
	that the theme engine supports these details. (#333760).

	* gtk/gtktreeview.c (gtk_tree_view_class_init): add row-ending-details
	style property,
	(gtk_tree_view_bin_expose): pass more detailed detail to
	gtk_paint_flat_box() if the property is turned on,
	(gtk_tree_view_bin_expose): likewise for the drop indicator,
	(gtk_tree_view_bin_expose): likewise for the focus rectangle.

2006-04-26  Kristian Rietveld  <kris@imendio.com>

	New "show-expanders" and "level-indentation" properties, which can
	be used for customizing the tree view.  (For example to do
	grouping as demonstrated in the test application).
	Discussion in #80869.

	* gtk/gtktreeprivate.h: add level_indentation field.

	* gtk/gtktreeview.c (gtk_tree_view_class_init),
	(gtk_tree_view_init), (gtk_tree_view_set_property),
	(gtk_tree_view_get_property): add the properties to the object,
	(gtk_tree_view_button_press), (do_prelight),
	(gtk_tree_view_bin_expose), (validate_row),
	(gtk_tree_view_discover_dirty_iter), (gtk_tree_view_get_cell_area),
	(gtk_tree_view_create_row_drag_icon): take the new properties
	into account,
	(gtk_tree_view_start_editing): fix cell placement code.

	* tests/testgrouping.c: new test application, showing how to
	implement grouping.

	* tests/Makefile.am: updated.

2006-04-25  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk.symbols: Add gdk_screen_is_composited

	* gtk/gtkprintjob.c (gtk_print_job_set_source_file): Add docs.

	* gtk/gtkprintoperation.c: Add docs.

Tue Apr 25 10:25:28 2006  Søren Sandmann  <sandmann@redhat.com>

	* tests/testgtk.c (create_alpha_window): Create 'composited' label.

	* tests/testgtk.c (on_composited_changed): New function, change
	the label to say whether the screen is composited or not.

	* gtk/gtkwindow.c (gtk_window_on_composited_changed): When
	composited status change, invalidate the window and propagate the signal;.

	* gtk/gtkwindow.c (gtk_window_map): Set the appropriate type hint
	if reset_type_hint is TRUE.

	* gtk/gtkwindow.c (gtk_window_set_type_hint): If hint is one of
	the old hints, store a shadow copy in the public window->type_hint
	bitfield, otherwise set this field to normal. Set the private
	field to the type hint.

	* gtk/gtkwindow.c (gtk_window_init): Initialize priv->type_hint. 

	* gtk/gtkwindow.c (struct _GtkWindowPrivate): New field
	"reset_type_hint" indicating whether the type hint needs to be
	reset. New field type_hint containing a GdkWindowTypeHint.

	* gtk/gtkwidget.c (propagate_composited_changed): New function to
	propagate changes in composited status.
	(gtk_widget_class_init): Add composited_changed signal.
	
	* gtk/gtkwidget.h (struct _GtkWidgetClass): New signal composited-changed.

	* gtk/gtkwidget.c (gtk_widget_is_composited): New function.

	* gtk/gtktooltips.c (gtk_tooltips_draw_tips): Set transient for.

	* gtk/gtktooltips.c (gtk_tooltips_force_window): Set the type hint

	* gtk/gtkmenuitem.c (gtk_menu_item_position_menu): Compute whether
	the item belongs to a menubar. Set the type_hint appropriately
	depending on the outcome.

	* gtk/gtkmenu.c (gtk_menu_position): Set the default type hint here.

	* gtk/gtkmenu.c (gtk_menu_attach_to_widget): connect to hierarchy
	changed on the attach widget.

	* gtk/gtkmenu.c (attach_widget_hierarchy_changed): New function to
	set the transient_for property for menus.

	* gtk/gtkdnd.c (set_icon_stock_pixbuf): Set the appropriate type hint.

	* gtk/gtkcombo.c (gtk_combo_popup_list): Make the popup window
	transient for the toplevel.

	* gtk/gtkcombobox.c (gtk_combo_box_set_popup_widget): Set
	transient-for, for the popup window.

	* gdk/x11/gdkwindow-x11.c (gdk_window_get_type_hint): Support for
	new window types.

	* gdk/x11/gdkwindow-x11.c (gdk_window_set_type_hint): Add support
	for new window types.

	* gdk/x11/gdkscreen-x11.c (_gdk_x11_screen_process_owner_change):
	New function called whenever the compositing manager comes and goes.

	* gdk/x11/gdkscreen-x11.c (gdk_screen_is_composited): New function.

	* gdk/x11/gdkscreen-x11.c
	(_gdk_x11_screen_request_cm_notification, make_cm_atom,
	check_is_composited): New functions

	* gdk/x11/gdkevents-x11.c (gdk_event_translate): Call
	_gdk_x11_screen_process_owner_change when an
	XFixesSelectionNotifyEvent is received.

	* gdk/x11/gdkdisplay-x11.c (gdk_display_open): Call
	_gdk_x11_screen_request_cm_notification() on all screens.

	* gdk/quartz/gdkscreen-quartz.c (gdk_screen_is_composited): Dummy
	implementation. 

	* gdk/gdkscreen.c (gdk_screen_class_init): New signal,
	'composited-changed'.

	* gdk/gdkwindow.h: Add new EWMH window types.

	* gdk/win32/gdkscreen-win32.c (gdk_screen_is_composited) 

2006-04-25  Matthias Clasen  <mclasen@redhat.com>
	
	* modules/printbackends/cups/gtkprintbackendcups.c: 
	Add some more translatable PPD option names.

2006-04-24  Matthias Clasen  <mclasen@redhat.com>

	* po/POTFILES.in:
	* po-properties/POTFILES.in: Updates

	* gtk/paper_names.c: Declare PaperInfo here.

	* gtk/gen-paper-names.c: Add a prefix to gettext msgids.

	* gtk/paper_names_offsets.c: Regenerated.
	
	* gtk/gtkpapersize.c (gtk_paper_size_get_display_name):
	Use g_strip_context() to strip the prefix.

2006-04-24  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkfontbutton.c: Small doc fixes.

	* gtk/gtkprintunixdialog.h: 
	* gtk/gtkpagesetupunixdialog.h: Fix includes (#338665)

	* gtk/gtkprintsettings.h (GtkPageRange): Declare in a way grokked by gtk-doc.

	* gdk/gdkregion-generic.c: Documentation fixes.

	* gdk/directfb/gdkmain-directfb.c: Make the comment not look like
	a doc comment.

	* gtk/gtkprintunixdialog.c: Add docs.

	* gtk/gtkstatusicon.c (gtk_status_icon_get_visible): Typo fix.

2006-04-24  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprinter.c:
	Don't ref the backend since the backend owns the printer.

2006-04-24  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkpagesetupunixdialog.c (update_combo_sensitivity_from_printers):
	Remove spew.

2006-04-24  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintunixdialog.c (create_page_setup_page):
	Even/Odd Pages -> Even/Odd Sheets

2006-04-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkprintoperation.c (gtk_print_operation_run_async): Refactor the
	gtk_print_operation_run() code and add an _async version.

	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation-unix.c
	(_gtk_print_operation_platform_backend_run_dialog_async)
	(gtk_print_run_page_setup_dialog_async): Variants of the run functions
	which don't call gtk_dialog_run(), but only show the dialog and return,
	and handle the response in a signal handler.

	* gtk/gtkprintoperation-win32.c (gtk_print_run_page_setup_dialog_async) 
	(_gtk_print_operation_platform_backend_run_dialog_async): Implement these 
	by calling the sync versions.

	* gtk/gtkprintoperation-unix.c: Cleanups.

	* gtk/gtkpagesetupunixdialog.c (gtk_page_setup_unix_dialog_get_page_setup):
	Remove redundant code.

	* gtk/Makefile.am: Install gtkprintjob.h as Unix-specific print API.

	* gtk/gtkprintoperation-unix.c (gtk_print_run_page_setup_dialog): 
	Return a copy of the original page setup if the dialog was canceled.

2006-04-24  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintjob.h:
	Declare GtkPrintJob.
	
	* gtk/gtkprintunixdialog.c: (gtk_print_unix_dialog_get_settings):
	Change g_return_if_fail to g_return_val_if_fail.

2006-04-24  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Check for cairo-pdf.h.
	Check for cairo-ps.h on non-win32.

2006-04-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkclipboard.h: 
	* gtk/gtkprinter.c: 
	* gtk/gtkprintsettings.h: 
	* gtk/gtkprintsettings.c: Match parameter names with the headers.

	* gtk/gtkprintoperation-unix.c (gtk_print_run_page_setup_dialog): 
	Add docs.

	* gtk/gtktextbufferrichtext.c (gtk_text_buffer_deserialize): 
	* gtk/gtkstatusicon.c (gtk_status_icon_get_storage_type): 
	* gtk/gtktreeview.c (gtk_tree_view_set_search_position_func): 
	* gtk/gtktreeview.c (gtk_tree_view_get_headers_clickable): 
	* gtk/gtkcellrendererspin.c (gtk_cell_renderer_spin_new): 
	* gtk/gtkmenu.c (gtk_menu_get_for_attach_widget): Fix the docs.

	* gtk/gtkprinter.h: Don't declare GtkPrintJob here.
	* gtk/gtkprinter-private.h: Instead include gtkprintjob.h.

2006-04-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprinter-private.h: 
	* gtk/gtkprintbackend.h: 
	* gtk/gtkprinter.[hc]: 
	* gtk/gtkprintjob.[hc]: Use g types, add documentation, and some
	stylistic fixups.

	* gtk/gtkaboutdialog.c (activate_url): Avoid a compiler warning.

	* gtk/gtkpapersize.[hc]: Use g types, add documentation.

	* gtk/gtkprintunixdialog.c (gtk_print_unix_dialog_get_settings): 
	Use g_return_val_if_fail in non-void functions.

	* gtk/Makefile.am: Add gtkprintutils.[hc]

	* gtk/gtkprintutils.[hc]: New files, move the unit conversion
	functions here.

	* gtk/gtkpagesetupunixdialog.c: 
	* gtk/gtkprintsettings.c: 
	* gtk/gtkpagesetup.c: 
	* gtk/gtkpapersize.c: Replace all static copies of to_mm/from_mm
	by the copies in gtkprintutils.c.

	* gtk/gtkpagesetup.[hc]: Use g types, add documentation.

	* gtk/gtkprintsettings.c: More documentation

2006-04-22  Tor Lillqvist  <tml@novell.com>

	* gtk/Makefile.am (gtk_private_h_sources): Small workaround for
	weird bug in some versions of Automake at least on Windows.

2006-04-21  Alexander Larsson  <alexl@redhat.com>

        Merge the gtk-printing branch.
	For more detailed ChangeLog entries, see the ChangeLog.gtk-printing.
	
	* .cvsignore:
	* Makefile.am:
	* configure.in:
	* docs/tools/widgets.c:
	* gtk+-unix-print-2.0.pc.in:
	* gtk/Makefile.am:
	* gtk/gen-paper-names.c:
	* gtk/gtk.h:
	* gtk/gtk.symbols:
	* gtk/gtkenums.h:
	* gtk/gtkiconfactory.c:
	* gtk/gtkmarshalers.list:
	* gtk/gtkpagesetup.[ch]:
	* gtk/gtkpagesetupunixdialog.[ch]:
	* gtk/gtkpapersize.[ch]:
	* gtk/gtkprint-win32.[ch]:
	* gtk/gtkprintbackend.[ch]:
	* gtk/gtkprintcontext.[ch]:
	* gtk/gtkprinter-private.h:
	* gtk/gtkprinter.[ch]:
	* gtk/gtkprinteroption.[ch]:
	* gtk/gtkprinteroptionset.[ch]:
	* gtk/gtkprinteroptionwidget.[ch]:
	* gtk/gtkprintjob.[ch]:
	* gtk/gtkprintoperation-private.h:
	* gtk/gtkprintoperation-unix.c:
	* gtk/gtkprintoperation-win32.c:
	* gtk/gtkprintoperation.[ch]:
	* gtk/gtkprintsettings.[ch]:
	* gtk/gtkprintunixdialog.[ch]:
	* gtk/paper_names.c:
	* gtk/paper_names_offsets.c:
	Platform independent printing API and implementations
	for unix and windows.

	* gtk/gtkstock.h:
	* gtk/stock-icons/24/gtk-orientation-landscape.png:
	* gtk/stock-icons/24/gtk-orientation-portrait.png:
	* gtk/stock-icons/24/gtk-orientation-reverse-landscape.png:
	Add stock icons for page orientation.
	
	* modules/Makefile.am:
	* modules/printbackends/Makefile.am:
	* modules/printbackends/cups/Makefile.am:
	* modules/printbackends/cups/gtkcupsutils.[ch]:
	* modules/printbackends/cups/gtkprintbackendcups.[ch]:
	* modules/printbackends/cups/gtkprintercups.[ch]:

	Cups printing backend for unix.
	
	* modules/printbackends/lpr/Makefile.am:
	* modules/printbackends/lpr/gtkprintbackendlpr.[ch]:
	lpr printing backend for unix.
	
	* modules/printbackends/pdf/Makefile.am:
	* modules/printbackends/pdf/gtkprintbackendpdf.[ch]:
	print-to-pdf printing backend for unix.
	
	* tests/.cvsignore:
	* tests/Makefile.am:
	* tests/print-editor.c:
	Test application for printing.

	* gdk/gdk.symbols:
	* gdk/win32/gdkevents-win32.c:
	* gdk/win32/gdkwin32.h:
	Add gdk_win32_set_modal_dialog_libgtk_only so that we can pump the
	mainloop while displaying a win32 common dialog.

	* gdk/directfb/Makefile.am:
	Whitespace cleanup.
	
2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkcombobox.c: plug small leak (#339132)
	* tests/testcombo.c: ditto

2006-04-19  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkdrawable-directfb.c: fixed off by one error in
	clip patch from (#330824)

2006-04-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkfilechooserbutton.c: _GtkFileChooserButtonPrivate:
	Added has_title flag so we can remember whether a title has 
	been set.
	(gtk_file_chooser_button_constructor): If no title has been
	set then set it to the default title. This means that the 
	default title will be used if the dialog was instantiated with 
	g_object_new(), without using the gtk_file_chooser_button_new() 
	convenience function. This helps language bindings.
	(gtk_file_chooser_button_set_property): Set has_title when 
	setting the title.

2006-04-19  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkkeys-win32.c (handle_special): Map VK_NUMPAD[0-9]
	to GDK_KP_[0-9]. (#337562)

2006-04-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrc.c: Allocate pixmap_path dynamically, rather than
	using a fixed array of size 128.

	* gtk/gtkiconcache.c: Apply a patch by Paolo Borelli to factor
	out a strip_suffix() function and save some memory.  (#338307)

2006-04-18  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtknotebook.c (gtk_notebook_pages_allocate): removed wrong
	condition check that caused tab labels not to be drawn under certain
	circumstances. Bug #338734.

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po-properties/no.po: And the translation
	* po/no.po: And the translation.

2006-04-17  Matthias Clasen  <mclasen@redhat.com>

	* demos/gtk-demo/colorsel.c (expose_event_callback): Small formatting
	fix.

2006-04-17  Christian Persch  <chpe@cvs.gnome.org>

	* gtk/gtkdnd.c: (gtk_drag_dest_set), (gtk_drag_dest_set_proxy): Fix
	UMR in gtk_drag_dest_motion. Bug #338725.

2006-04-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (gtk_settings_class_init): 
	* gtk/gtkentry.c (gtk_entry_class_init): Fix typos
	in property blurbs.  (#338772, Clytie Siddall)

2006-04-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c: (gdk_quartz_draw_drawable): Add check 
	for source being a window.

	* gdk/quartz/gdkwindow-quartz.c: (_gdk_windowing_window_get_pointer):
	Don't assert on window not being the root window.

2006-04-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c: Remove leading cairo/ in include.

2006-04-16  Matthias Clasen <mclasen@redhat.com>

	* gdk/x11/gdkwindow-x11.c (set_initial_hints ): Avoid a
	possible array overrun.  (Coverity)

	* gtk/gtkcalendar.c (gtk_calendar_key_press): Avoid a
	possible array overrun.  (Coverity)

	* gtk/gtktextbuffer.c (_gtk_text_buffer_remove_all_tags):
	Avoid a NULL dereference.  (Coverity)

2006-04-15  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkrecentmanager.c: Make filename_warning() static,
	and use caseless matching when looking for file:/.  
	(#336772, Morten Welinder)

2006-04-13  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkevents-quartz.c:
        (synthesize_enter_event):
        (synthesize_leave_event):
        (synthesize_crossing_events):
        Take grabs into account.

        (find_window_for_event):
        Only return grabbed window when owner_events is FALSE.

2006-04-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_header_focus): Reorganize slightly
	to avoid a possible NULL dereference.  (Coverity)

2006-04-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_get_arrow_xrange): Don't
	allow passing NULL for x1 or x2, adjust callers.

	* gtk/gtktreeviewcolumn.c (_gtk_tree_view_column_get_neighbor_sizes): 
	Reorganize to avoid a possible NULL pointer dereference.  (Coverity)

        * gtk/gtknotebook.c (gtk_notebook_page_allocate): Reorganize
        to avoid a possible NULL dereference.  (Coverity)

	* gdk/x11/gdkimage-x11.c (gdk_image_new_bitmap): Handle
	closed displays correctly.  (Coverity)

        * contrib/gdk-pixbuf-xlib/Makefile.am:
        * modules/engines/pixbuf/Makefile.am
        * gdk-pixbuf/Makefile.am: Build fixes for Cygwin.  (#338262)

	* gdk/x11/gdkselection-x11.c (make_list): Make this work
	for list == NULL.  (Coverity)

	* gdk/x11/gdkkeys-x11.c (gdk_keymap_get_entries_for_keycode): 
	Rearrange the code a bit.

	* gtk/gtktextlayout.c (gtk_text_layout_validate_yrange): 
	Handle _gtk_text_line_get_data() returning NULL in all
	cases.  (Coverity)

	* gtk/gtkuimanager.c: Make find_menu_position and
	find_toolbar_position void.  (#338100)

2006-04-12  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkkeys-quartz.c:
        Handle page up and page down.

2006-04-12  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkdrawable-quartz.c:
        (_gdk_quartz_drawable_release_context):
        Don't flush if we're inside a begin_paint/end_paint pair.
        
        * gdk/quartz/gdkwindow-quartz.c:
        (gdk_window_impl_quartz_end_paint):
        Free clip region here.

2006-04-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkuimanager.c (start_element_handler): Don't pass
	a negative value as string length to get_child_node().  (Coverity)

	* gtk/gtkicontheme.c (insert_theme): Handle dirs == NULL
	gracefully.  (Coverity)

	* gtk/gtknotebook.c (gtk_notebook_remove): Silently do nothing
	if the widget is not a child.  (Coverity)

2006-04-11  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkkeys-x11.c (get_xkb): Return early in error
	cases.  (Coverity)

	* gtk/gtktextview.c (selection_motion_event_handler): Remove
	some unused variables.

	* gtk/gtktreeview.c ((gtk_tree_view_search_position_func): Apply
	a patch from David Trowbridge to improve the positioning of the
	search popup.  (#338047)

2006-04-11  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_manager_init)
	(gtk_recent_manager_new): Remove the unneeded setting of the
	storage file inside the constructor. (Murray Cumming)
	(build_recent_items_list): Reset the dirty bit when done rebuilding
	the list from the storage file.

2006-04-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkscale.c (gtk_scale_get_layout_offsets): Silence
	compiler warnings.

	* gtk/gtkinputdialog.c (gtk_input_dialog_set_mapping_mode): Don't
	dereference info before checking it for NULL.  (Coverity)

2006-04-11  Anders Carlsson  <andersca@mac.imendio.com>

        * gdk/quartz/GdkQuartzView.c:
        (-[GdkQuartzView drawRect:]):
        * gdk/quartz/gdkdrawable-quartz.c:
        (gdk_quartz_ref_cairo_surface):
        (_gdk_quartz_drawable_get_context):
        (_gdk_quartz_drawable_release_context):
        * gdk/quartz/gdkwindow-quartz.c:
        (gdk_window_impl_quartz_finalize):
        (gdk_window_impl_quartz_class_init):
        (gdk_window_impl_quartz_begin_paint_region):
        (gdk_window_impl_quartz_end_paint):
        (gdk_window_impl_quartz_invalidate_maybe_recurse):
        (gdk_window_impl_quartz_process_updates):
        (gdk_window_impl_quartz_paintable_init):
        (_gdk_window_impl_quartz_get_type):
        * gdk/quartz/gdkwindow-quartz.h:
        Have GdkWindowImplQuartz implement GdkPaintable.

2006-04-10  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextbufferrichtext.c (gtk_text_buffer_deserialize):
	pasted rich text should not be affected by tags that are active at
	the insertion point. Therefore, remove and remember all active
	tags, and re-apply them left and right of the inserted text after
	pasting. Fixes bug #337653.

2006-04-11  Anders Carlsson  <andersca@imendio.com>

        * gdk/gdkinternals.h:
        * gdk/gdkwindow.c:
        (_gdk_paintable_get_type):
        (gdk_window_begin_paint_region):
        (gdk_window_end_paint):
        (gdk_window_process_updates):
        (gdk_window_invalidate_maybe_recurse):
        Add new GdkPaintable interface which implementation objects can 
        implement in order to override gdk painting functions.

2006-04-10 Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-04-07  Hans Breuer  <hans@breuer.org>

	* gtk/makefile.msc.in tests/makefile.msc : updated

2006-04-06  Tor Lillqvist  <tml@novell.com>

	Correct the appearance of non-square icons and cursors: pad them
	to square so that Windows won't stretch them.

	* gdk/win32/gdkcursor-win32.c (create_alpha_bitmap)
	(create_color_bitmap): Always create square bitmaps, take only
	side length as argument.
	(pixbuf_to_hbitmaps_alpha_winxp, pixbuf_to_hbitmaps_normal):
	Corresponding changes.

2006-04-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c (text_window_realize): Lower the window, to
	prevent late-constructed text windows from covering child 
	widgets.  (#336796, Yevgen Muntyan)

	* gtk/gtkmain.c (gtk_grab_add, gtk_grab_remove, gtk_grab_notify) 
	(gtk_grab_notify_foreach): Rework the code which emits ::grab-notify
	signals to ensure that we emit enough signals. Also optimize the
	code to not do unnecessary tree walking.

	* gtk/gtkwidget.c (gtk_widget_class_init): Document ::grab-notify.

2006-04-05  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtktextiter.c (gtk_text_iter_ends_line): handle the case of \r
	and \n split across lines. Bug #337022.
	* tests/testtextbuffer.c: add unit test.

Tue Apr  4 12:25:36 2006  Søren Sandmann  <sandmann@redhat.com>

	* gdk/x11/gdkimage-x11.c (gdk_image_class_init): Add "_private" to
	make it build.

2006-04-04  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkdisplay.c: 
	* gdk/gdkdisplaymanager.c:
	* gdk/gdkdraw.c:
	* gdk/gdkkeys.c:
	* gdk/gdkpixmap.c:
	* gdk/gdkscreen.c:
	* gdk/gdkwindow.c:
	* gdk/x11/gdkcolor-x11.c:
	* gdk/x11/gdkdisplay-x11.c:
	* gdk/x11/gdkdnd-x11.c:
	* gdk/x11/gdkdrawable-x11.c:
	* gdk/x11/gdkgc-x11.c:
	* gdk/x11/gdkimage-x11.c:
	* gdk/x11/gdkinput.c:
	* gdk/x11/gdkpixmap-x11.c:
	* gdk/x11/gdkscreen-x11.c:
	* gdk/x11/gdkwindow-x11.c: Use G_DEFINE_TYPE.

	* gdk/x11/gdkcolor-x11.c: 
	* gdk/x11/gdkdnd-x11.c:
	* gdk/x11/gdkimage-x11.c: Use instance private data.

2006-04-03  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkrgb.c: Get rid of a duplicate copy of the visual names.

	* gtk/gtkmain.c: Make gtk_args const.

	* gtk/gtkicontheme.c (pixbuf_supports_svg): Save one static.

	* gtk/gtkrecentchooser.c (gtk_recent_chooser_error_quark):
	* gtk/gtkrecentmanager.c (gtk_recent_manager_error_quark):
	* gtk/gtkfilechooser.c (gtk_file_chooser_error_quark):
	* gtk/gtkfilesystem.c (gtk_file_system_error_quark):
	* gtk/gtkicontheme.c (gtk_icon_theme_error_quark): No point
	in making the error path fast by caching quarks. 

	* gtk/gtkfilesel.c (no_stat_dirs): Avoid relocation.

	* gdk/gdk.c: Here too.

	* gdk/gdkinternals.h: 
	* gdk/x11/gdkmain-x11.c: 
	* gdk/win32/gdkmain-win32.c: 
	* gdk/directfb/gdkdisplay-directfb.c: 
	* gdk/quartz/gdkmain-quartz.c: Make _gdk_windowing_args const.

	* gdk/win32/gdkpixmap-win32.c: Include gdkscreen.h  (#337032,
	 Kazuki IWAMOTO)

	* gtk/gtkprogressbar.c (gtk_progress_bar_set_text): Mention
	that %NULL is allowed.  (#336937, Christian Neumair)

	* gtk/gtkmain.c: Get rid of an unnecessary static variable.

	* gtk/gtktextlayout.c: Fix a warning.
	
	* gtk/gtktextsegment.h: 
	* gtk/gtktextsegment.c: 
	* gtk/gtktextchild.c:
	* gtk/gtktextbtree.c:
	* gtk/gtktextmark.c: 
	* gtk/gtktexttypes.h: Make the segment class pointers const.

	* gtk/gtktextbufferserialize.c: Make parser struct const.
	
	* gtk/gtkuimanager.c: Make parser struct const.

	* gtk/gtklinkbutton.c: Make the default colors const.

	* gtk/gtkuimanager.c: Avoid relocations. 

	* gtk/gtkxembed.c (_gtk_xembed_message_name): Reduce size of static
	buffer.

	* gtk/gtktext.c (gtk_text_key_press): Avoid relocations.

	* gtk/gtkrc.c (gtk_rc_add_initial_default_files) 
	(gtk_rc_add_default_file): Allocate the gtk_rc_default_files array
	dynamically.

2006-04-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrc.c: Avoid relocations for the array of symbol names. 

	* gtk/gtkruler.c: Remove unused strings from the ruler_metrics 
	structs, to avoid relocations.  (#336917, Stephane Chauveau)

2006-04-02  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_manager_set_filename): Build
	the items list after setting the storage file.

	* gtk/gtkrecentmanager.c (display_closed): Use the right string
	for unsetting the default manager object from the screen.	

2006-04-01  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkfilesel.c (gtk_file_selection_get_filename): Oops. (#336784)

2006-04-01  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkfilesel.c (gtk_file_selection_get_filename): Use a GString
	instead of static buffer to reduce .bss by 8kb. (#336784)

2006-04-01  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows/msw_style.c (draw_hline): Emulate WinXP's
	drawing of menu separators
	
2006-03-31  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkrecentmanager.c: Convert filenames to UTF-8 before printing
	them out in warning messages. (#336770, Morten Welinder)

2006-03-31  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_info_last_application): Update
	last_stamp inside the look. (#336771, Morten Welinder)

2006-03-31  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkrecentchoosermenu.c (gtk_recent_chooser_menu_get_property):
	Add missing break. (#336769, Morten Welinder)

2006-03-31  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkfilesystem.c (gtk_file_system_get_bookmark_label):
	* gtk/gtklinkbutton.c (gtk_link_button_new_with_label): Return NULL
	instead of FALSE in g_return_val_if_fail in a pointer-returning
	function. (#336764, Morten Welinder)

2006-04-01  Gora Mohanty  <gmohanty@cvs.gnome.org>

	* configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-03-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentmanager.c (gtk_recent_info_get_age): Don't
	assert that the age is positive.  (#336773, Morten Welinder)

2006-03-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c (load_icon_data): Don't leak the keyfile 
	parser in the error case. 
	
	* gtk/gtkicontheme.c (load_icon_data, free_unthemed_icon) 
	(icon_data_free, load_themes):
	* gtk/gtkiconcache.c (_gtk_icon_cache_get_icon_data): Use the slice
	allocator for GtkIconData and UnthemedIcon structs.

2006-03-30  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkcalendar.c: Fix translation comments for localizable
	digit formats. (fixes bug #336650)

2006-03-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentmanager.h (struct _GtkRecentData): Fix the doc
	comment format.

	* gtk/gtkrecentmanager.c (gtk_recent_manager_has_item) 
	(gtk_recent_manager_purge_items, gtk_recent_manager_lookup_item) 
	(gtk_recent_manager_get_limit, gtk_recent_manager_add_full) 
	(gtk_recent_manager_get_items, gtk_recent_manager_remove_item): 

	* gtk/gtkrecentfilter.c (gtk_recent_filter_add_age): 
	* gtk/gtkrecentchooser.c (gtk_recent_chooser_set_show_numbers) 
	(gtk_recent_chooser_set_sort_func): 
	* gtk/gtknotebook.h (gtk_notebook_set_tab_detachable): Sync
	parameter names between .c and .h files to help gtk-doc.

	* gdk/gdkregion-generic.c (gdk_region_get_clipbox): Reword
	docs to help gtk-doc.

	* docs/tools/widgets.c (get_all_widgets): Add 
	GtkRecentChooserDialog.

	* gtk/gtkdnd.c (gtk_drag_get_icon): Make sure to get an
	icon window when constructing the fallback_icon. This
	fixes a crash when dragging icons between screens in
	nautilus.  (#325751, Hylke van der Schaaf)

2006-03-30  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkpixmap-directfb.c implement
	    (gdk_pixmap_foreign_new_for_screen)

2006-03-30  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	Add documentation for the GtkLinkButton (#336592)

	* docs/reference/tmpl/gtklinkbutton.sgml: Add description
	of the GtkLinkButton.

	* docs/reference/gtk/migrating-GtkLinkButton.sgml: Guidelines
	for migrating code from GnomeHRef to the GtkLinkButton.

	* docs/reference/gtk/gtk-docs.sgml:
	* docs/reference/gtk/Makefile.am: Build glue for the porting
	guide.

2006-03-29  Matthias Clasen <mclasen@redhat.com>

	* gdk/gdk.symbols:
	* gdk/gdkpixmap.h:
	* gdk/win32/gdkpixmap-win32.c:
	* gdk/x11/gdkpixmap-x11.c (gdk_pixmap_foreign_new_for_screen):
	New function to allow wrapping a native pixmap without
	a server roundtrip.  (#334954, David Baron) 

	* gtk/gtk.symbols:
	* gtk/gtkrecent*.c: Fix some symbol aliasing glitches.

2006-03-29  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/gtkrecentchoosermenu.c: Make gtkalias.h the last included file.

2006-03-29  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/gtk.symbols: Fix a typo that broke aliasing rules.

2006-03-29  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkproperty-quartz.c: Add missing CLIPBOARD atom.

2006-03-29  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* docs/reference/gtk/migrating-GtkRecentChooser.sgml: Add a migration
	guide for porting to the new GtkRecent stuff from the old EggRecent
	code.

	* docs/reference/gtk/tmpl/gtkrecentchooser.sgml:
	* docs/reference/gtk/tmpl/gtkrecentchooserdialog.sgml:
	* docs/reference/gtk/tmpl/gtkrecentchoosermenu.sgml:
	* docs/reference/gtk/tmpl/gtkrecentchooserwidget.sgml:
	* docs/reference/gtk/tmpl/gtkrecentfilter.sgml:
	* docs/reference/gtk/tmpl/gtkrecentmanager.sgml: Add template files
	for the reference guide.

	* docs/reference/gtk/gtk-docs.sgml:
	* docs/reference/gtk/gtk-sections.txt:
	* docs/reference/gtk/Makefile.am: Build glue for add GtkRecent to
	the reference guide.

2006-03-29  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* tests/Makefile.am:
	* tests/testrecentchooser.c: Add a test suite for GtkRecentChooser.

2006-03-29  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	Import GtkRecent* from libegg.

	* gtk/gtkrecentmanager.[ch]: Add GtkRecentManager, an object
	for managing a list of recently used resources.

	* gtk/gtkrecentchooser.[ch]:
	* gtk/gtkrecentchooserdefault.[ch]:
	* gtk/gtkrecentchooserdialog.[ch]:
	* gtk/gtkrecentchoosermenu.[ch]:
	* gtk/gtkrecentchooserprivate.h:
	* gtk/gtkrecentchooserutils.[ch]:
	* gtk/gtkrecentchooserwidget.[ch]: Add GtkRecentChooser, a
	GTypeInterface for widgets implementing viewers for recently
	used resources.

	* gtk/gtkrecentfilter.[ch]: GtkRecentFilter, a filter object
	for GtkRecentChooser implementations.

	* gtk/gtk.h:
	* gtk/gtk.symbols:
	* gtk/Makefile.am: Build glue for GtkRecent*.

2006-03-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_real_insert_page): Emit
	page-added before switch-page.  (#335691, Christian Persch)

2006-03-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (queue_edited_idle): Handle
	double queuing, rather than asserting that it does not 
	happen.  (#330617)

2006-03-28  Matthias Clasen  <mclasen@redhat.com>	

	* gtk/gtknotebook.c (gtk_notebook_set_tab_detachable): Fix
	docs syntax, also commit a patch from #335707 to improve
	notebook DND with window widgets.

	* gtk/gtktextview.c (gtk_text_view_start_selection_drag): 
	(selection_motion_event_handler): Fix drag-selection after
	double-click.  (#323862, Benjamin Berg)

	* gtk/gtktextview.c (get_iter_at_pointer): Factor this out
	into a function and use it in move_mark_to_pointer_and_scroll,
	drag_scan_timeout and selection_motion_event_handler.
	(Paolo Borelli)

2006-03-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c (gtk_text_view_do_popup) 
	(gtk_text_view_grab_notify): Move the call to 
	gtk_text_view_end_selection_drag() from gtk_text_view_do_popup
	to gtk_text_view_grab_notify, so that it works not only
	for the text views own popup, but also for other ways in which
	we might become grab-shadowed during a selection drag.
	(#74620, Li Yuan)

2006-03-28  Sven Herzberg  <herzi@gnome-de.org>

        reviewed by: Tim Janik
	
	* gtk/gtkpixmap.c: (gtk_pixmap_set): only check for equal colormaps if
	the new pixmap is not NULL; fixes a warning when gtk_pixmap_set is
	called from gtk_pixmap_finalize (bug 336254)

2006-03-27  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkevents-quartz.c:
        (select_thread_func):
        (got_fd_activity):
        (poll_func):
        (gdk_event_translate):
        Make the poll func work with real file descriptors.
        We do this by creating a thread which calls poll and then
        signals the main thread using a run loop source.
        
        * gtk/gtkclipboard-quartz.c:        
        (-[GtkClipboardOwner pasteboard:provideDataForType:]):
        Remove debugging output

2006-03-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmnemonichash.c (_gtk_mnemonic_hash_activate): Check that 
	the widget is viewable.  (#336200, Bastian Nocera)

2006-03-27  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_scroll_by): bail out if there is no need
	for scrolling (more obvious than adding additional conditions to
	the scroll offset calculation). Fixes bug #335912.

2006-03-27  Anders Carlsson  <andersca@imendio.com>

        * gtk/Makefile.am:
        Add -xobjective-c to cflags.
        (#335956, Lllian Angel)
        
        * gtk/gtkdnd-quartz.c:
        (gtk_drag_dest_set_track_motion):
        (gtk_drag_dest_get_track_motion):
        Add stubs for new functions.
        (#335955, Lillian Angel)
        
2006-03-27  Richard Hult  <richard@imendio.com>

	* gdk/quartz: Add more stubs.

2006-03-27  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrenderertext.c (gtk_cell_renderer_text_get_property):
	add missing ')'.

2006-03-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Fix a srcdir != builddir build problem.
	(#335915, Yevgen Muntyan)

	* gtk/gtktextbuffer.c (gtk_text_buffer_get_property):
	* gtk/gtksettings.c (gtk_settings_get_property):
	* gtk/gtkuimanager.c (gtk_ui_manager_get_property): Fix leaks.

	* gtk/gtktexttag.c (gtk_text_tag_get_property):
	* gtk/gtkcellrenderertext.c (gtk_cell_render_text_get_property):
	Avoid an unnecessary strdup.  (#336013)

2006-03-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c (gtk_text_view_value_changed): Don't call
	gdk_window_invalidate_rect() on unrealized widgets.  (#335717,
	Nicolas Setton)

Fri Mar 24 14:53:20 2006  Tim Janik  <timj@imendio.com>

	* gtk/gtktreemodel.h: 
	* gtk/gtktextbtree.h: back out G_GNUC_WARN_UNUSED_RESULT on iterator
	functions which turned out to cause too much trouble.

2006-03-23  Matthias Clasen  <mclasen@redhat.com>

	* AUTHORS: small update

2006-03-23  Matthias Clasen  <mclasen@redhat.com>

	Support subclasses in RC files.  (#142417, Todd Berman, patch
	based on a patch by Benjamin Berg)
	
	* gtk/gtkrc.h: 
	* gtk/gtkrc.c: Support <classname> elements in widget_class paths 
	in rc files which match any classes derived from named class.

	(_gtk_rc_init): Use the new syntax in the default rc string.

	* gtk/gtkbindings.c: Support the new syntax for bindings too.
	
	* tests/testrc.c: Tests for widget_class path matching

2006-03-23  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtkdnd.c (gtk_drag_dest_motion): make sure that gdk_drag_event()
	is called when track_motion is TRUE to receive drag_motion and
	drag_leave events properly.

2006-03-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_remove): Emit the ::page-removed
	signal after removing the page.  (#335238, Christian Persch)

2006-03-22  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtkexpander.c: Make it to expand when hovering during DnD

2006-03-22  Matthias Clasen  <mclasen@redhat.com>

	Improved DND support for GtkNotebook  (#332991, Carlos Garnacho)
	
	* gtk/gtk.symbols: 
	* gtk/gtkdnd.h: 
	* gtk/gtkdnd.c: Add a track_motion flag on GtkDragDest
	with getter and setter, for cases where the drag destination
	is interested in drag motion events independent of targets.

	* gtk/gtksettings.c (gtk_settings_class_init): Add a setting
	for the timeout used when expanding during DND.

	* gtk/gtknotebook.c: Use the track_motion flag to switch
	notebook tabs when hovering over tabs during DND.
	
2006-03-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_bin_expose): Use fg_gc to
	draw the inter-row drop highlight. Also draw the line all the 
	way across, and flip it in RTL mode. (#334906, Ian McDonald)

2006-03-22  Johan Dahlin  <jdahlin@async.com.br>

	* tests/testtreeview.c: Add a column that demonstrates how to use
	the new spinbutton cellrenderer.

2006-03-22  Matthias Clasen  <mclasen@redhat.com>

	* tests/prop-editor.c: 
	* tests/testtreeview.c: Remove pointless includes of config.h,
	to make it easier compilable against system GTK+.

2006-03-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.c: renamed last-char-timeout to
	password-hint-timeout and store all its data in a struct attached
	as QData.

	* gtk/gtkcellrendererspin.c: fix typo in #include.

2006-03-22  Carlos Garnacho  <carlosg@gnome.org>

	* gtk/gtknotebook.c: send a GtkWidget** instead of a GtkNotebookPage*
	when doing tabs DnD, this allows DnD interaction with other widgets,
	added some docs for this too.
	* tests/testnotebookdnd.c: add some code to test it.

2006-03-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: 
	* gtk/gtkcellrendererspin.h:
	* gtk/gtkcellrendererspin.c: Add a cell renderer which 
	uses a spinbutton to edit the value of a cell. (#156023,
	Daniel Kasak, Lorenzo Gil Sanchez, Carlos Garnacho)

	* gtk/gtk.h: 
	* gtk/Makefile.am: Glue it in.

2006-03-21  Matthias Clasen  <mclasen@redhat.com>

	* tests/testtreeview.c (drag_begin_cb): Test setting up
	drag icons for tree dnd.

2006-03-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.c: applied modified patch from maemo-gtk which
	allows the most recently entered character in a hidden entry to be
	shown for a configurable period of time. Fixes bug #334560.

2006-03-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextbuffer.h (enum GtkTextBufferTargetInfo): count down
	from G_MAXUINT to avoid clashes with application-added DND
	targets.

	* gtk/gtktextview.c (gtk_text_view_init): set an empty
	GtkTargetList on the drag_dest so it is not NULL when a derived
	class' init() function is called.

	(gtk_text_view_target_list_notify): copy the text buffer's paste
	targets into the view's destinstion target list (preserving
	application-added DND targets), instead of replacing the view's
	target list. Fixes bug #334399.

2006-03-21  Anders Carlsson  <andersca@imendio.com>

        * gtk/Makefile.am:
        Add new files.
        
        * gtk/gtkclipboard-quartz.c: Added.
        * gtk/gtkdnd-quartz.c: Added.
        * gtk/gtkquartz.c: Added.
        * gtk/gtkquartz.h: Added.
        Add dnd and clipboard implementations.

2006-03-21  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/Makefile.am: removing trailing \ fixes the build.

2006-03-21  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkgeometry-quartz.c:
        (gdk_window_scroll):
        Implement gdk_window_scroll.

2006-03-21  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/GdkQuartzWindow.c:
        (drag_operation_to_drag_action):
        (drag_action_to_drag_operation):
        (update_context_from_dragging_info):
        (-[GdkQuartzWindow draggingEntered:]):
        (-[GdkQuartzWindow draggingEnded:]):
        (-[GdkQuartzWindow draggingExited:]):
        (-[GdkQuartzWindow draggingUpdated:]):
        (-[GdkQuartzWindow performDragOperation:]):
        (-[GdkQuartzWindow wantsPeriodicDraggingUpdates]):
        (-[GdkQuartzWindow draggedImage:endedAt:operation:]):
        * gdk/quartz/gdkdnd-quartz.c:
        (gdk_drag_context_finalize):
        (gdk_drag_context_init):
        (gdk_drag_context_class_init):
        (gdk_drag_begin):
        (gdk_drag_status):
        Add the GDK part of the DND implementation.

        * gdk/quartz/Makefile.am:
        Add some missing headers.
        
        * gdk/quartz/gdkdrawable-quartz.h:
        * gdk/quartz/gdkprivate-quartz.h:
        * gdk/quartz/gdkquartz.h:
        * gdk/quartz/gdkwindow-quartz.c:
        (gdk_quartz_window_get_nsview):
        New function, for use by the GTK part of the DND implementation

2006-03-21  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkdrawable-quartz.c:
        (gdk_quartz_ref_cairo_surface):
        (gdk_quartz_draw_rectangle):
        (gdk_quartz_draw_arc):
        (gdk_quartz_draw_polygon):
        (gdk_quartz_draw_drawable):
        (gdk_quartz_draw_segments):
        (gdk_quartz_draw_lines):
        (gdk_quartz_draw_pixbuf):
        (gdk_quartz_draw_image):
        (_gdk_quartz_drawable_get_context):
        * gdk/quartz/gdkdrawable-quartz.h:
        Offset coordinates by 0.5 pixels to get consistant results for both
        image contexts and screen contexts.

2006-03-21  Anders Carlsson  <andersca@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c 
	([GdkQuartzWindow -windowDidMove:]): Synthesize GDK_CONFIGURE events
	when the window position changes.

2006-03-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkdnd.c (gtk_drag_get_cursor): Remove an unused variable.

	* gtk/gtknotebook.c (gtk_notebook_remove_tab_label): Don't leave
	page->tab_label dangling.
	(gtk_notebook_real_remove): Use GTK_IN_DESTRUCTION to determine
	if we are being called during destruction of the notebook, rather
	than maintaining that information as a passed-in parameter.
	(gtk_notebook_destroy): Leave the removal of the children
	to the container destroy method.  (#319032, Yevgen Muntyan)

2006-03-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_combo_box_remove): Use the existing
	GTK_IN_DESTRUCTION flag, rather than roll our own.

2006-03-20  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtk.symbols: 
	* gtk/gtkscrolledwindow.h: 
	* gtk/gtkscrolledwindow.c: Add a window-placement-set property
	and a gtk-scrolled-window-placement setting.  (#157025, Christian
	Neumair)

2006-03-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.c (gtk_get_option_group): Make sure gettext
	is initialized before using it.  (#335129, Christian Persch)

2006-03-19  Matthias Clasen  <mclasen@redhat.com>

	* MAINTAINERS: Add this, at the request of the GNOME sysadmin team.

	* AUTHORS: Updates, typo fix

	* gtk/gtkiconview.c (gtk_icon_view_set_cursor): Document that
	@cell must be one of the renderers of the icon view, warn if 
	it is not, and ignore @start_editing if @cell is not set.
	(#335001, Emmanuel Rodriguez)

2006-03-16  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Add a missing comma.  (#334774, Peter Breitenlohner)

	* gtk/gtkactiongroup.c (gtk_action_group_add_actions_full) 
	(gtk_action_group_add_toggle_actions_full) 
	(gtk_action_group_add_radio_actions_full): Check for a stock 
	icon, not a stock item, when deciding whether to use stock-id 
	or icon-name.  (#334760, Jody Goldberg)

	* gtk/gtkimage.c (gtk_image_clear): Update the size of the image, 
	by swapping the implementations of gtk_image_clear and
	gtk_image_reset.  (#334657)

	* README.in: Add a note about GtkNotebook signals.

2006-03-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_combo_box_list_button_released) 
	(gtk_combo_box_list_key_press): Popdown the list before changing
	the active iter, otherwise people will be surprised by the
	grabs that are still in place when their ::changed handler
	runs. 

2006-03-15  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows/msw_style.c: Override style->realize/
	style->unrealize, so that GTK+ doesn't automatically attempt to apply
	shading to the GC colors, causing a mismatch with the Win32 native
	colors. Problem found by (and suggested solution by) "Cosmic Integer"

	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc: Make expander-size
	a bit closer to Microsoft's values (bug 325699, Brad Taylor)
	
2006-03-14  Matthias Clasen  <mclasen@redhat.com>

	* tests/testcellrenderertext.c: Add test cases for alignment.

	* gtk/gtkcellrenderertext.c: Add an alignment property,
	and fix some cases where ellipsize_set was being used to
	mean "we're ellipsizing" even when ellipsize was set to NONE.  
	(#318761, Ross Burton)

	* gtk/gtkimcontextsimple.c: Make return and release work again
	to commit a hex sequence. Additionally, make escape reset the
	im context when in a hex sequence.  (#334423, Behdad Esfahbod)

2006-03-13  Matthias Clasen  <mclasen@redhat.com>

	Make actions work with named icons.  (#323484, Jorn Baayen)
	
	* gtk/gtkactiongroup.c: If the stock-id field of a GtkActionEntry
	does not contain a registered stock id, interpret it as an
	icon name.

	* gtk/gtkaction.c: Add an icon-name property to actions and
	use it for icons if a stock-id is not specified.

2006-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwindow.c (gtk_window_compute_configure_request): Don't
	for the creation of geometry info here.  (#114533)

2006-03-11  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkdrawable-win32.c (draw_polygon): Use Polygon() for
	outlined polygons, too. Same idea as in draw_rectangle(): Set pen
	to NULL_PEN if drawing a filled polygon, set brush to HOLLOW_BRUSH
	if drawing a polygon outline. (#332662)
	(gdk_win32_draw_polygon): Corresponding simplification: no need to
	add an extra final copy of the starting point.

2006-03-11  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows: Speed up the Windows theme
	considerably (#163724, John Ehresman)
	Be more careful about setting Pango font descriptions (#333372)
	
2006-03-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrange.c (gtk_range_key_press): Allow to cancel 
	a drag with ESC.  (#58389, Søren Sandmann)

2006-03-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrange.c: Add a style property ::activate_slider that
	allows themes to draw the slider active while dragged.  (#311992,
	Benjamin Berg)

	* gtk/gtkcolorsel.c (gtk_color_selection_init): Fix two labels.

	* gtk-engine-check-abi.sh: Add a script to check that theme
	engines don't export any extra functions. 

2006-03-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcolorsel.c (gtk_color_selection_init): Avoid a mnemonic
	conflict.  (#163850, Dennis Cranston)

	* gtk/gtkaboutdialog.c (gtk_show_about_dialog): Make the behaviour
	of the about dialog consistent with other dialogs in gtk. If the
	dialog is constructed with gtk_about_dialog_new(), the creator
	is reponsible for handling the response by hiding or closing the
	dialog. gtk_show_about_dialog() handles it by hiding the dialog.
	(#333360, Daniel Drake)

	* README.in: Mention this change.

2006-03-10  Matthias Clasen  <mclasen@redhat.com>

	Apply a patch from Dennis Cranston to make dialogs more
	consistent  (#163850)
	
	* gtk/gtkcolorsel.c (make_label_spinbutton): Left-align labels.
	
	* gtk/gtkfontsel.c (gtk_font_selection_init): 
	* gtk/gtkfontsel.c (gtk_font_selection_dialog_init): 
	* gtk/gtkcolorsel.c (gtk_color_selection_init): 
	* gtk/gtkcolorseldialog.c (gtk_color_selection_dialog_init): 
	* gtk/gtkinputdialog.c (gtk_input_dialog_init): Update the layout
	of the dialog to follow HIG recommendations. Also update labels.

	* gtk/gtkmessagedialog.c (gtk_message_dialog_init): HIG-compatible 
	spacing.
	(gtk_message_dialog_font_size_change): Merged into 
	 gtk_message_dialog_style_set.

2006-03-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkstyle.c: Remove g_return_if_fail() checks
	from static functions.

2006-03-10  Federico Mena Quintero  <federico@novell.com>

	Make Shift-P and Shift-N activate typeahead in GtkTreeView
	(i.e. they are just normal capital letters).  Fixes bug #334098.

	* gtk/gtktreeview.c (gtk_tree_view_add_move_binding): Add an
	"add_shifted_binding" argument which determines whether we'll add
	the same binding with GDK_SHIFT_MASK.
	(gtk_tree_view_class_init): Use add_shifted_binding=FALSE for GDK_p
	and GDK_n; use TRUE for all the rest.

2006-03-10  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.[ch]: applied refactored patch from maemo-gtk that
	replaces the INNER_BORDER define by an "inner-border" style
	property of type GtkBorder. Additionally, add an "inner-border"
	object property plus API which allows to override any theme
	border, to allow pixel-perfect positioning of entries for inline
	editing. Fixes bug #333922.

	* gtk/gtk.symbols: add the new public functions.

2006-03-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_combo_box_class_init): Replace the
	popup-show and popup-hide signals with a readonly popup-shown
	property.  (#162531, Christian Persch)

2006-03-09  Ross Burton  <ross@openedhand.com>

	* gtk/gtkwidget.c:
	* gtk/gtkrange.c:
	* gtk/gtktogglebutton.c:
	Turn off prelighting when gtk-touchscreen-mode is enabled (#135666)

Thu Mar  9 14:29:43 2006  Tim Janik  <timj@gtk.org>

	* gtk/gtkobject.c (gtk_object_init): move the floating flag from
	the GInitiallyUnowned bit to GTK_FLOATING. fixes tests/floatingcheck.
	kudos to mitch for debugging this.

2006-03-09  Matthias Clasen <mclasen@redhat.com>

	* Makefile.am: Add ChangeLog.pre-2.8 to EXTRA_DIST.

2006-03-09  Tor Lillqvist  <tml@novell.com>

	* gtk/gtk.symbols: No gtk_tray_icon_get_type on Win32.

2006-03-08  Carlos Garnacho  <carlosg@gnome.org>

	Rename ::tab-added and ::tab-removed signals to ::page-added and
	::page-removed for not conflicting with other tab reordering
	implementations. Fixes bug #333743.

	Also rename ::tab-reordered to ::page-reordered, and emit it in
	gtk_notebook_reorder_child () to make it behave consistently with the
	other two signals.

	* gtk/gtknotebook.c (gtk_notebook_class_init): rename signals.
	(gtk_notebook_reorder_tab)
	(gtk_notebook_button_release)
	(gtk_notebook_remove)
	(gtk_notebook_real_insert_page): emit respectively renamed signals
	(gtk_notebook_reorder_child): also emit ::page-reordered here

	* tests/testnotebookdnd.c: use renamed signals

2006-03-08  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkscreen.h
	* gdk/x11/gdkscreen-x11.c
	* gdk/gdk.symbols: added gdk_screen_get_active_window() and
	gdk_screen_get_window_stack() (patch from maemo-gtk).
	Fixes bug #320881.

	* gdk/directfb/gdkscreen-directfb.c
	* gdk/quartz/gdkscreen-quartz.c
	* gdk/win32/gdkscreen-win32.c: added the functions as stubs.

2006-03-08  Michael Natterer  <mitch@imendio.com>

	* tests/prop-editor.c (unichar_changed): zero-initialize the
	GValue before calling g_value_init().

2006-03-08  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.c (gtk_entry_adjust_scroll): make sure that the
	text_area_width is always >= 0. Fixes bug #316712 (Dan Winship).

2006-03-07  Federico Mena Quintero  <federico@novell.com>

	Cancel drags when the grabs get broken.  Fixes bug #333056:

	* gtk/gtkdnd.c (gtk_drag_selection_received): The time argument is
	a guint, not guint32.
	(gtk_drag_source_event_cb): Return gboolean, not gint.
	(gtk_drag_anim_timeout): Likewise.
	(gtk_drag_motion_cb): Likewise.
	(gtk_drag_key_cb): Likewise.
	(gtk_drag_button_release_cb): Likewise.
	(gtk_drag_abort_timeout): Likewise.
	(gtk_drag_begin_internal): Connect to "grab-broken-event" on the
	ipc_widget.
	(gtk_drag_source_info_destroy): Disconnect from the
	"grab-broken-event" callback.
	(gtk_drag_end): Likewise.
	(gtk_drag_grab_broken_event_cb): New callback.  We cancel the drag
	if the grab was broken and not regrabbed by the DnD code.

2006-03-07  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_button_press_event_cb):
	Hack to let the treeview's button-press-event handler run before
	ours.  This lets the selection be updated before we pop up a
	context menu.

Tue Mar  7 17:16:34 2006  Tim Janik  <timj@gtk.org>

	* configure.in: depend on glib-2.10.1.

	* gtk/gtkobject.c: fixed up messing with non-GtkObject floating flags.
	this requires glib-2.10.1.

2006-03-07  Michael Natterer  <mitch@imendio.com>

	Add infrastructure for copy/paste and DND of rich text for
	GtkTextBuffer. Fixes bug #324177.

	* gtk/gtktextbufferrichtext.[ch]: new files implementing a
	per-buffer registry of rich text formats.

	* gtk/gtk.h: #include gtktextbufferrichtext.h

	* gtk/gtktextbufferserialize.[ch]: new files implementing an
	internal serialization format that can handle all of a text
	buffer's tags and pixbufs. It's not useful for anything except
	tranfer between instances of GtkTextBuffer (Anders Carlsson).

	* gtk/Makefile.am: build the new files.

	* gtk/gtkclipboard.[ch]: added convenience APIs for rich text,
	just as they exist for plain text and pixbufs.

	* gtk/gtkselection.[ch]: added rich text convenience APIs here
	too.  Return the target list from gtk_target_list_ref(). Register
	GtkTargetList as boxed type. Added
	gtk_target_table_new_from_list() and gtk_target_table_free(),
	which make converting between GtkTargetList and arrays of
	GtkTargetEntry considerably easier.

	* gtk/gtktextutil.[ch]: added _gtk_text_util_create_rich_drag_icon()
	which creates a fancy rich text icon (Matthias Clasen).

	* gtk/gtktextbuffer.[ch]: use all the new stuff above and
	implement copy and paste of rich text. Added APIs for getting the
	target lists used for copy and paste. Added public enum
	GtkTextBufferTargetInfo which contains the "info" IDs associated
	with the entries of the target lists.

	* gtk/gtktextview.c: use the new rich text APIs and
	GtkTextBuffer's new target list API to enable DND of rich text
	chunks.

	* gtk/gtk.symbols: export all the new symbols added.

	* tests/testtext.c: added rich text testing stuff.

2006-03-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c (text_window_invalidate_cursors): Take
	cursor width into account when calculating the area to 
	be invalidated.  (#333377, #323401 Steve Frécinaux)

	* gtk/gtkmain.c (post_parse_hook): Set error when returning
	FALSE.  (#333268, Paolo Maggi, Christian Persch)
	
	* gtk/gtkpixmap.c (gtk_pixmap_set): Check that the pixmap
	has the right depth.  (#333363, Ed Catmur)

2006-03-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (adjust_wrap_width): Apply some
	arbitrary lower limit for the guessed wrap width. (#332466,
	Donald Straney)

2006-03-05  Matthias Clasen  <mclasen@redhat.com>

	Fix handling of image-only buttons.  (#332985, Kalle 
	Vahlmann, #333555)
	
	* gtk/gtkbutton.c (gtk_button_construct_child): Don't
	return early if there an image to show.
	(show_image): Always return TRUE if there is no text.

2006-03-04  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkinput-x11 (gdk_input_translate_coordinates):
	Adjust the handling of min values for the x and y axes of 
	extended input devices  (#324562, #142536, Denis Auroux and 
	Robert Ögren)

	* gtk/gtkexpander.c (gtk_expander_paint_focus): Position
	the focus rectangle correctly in RTL mode.  (#333291,
	Benjamin Berg)

2006-03-03  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkimcontextsimple.c (gtk_im_context_simple_commit_char)
	(gtk_im_context_simple_reset): Avoid emitting superfluous
	preedit_changed signals. Thanks to Matthias. (#319407)

2006-03-03  Michael Natterer  <mitch@imendio.com>

	Applied modified patch from maemo-gtk which makes separators more
	themeable. Fixes bug #332022.

	* gtk/gtkwidget.c: added style properties "wide-separators",
	"separator-width" and "separator-height".

	* gtk/gtkhseparator.c
	* gtk/gtkvseparator.c
	* gtk/gtkmenuitem.c
	* gtk/gtktoolbar.c: honor the new settings and paint separators
	using gtk_paint_box() if wide-separators is true.

2006-03-02  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows/msw_style.c: Fix combobox theming
	regression noted in bug 321301
	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc: Ditto
	
2006-03-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (gtk_icon_view_layout) 
	(gtk_icon_view_row_inserted, gtk_icon_view_scroll_to_path): 
	Make scroll_to_path work for newly inserted items, by delaying
	the scroll until layout is done.  (#332923, Cory Dodt)

	* gtk/gtkcolorbutton.c (render): Use GTK_WIDGET_IS_SENSITIVE,
	not GTK_WIDGET_SENSITIVE.  (#333133, Christian Persch)

2006-03-02  Ross Burton  <ross@openedhand.com>

	* gtk/gtktooltips.c:
	Disable tooltips if gtk-touchscreen-mode is activated (#315112).

2006-03-01  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeselection.c (row_is_selectable): rename to
	_gtk_tree_selection_row_is_selectable and export internally,
	(gtk_tree_selection_real_select_node): changed so it is always
	possible to unselect insensitive nodes, changed the logic a bit to
	be more clear.

	* gtk/gtktreeprivate.h: add _gtk_tree_selection_row_is_selectable.

	* gtk/gtktreeview.c (gtk_tree_view_row_changed): Unselect a row if
	it became insensitive.

2006-02-27  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfontsel.c (gtk_font_selection_set_font_name): Check that
	the fontsel has a screen assigned before doing anything.  This
	will at least warn the caller of what is wrong, since we only
	populate the family_list until we get a screen.  Also, put the
	reference docs here.  Fixes bug #332756.
	(gtk_font_selection_dialog_get_font_name): Document this here.
	(gtk_font_selection_get_font_name): Document this here; mention
	that the font names get normalized, so the result of this function
	may not be the same as what you set with
	gtk_font_selection_set_font_name().

2006-02-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtktrayicon-x11.c: Fix symbol lists for make check.

2006-02-27  Michael Natterer  <mitch@imendio.com>

	* gdk/x11/gdksettings.c: map "gtk-touchscreen-mode" to the
	"Gtk/TouchscreenMode" XSettings property, remove trailing
	whitespace.

	* gdk/x11/checksettings.c: #include <string.h> and sprinkled some
	newlines.

Mon Feb 27 14:52:50 2006  Tim Janik  <timj@imendio.com>

	* gdkevents-x11.c:
	* gdksettings.c: moved and renamed the gdk_settings_names and 
	gdk_settings_map.

	* gdk/x11/checksettings.c: test program for the gdk_settings_map array.

	* gdk/x11/Makefile.am: run checksettings as part of make check.

2006-02-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkdnd.c (gtk_drag_get_cursor): Comment out some unused
	code, and fix the reference point of composited drag cursors.
	(#320132, Christian Neumair)

Sun Feb 26 10:24:10 PST 2006  Michael Emmel  <mike.emmel@gmail.com>
	
	*gdk/directfb/README
	Updated README to remove old build instructions

Sat Feb 25 10:35:23 PST 2006  Michael Emmel  <mike.emmel@gmail.com>
	
	*gdk/directfb/gdkdisplay-directfb.c
	*gdk/directfb/gdkwindow-directfb.c
	Added stubs for shape window functions to fix compile problems

2006-02-24  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_list_create): Make the
	column header visible, and make it be "_Places".  Changed the
	accessible object name to Places as well.  Fixes bug #331306.
	(file_pane_create): Do not create the path bar and "create folder"
	button here...
	(browse_widgets_create): ... but create them here instead.  This
	moves the path bar to be above both the hpaned, giving it the full
	width of the dialog.  Fixes bug #327733.

Thu Feb 23 13:28:21 2006  Tim Janik  <timj@imendio.com>

	* gdk/x11/gdkim-x11.c (_gdk_x11_initialize_locale): remove unconditional
	warnings about missing X locale support. Gdk properly handles this
	situation anyway.

Fri Feb 17 14:20:29 2006  Tim Janik  <timj@imendio.com>

	* gtk/gtktreemodel.h: 
	* gtk/gtktextbtree.h: added G_GNUC_WARN_UNUSED_RESULT warnings for
	iterator functions, to avoid invalid iterators go unnoticed,
	suggested by Markku Vire <markku.vire@movial.fi>.

2006-02-23  Matthias Clasen  <mclasen@redhat.com>

	* tests/Makefile.am: 
	* tests/testnotebookdnd.c: Add notebook DND tests.

	* gtk/gtknotebook.h: Add a reorder_tab keynav signal and an
	insert_page vfunc to GtkNotebook.

	* gtk/gtk.symbols:
	* gtk/gtknotebook.c: Support notebook DND. New API includes
	gtk_notebook_set_window_creation_hook, 
	gtk_notebook_[gs]et_group_id,
	gtk_notebook_[gs]et_tab_reorderable, 
	gtk_notebook_[gs]et_tab_detachable (#73240, Carlos Garnacho)

2006-02-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextiter.c: Fix macro declaration

	* gtk/gtkaboutdialog.c: Remove an accidentally included function.

2006-02-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextbtree.c: 
	* gtk/gtktextiter.c: Minor optimizations.  (#332059, Arnaud Charlet)

	* gtk/gtkradiobutton.c (gtk_radio_button_clicked): Emit notify::active
	here, when changing the value of this property.  (#331651)

	* gtk/gtknotebook.c: Apply a patch by Paolo Borelli to
	make the tab menu keynavigatable.  (#331440)

2006-02-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaboutdialog.c: Change Close buttons to GTK_RESPONSE_CANCEL
	so Escape works. (#331940, Daniel Drake)

2006-02-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtksettings.c: added boolean property gtk-touchscreen-mode,
	which essentially means "there are no motion notify events", so
	widgets can't use the pointer hovering them for anything.

	* gtk/gtkmenu.c: if gtk-touchscreen-mode is TRUE, scroll menus
	when clicking the scroll arrows, since hovering goes undetected.
	Fixes bug #323028.

	Added boolean style property "double-arrows" which always makes
	both scroll arrows visible when the menu is too long.
	For pushed-in popup menus, both arrows are always shown
	(regardless of double-arrows), in order to fix user confusion
	about the blank area. Fixes bug #129463.

2006-02-21  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_rows_reordered):
	Make sure we always update the virtual root, also when ->priv->root
	is still NULL.  (Markku Vire)

2006-02-21  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkselection-quartz.c:
        (make_list):
        (gdk_text_property_to_utf8_list_for_display):
	Add these from the win32 backend.

2006-02-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c: Properly update internal state
	when child visibility changes.  (#331785, Sebastien Bacher)

	* gdk/gdkgc.c (_gdk_gc_update_context): Obtain the
	background color from the gc when it is needed.  (#331820)

2006-02-19  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkgc.c (_gdk_gc_update_context): Add a gc_changed
	argument, and avoid setting the clip region if the gc
	has not changed. 

	* gdk/gdkgc.c: Update all callers.

	* gdk/gdkpango.c (get_cairo_context): Avoid updating the
	context if nothing changed.

2006-02-20  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkdisplay-quartz.c:
        (gdk_display_supports_shapes):
        (gdk_display_supports_input_shapes):
        * gdk/quartz/gdkwindow-quartz.c:
        (gdk_display_warp_pointer):
        (gdk_window_input_shape_combine_mask):
        (gdk_window_input_shape_combine_region):
        (gdk_window_set_child_input_shapes):
        (gdk_window_set_accept_focus):
        (gdk_window_merge_child_input_shapes):
	Add stubs for input shape functions.

2006-02-20  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkevents-quartz.c:
        (get_keyboard_modifiers_from_nsevent):
	Fix typo so ctrl gets passed on to the gdk event.
	
        * gdk/quartz/gdkproperty-quartz.c:
        (gdk_atom_name):
	g_strdup the atom name.

2006-02-20  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkdisplay-win32.c (gdk_display_supports_shapes):
	New function, return TRUE.
	(gdk_display_supports_input_shapes): New function, return FALSE.

	* gdk/win32/gdkwindow-win32.c (do_shape_combine_region): New
	function. Factor out code from gdk_window_shape_combine_mask().
	(gdk_window_shape_combine_region): Actually do something. Convert
	region to a HRGN and call do_shape_combine_region().
	(gdk_window_input_shape_combine_mask)
	(gdk_window_input_shape_combine_region)
	(gdk_window_set_child_input_shapes)
	(gdk_window_merge_child_input_shapes): New functions, dummy
	implementations.

2006-02-20  Michael Natterer  <mitch@imendio.com>

	* gdk/x11/gdkdisplay-x11.h (struct _GdkDisplayX11): adding boolean
	have_shapes and have_input_shapes members fixes the build.

2006-02-20  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkfont-win32.c: Replace all calls to g_strcasecmp()
	with g_ascii_strcasecmp().

2006-02-19  Matthias Clasen  <mclasen@redhat.com>

	Support input shapes:  (#331070)
	
	* gdk/gdk.symbols: 
	* gdk/gdkdisplay.h: 
	* gdk/gdkwindow.h: 
	* gdk/x11/gdkdisplay-x11.c (gdk_display_supports_shapes) 
	(gdk_display_supports_input_shapes): Functions to determine
	if a display supports shaped windows or input shapes.

	* gdk/x11/gdkwindow-x11.c (gdk_window_input_shape_combine_region): 
	(gdk_window_input_shape_combine_mask): 
	(gdk_window_set_child_input_shapes): 
	(gdk_window_merge_child_input_shapes): Input shape versions
	of the window shape API.

	* gtk/gtk.symbols: 
	* gtk/gtkwidget.h: 
	* gtk/gtkwidget.c (gtk_widget_input_shape_combine_mask): 
	New function to set an input shape on a widget.

2006-02-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklinkbutton.c (gtk_link_button_class_init): Fix
	a cast.

2006-02-17  Matthias Clasen  <mclasen@redhat.com>

	DND keynav support:
	
	* gtk/gtkdnd.c (gtk_drag_update_idle): Protect against 
	info->last_event being NULL.
	(gtk_drag_key_cb): Handle arrow keys to move the drag icon
	and space or enter to drop.

2006-02-17  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkregion-generic.c (gdk_region_union_with_rect):
	Be robust and reject rectangles with negative width or
	height.  (#331467, Benjamin Berg)


2006-02-17  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_rows_reordered):
	Only update the virtual root if the child path is an ancestor
	of the virtual root.  (Patch from Markku Vire).

2006-02-16  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdialog.c (gtk_file_chooser_dialog_map): Call
	::initial_focus() on the child before calling ::map() on our
	parent class.  This will prevent the shortcuts treeview from
	highlighting its first row as a result of getting assigned focus
	by gtk_dialog_map().

2006-02-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c (gtk_widget_send_expose): Remove redundant
	check.  Pointed out by Bodo-Merle Sandor.

	* gtk/gtkcolorbutton.c (gtk_color_button_[un]realize):
	Remove unnecessary checks.  

2006-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c (gtk_icon_theme_list_icons): Give working
	examples in the docs.  (#330944, John Spray)

2006-02-10  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkiconview.c (gtk_icon_view_get_item_at_coords): Fix
	row_spacing/column_spacing confusion.  (#330732, Donald Straney)

2006-02-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkstyle.c: Add some docs. (#330073, Mart Raudsepp)

	* gtk/gtkentrycompletion.c (gtk_entry_completion_match_selected): 
	Guard against NULL.  (#330177, Raphael Slinckx)

2006-02-10  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/gtk/tmpl/gtkcomboboxentry.sgml: Mention that 
	the changed signal is emitted when typing - not just when 
	selecting from the list. Suggest use of GtkEntry::action to 
	etect end of typing.
	 gtk/gtkcombobox.c: (gtk_combo_box_class_init): changed signal 
	ocumentation: Mention that the GtkComboBoxEntry emits it when 
	he users types, not just when he selects from the list.

2006-02-10  Murray Cumming  <murrayc@murrayc.com

	* gtk/gtkassistant.h: Correct the declaration of the prepare 
	default signal handler to match its registration and use.

2006-02-09  Ross Burton  <ross@burtonini.com>

	* gtk/gtkfontbutton.c:
	Work out the font size in floating point, and display the font
	size with %g instead of %d (#317590)

2006-02-09  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (gdk_event_translate)
	<WM_MOUSELEAVE>: If we don't know where we went, and have
	generated a leave event, set current_window to the root
	window. This assures we will generate proper enter and leave
	events for popup windows. (#325521)

2006-02-08  John Ehresman  <jpe@wingware.com>

	* gdk/win32/gdkevents-win32.c (gdk_event_translate)
	<WM_MOUSEACTIVATE>
	* gdk/win32/gdkwindow-win32.c (show_window_internal)
	(gdk_window_raise): Call SetWindowPos() instead of
	SetForegroundWindow() or BringWindowToTop() if the window
	shouldn't accept focus. (#327375)
	
2006-02-08  John Ehresman  <jpe@wingware.com>

	* gdk/win32/gdkwindow-win32.c: Let gdk_window_set_decorations()
	take precedence over anything derived from hints. Restructure
	related code and logic, add some new helper functions. (#327217)

2006-02-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c: Don't put relevant callss
	in g_assert().  (#329876, Kristian Rietveld)

2006-02-08  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (gdk_pointer_grab)
	(gdk_display_pointer_ungrab, gdk_keyboard_grab)
	(gdk_display_keyboard_ungrab): Consistenly use assign_object()
	when assigning GdkWindow pointers so that the ref counting doesn't
	get off whack.

	(handle_stuff_while_moving_or_resizing): Don't use deprecated API.

	(gdk_event_translate) <WM_MOUSEMOVE>: When the pointer is grabbed
	with owner_events FALSE, generate enter and leave events only for
	the grab window. (#321054)

2006-02-08  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_ref_path),
	(gtk_tree_model_filter_unref_path): free temporary paths after
	usage (patch from maemo-gtk),
	(gtk_tree_model_filter_clear_cache): fix little typo in the docs
	(patch from maemo-gtk).

	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_row_deleted): remove
	stale FIXME.

2006-02-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystem.c (gtk_file_info_copy): Copy the display_key
	as well.  (#330389, Markku Vire)

2006-02-08  Tor Lillqvist  <tml@novell.com>

	* gtk-zip.sh.in: Drop the timestamp from the zipfile names.

2006-02-07  Sven Neumann  <sven@gimp.org>

	* gdk/directfb/AUTHORS: updated mine and Dok's email address.

2006-02-06  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_get_search_entry): fix compiler
	warning.

2006-02-05  Dom Lachowicz <cinamod@hotmail.com>

	* gdk/gdkcairo.c (gdk_cairo_set_source_pixbuf): Bug #330022
	Wrong pixel values are computed when color = 0xFF and alpha = 0xFF
	
2006-02-04  Michael Emmel  <mike.emmel@gmail.com>
	Added new directfb backend located in gdk/directfb
	plus patches to compile new backend
	compile with --with-gdktarget=directfb

2006-02-03  Federico Mena Quintero  <federico@ximian.com>

	Work around https://bugs.freedesktop.org/show_bug.cgi?id=4320,
	which used to be our own
	http://bugzilla.gnome.org/show_bug.cgi?id=314616.  If one uses a
	pixmap for a pattern in Cairo, and sets the pattern to
	CAIRO_EXTEND_REPEAT; and if the destination surface is also a
	pixmap, Cairo does a slow copy instead of using XCopyArea().  So,
	we use the same code that we used in GTK+ 2.6 (pre-cairo), by
	filling the double-buffer pixmap with a tiled GC and
	XFillRectangle().

	* gdk/gdkwindow.c (BackingRectMethod): New structure with a
	cairo_t and a GdkGC field.  Depending on which of these fields
	gets filled in, we'll use Cairo or GDK to clear the double-buffer
	pixmap when painting a window.
	(setup_backing_rect_method): Fill a BackingRectMethod as
	appropriate, depending on the window's configuration and our
	knowledge of whether Cairo is fast or slow when doing repeating
	patterns.
	(gdk_window_clear_backing_rect): Call
	setup_backing_rect_method().  Depending on what it returns, use
	Cairo to clear the double-buffer pixmap, or plain GDK.

2006-02-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklabel.c (get_layout_location): Fix handling
	of padding in RTL.  (#329099, Hooman Mesgary) 

2006-02-02  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkdnd-x11.c (_gdk_drag_get_protocol_for_display):
	Make drops on the root window work again.  (#145243, Andrew S. Dixon)

2006-02-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c (gtk_widget_class_init): Wrap dnd signal
	docs to 80 columns.

2006-01-31  Matthias Clasen  <mclasen@redhat.com>

	* autogen.sh: Touch README and INSTALL here to pacify 
	automake.  (#329124, Kjartan Maraas, Tim Janik)

2006-01-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkassistant.h: 
	* gtk/gtkassistant.c: Actually implement visibility handling,
	and add gtk_assistant_update_buttons_state.

	* tests/testassistant.c: Test visibility handling.

2006-01-31  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkstyle.c (gtk_default_draw_flat_box): Add support for row
	hinting for the selected state.

2006-01-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentrycompletion.c (_gtk_entry_completion_resize_popup): 
	Make sure the tree view is realized, since we grab the
	focus to it.  (#329144, Wouter Bolsterlee)

	* gtk/gtkspinbutton.h: 
	* gtk/gtkspinbutton.c: Add a wrapped signal.  (#322933,
	Carlos Garnacho Parro)

	* gtk/gtkassistant.c: More generous spacing. (#328082,
	Christian Persch, patch by Carlos Garnacho)
	
	* gtk/gtktoggletoolbutton.c (gtk_toggle_tool_button_set_property): 
	Use the setter for active.  (#329208, Guillaume Cottenceau)

	* docs/tools/widgets.c (get_all_widgets): Add GtkLinkButton

	* gtk/gtkassistant.c (gtk_assistant_init): Move the
	last button to the left where it does not affect
	the positioning of forward/back.

2006-01-29  Matthias Clasen  <mclasen@redhat.com>

	More GtkAssistant work, by Carlos Garnacho.
	
	* tests/testassistant.c: Additions.

	* gtk/gtkassistant.c: Handle page visibility, other 
	small fixes.

	* docs/tools/widgets.c: Add GtkAssistant.

2006-01-28  Behdad Esfahbod  <behdad@gnome.org>

	* configure.in: If major.minor of required and available glib versions
	are the same, add -DG_DISABLE_DEPRECATED to GLIB_CFLAGS. (bug #328617)

	* */Makefile.am: Remove hardcoded -DG_DISABLE_DEPRECATED.

2006-01-28  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows/msw-style.c: Re-sync with gtk-wimp
	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc: Ditto
	
2006-01-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: 
	* gtk/gtklinkbutton.h: 
	* gtk/gtklinkbutton.c: Allow to set a global hook function
	thats called whenever a link button is clicked.

	More work on GtkAssistant by Carlos Garnacho:
	
	* demos/gtk-demo/Makefile.am: 
	* demos/gtk-demo/assistant.c: Add a  GtkAssistant demo.

	* gtk/gtkassistant.c: Handle focus, several small fixes to the
	flow computations.

2006-01-27  Federico Mena Quintero  <federico@ximian.com>

	Fixes bug #328820:

	* gtk/gtkfilechooserdefault.c
	(gtk_file_chooser_default_class_init): Make GDK_KP_Divide pop up
	the location dialog populated to "/".
	(tree_view_keybinding_cb): Likewise.
	(trap_activate_cb): Likewise.

2006-01-25  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkcalendar.c (gtk_calendar_size_request): Use translated format
	strings for L10n in size calculation too.

	* gtk/gtkcalendar.c (calendar_paint_week_numbers): Expand buffer to
	accomodate localized digits.

2006-01-26  Matthias Clasen  <mclasen@redhat.com>

	* tests/prop-editor.c: Introspect child properties. too.

2006-01-25  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkcalendar.c (calendar_paint_week_numbers, calendar_paint_day):
	Use contexed translated strings calendar:week:digits|%d and
	calendar:day:digits|%d to let translators choose localized digits for
	week and day numbers. (bug #317171, Hamed Malek)

2006-01-25  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtklabel.c (get_layout_location): Use logical extents of the
	layout instead of ink extents.  According to Pango docs, that's what
	should be used for placement.  Moreover, simply use
	pango_layout_get_pixel_size instead of getting the extents and
	dividing ourselves.

2006-01-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentrycompletion.c: 
	* gtk/gtkentry.c: Be more careful when blocking signals. 

	* gdk/x11/gdkcursor-x11.c (gdk_x11_display_set_cursor_theme): Only
	set the cursor size if it is != 0.

	* gtk/gtksettings.c (gtk_settings_class_init): Change the default value
	of gtk-cursor-theme-size to 0, meaning "use default".

2006-01-24  Kristian Rietveld  <kris@gtk.org>

	#322591, Jonathan Blandford.

	* gtk/gtktreeview.[ch] (gtk_tree_view_get_search_entry),
	(gtk_tree_view_set_search_entry),
	(gtk_tree_view_get_search_position_func),
	(gtk_tree_view_set_search_position_func): New functions,
	and small adaptions to the tree view code to allow for setting
	the entry and search position function.

	* gtk/gtktreeprivate.h: Removed GtkTreeViewSearchDialogPositionFunc
	typedef, which is now in gtktreeview.h as
	GtkTreeViewSearchPositionFunc.  Add/update fields.

	* gtk/gtk.symbols: Add new functions.

	* tests/testtreesort.c: Add a little test for _set_search_entry().

2006-01-23  Matthias Clasen  <mclasen@redhat.com>

	Add GtkLinkButton, a port of GnomeHRef.  (#314808, Emmanuele Bassi)
	
	* gtk/gtklinkbutton.h: 
	* gtk/gtklinkbutton.c: New files.

	* gtk/gtk.h:
	* gtk/gtk.symbols: 
	* gtk/Makefile.am: Glue.

	* gtk/gtkaboutdialog.c: Use GtkLinkButton.
	
	* gtk/gtkwidget.c: Add link-color and visited-link-color style
	properties.  (#113649, Leena Gunda)

	* gtk/gtkaboutdialog.c: Use the new style properties here instead
	of the about dialogs own link-color property. 

2006-01-23  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreemodel.c (gtk_tree_model_base_init): don't copy
	tree paths when emitting signals. (#325041, Matthias Clasen).

2006-01-23  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtklabel.c (get_layout_location): Fix misalignment of RTL
	text in ellipsized GtkLabel: use layout width if set, otherwise
	fallback to ink extents width. (#322042)

2006-01-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkassistant.c (compute_last_button_state): Only show the
	last button if we can jump to the end. 
	(gtk_assistant_init): Make the spacing and button order more
	HIG compliant.

	Fix drawing issues in progress bars.  (#328081, Christian Persch)
	
	* gtk/gtkprogressbar.c (gtk_progress_bar_size_request): Always
	request enough space. 
	(gtk_progress_bar_paint_activity) 
	(gtk_progress_bar_paint_continuous) 
	(gtk_progress_bar_paint_discrete): Clip when drawing the bar.

2006-01-23  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcolorbutton.c: move destruction of the private GdkGC
	from finalize() to unrealize(). Fixes BadMatch on display change
	(bug #85715).

2006-01-22  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_bin_expose): Revert previous
	commit after more searching in the bugzilla archives (see #309221).

2006-01-22  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_bin_expose): Remove second call
	to gtk_tree_view_column_cell_set_cell_data, since we also set the
	cell data before iterating over the columns for exposure. (Fixes
	#322471, Duncan Coutts).

2006-01-21  Matthias Clasen  <mclasen@redhat.com>

	* tests/testassistant.c: Add some tests for GtkAssistant

	* tests/Makefile.am: Glue

2006-01-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkassistant.c: Fix the docs to reflect the actual signal
	signatures.

	* gtk/gtktextview.c (gtk_text_view_set_virtual_cursor_pos): Don't
	crash if layout is NULL.  (#327934, Christian Kirbach)

2006-01-20  Dan Winship  <danw@novell.com>

	* gtk/gtkfilechooserdefault.c (gtk_file_chooser_default_class_init,
	tree_view_keybinding_cb, trap_activate_cb): On "unix", pop up the
	"Open Location" window on "~" as well as "/". #153213
	(location_entry_create): Fix this so autocompletion still works
	correctly in that case.

2006-01-19  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Explicitly link against Xrender.  
	(#327538, Christophe Belle)
	
	* gdk/x11/gdkprivate-x11.h (XID_FONT_BIT): 
	* gdk/x11/gdkfont-x11.c: 
	* gdk/x11/gdkxid.c: Use an unused high bit in the
	XID to mark fonts in the global xid hash table.

	* gdk/x11/gdkcursor-x11.c (update_cursor): Skip fonts
	when iterating over the xid hash table, since calling
	GDK_IS_WINDOW () on an GdkFont can cause a segfault.
	(#327751, Ryan Lovett)

2006-01-19  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkassistant.[hc]: Use a priv pointer for
	cheap access to the priv struct.  (#327725, Christian
	Persch)

	* gtk/gtkassistant.h: Fix line endings.

2006-01-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkassistant.[hc]: Add GtkAssistant, a widget to
	construct multi-step wizards.  (#115348, Martyn Russell, 
	Matthias Clasen, Carlos Garnacho Parro)

	* gtk/gtk.symbols:
	* gtk/Makefile.am: 
	* gtk/gtk.h: Necessary glue.

2006-01-18  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkevents-quartz.c:
        (get_mm_from_pixels):
        (gdk_screen_get_width_mm):
        (gdk_screen_get_height_mm):
	Implement these functions.
	(#327228, Thomas Broyer).

2006-01-18  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkdrawable-quartz.c:
        (gdk_quartz_draw_polygon):
        (gdk_quartz_draw_lines):
	Implement these functions.
	(#327226, Thomas Broyer)
	
2006-01-18  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkkeys-quartz.c:
	(maybe_update_keymap):
	Support non-MacRoman keyboard layouts.
	(#322585, Wolfgang Thaller)
	
2006-01-18  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkmain-quartz.c:
        (_gdk_windowing_init):
        Make the process a foreground application.
        (#322481, Wolfgang Thaller)
        
2006-01-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrbtree.c: 
	* gtk/gtktreemodel.c: Fix several g_new() calls which
	were using extra indirections or pointless casts.  
	(#327423, Morten Welinder)

Tue Jan 17 19:27:59 2006  Tim Janik  <timj@imendio.com>

	* gtk/gtkprogress.c: fix adopted from maemo-gtk.
	gtk_progress_create_pixmap(): clear out the newly created offscreen 
	pixmap, so themes making use of transparency don't draw onto garbage.

2006-01-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbutton.c: remove the "child-spacing" style property again
	and add "inner-border" instead. That's far more flexible and
	"child-spacing" was a bad name anyway.

2006-01-17  Michael Natterer  <mitch@imendio.com>

	* configure.in (ALL_LINGUAS): remove "ang" again until all po
	files are there.

2006-01-16  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "ang" "zh_HK" to ALL_LINGUAS.

2006-01-16  Matthias Clasen  <mclasen@redhat.com>

	* README.in: Mention new pixbuf engine features.

	* gtk/gtk.symbols: 
	* gtk/gtkradioaction.[hc]: Add a current-value property and a
	setter for it.  (#322735, Jorn Baayen)
	
2006-01-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbutton.c: applied patch from maemo-gtk which adds a
	child-spacing style property. Fixes bug #327202.

2006-01-16  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkdisplay-quartz.c:
        * gdk/quartz/gdkevents-quartz.c:
        (gdk_keyboard_grab):
        (gdk_display_keyboard_ungrab):
        (gdk_keyboard_grab_info_libgtk_only):
        (find_window_for_event):
        Implement keyboard grabs.
        
        (_gdk_quartz_send_map_events):
        * gdk/quartz/gdkmain-quartz.c:
        * gdk/quartz/gdkprivate-quartz.h:
        New function that synthesizes map events.
        
        * gdk/quartz/gdkwindow-quartz.c:
        (_gdk_windowing_window_init):
        The root window is always visible.
        
        (all_parents_shown):
        (show_window_internal):
        Send map events.
        
        (gdk_window_hide):
        Ungrab keyboard and pointer

2006-01-15  Kristian Rietveld  <kris@gtk.org>

	Fixes #324099, Tommi Komulainen.

	* gtk/gtktreestore.[ch] (gtk_tree_store_insert_with_values),
	(gtk_tree_store_insert_with_valuesv): new functions, analog to
	those found in GtkListStore.

	* gtk/gtktreestore.c (gtk_tree_store_real_set_value),
	(gtk_tree_store_set_valist), (gtk_tree_store_set_valist_internal),
	(gtk_tree_store_sort_iter_changed): refactored.

	* gtk/gtk.symbols: updated.

	* tests/treestoretest.c: added a test for this new functionality.

2006-01-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (gtk_entry_drag_data_received): Remove 
	an unused variable.

	* gtk/gtkiconfactory.c (get_default_icons): Register RTL 
	versions of the indent and unindent icons.  (#326857,
	Itai Bar-Haim)

	* gtk/Makefile.am (STOCK_ICONS): And add them here.

	Fix a crash with combo boxes in RESIZE_IMMEDIATE
	containers.  (#326806, Sebastian Bacher)
	
	* gtk/gtkcombobox.c (gtk_combo_box_size_allocate) 
	(gtk_combo_box_size_request): Don't call 
	gtk_combo_box_check_appearance() from here, as that 
	can lead to recursion. 
	(gtk_combo_box_init): Instead, call it here.

2006-01-14  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_iter_children): fix
	a typo which caused this whole thing to not function ...

2006-01-14  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_size_allocate),
	(validate_visible_area): fixup adjustments and top_row if the
	current dy + page_size exceeds the new tree view height. (Fixes
	#316689, reported by Chris Lord).

2006-01-13  Matthias Clasen  <mclasen@redhat.com>

	* */abicheck.sh: Make this work on more platforms.

2006-01-13  Kristian Rietveld  <kris@imendio.com>

	* tests/testtreefocus.c (set_indicator_size), (main): add a little
	test for the newly introduced indicator-size property.

2006-01-13  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellrenderertoggle.c (gtk_cell_renderer_toggle_init):
	initialize the inconsistent field in the private structure,
	(gtk_cell_renderer_toggle_class_init),
	(gtk_cell_renderer_toggle_{set,get}_property),
	(gtk_cell_renderer_toggle_get_size): introduce a indicator-size
	property.

2006-01-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_real_expand_row)
	(gtk_tree_view_real_collapse_row): don't animate the expander
	arrows if gtk-enable-animations is FALSE (bug #142582).

2006-01-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c: Replace hardcoded values for tab-overlap and
	tab-curvature with style properties.  (#325282, Alexander Nedotsukov)

	* gtk/gtktextview.c (gtk_text_view_commit_text) 
	(gtk_text_view_delete_from_cursor, gtk_text_view_backspace): 
	Reset the virtual cursor position.  (#326003, Evert Verhellen)

	* gtk/gtkwidget.c (gtk_widget_set_app_paintable): Add some docs
	about RGBA windows. (#326486, Benjamin Otte)

2006-01-12  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkimage.c (scratch_image_info_for_depth): connect to the
	display's "closed" signal and free the cached scratch images upon
	display closing (bug #85715).

2006-01-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkexpander.c (gtk_expander_set_expanded): skip the
	animation if the gtk-enable-animations setting is FALSE
	(bug #142582).

2006-01-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklabel.c: Fix a C99ism (#326658, Kazuki Iwamoto)

2006-01-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklabel.c: Add some notify batching, always
	emit notify after setting the new value.

	* gtk/gtkmessagedialog.c: Add properties.  (#311254,
	Johan Dahlin)
	(gtk_message_dialog_new): Remove some redundant code, pointed
	out by Gustavo Carneiro.

	* gdk/x11/gdkwindow-x11.c (create_moveresize_window): Clean
	up properly if the grab fails.
	(finish_drag): Don't leak a reference to moveresize_window
	here.

2006-01-11  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkevents-x11.c: Fix string offsets.

	Allow falling back to another icon theme before 
	hicolor.   (#325546, Rodney Dawes)
	
	* gtk/gtksettings.c: Add a gtk-fallback-icon-theme setting.

	* gdk/x11/gdkevents-x11.c: Map it to the XSetting Net/FallbackIconTheme.
	
	* gtk/gtkicontheme.c: Consult the fallback icon theme before
	looking in hicolor. 

2006-01-10  Matthias Clasen  <mclasen@redhat.com>

	* tests/testgtk.c: Add an expander example.

	* gtk/gtkcalendar.c (gtk_calendar_focus_out): Queue a draw
	when losing the focus.  (#326064, Andrew Conkling)

	* gtk/gtkimmulticontext.c: 
	* gtk/gtkhsv.c: 
	* gtk/gtkhandlebox.c: Convert to use instance private data.

	* gtk/gtk.h: Remove duplicate include.  (#326429, 
	Benoît Carpentier)

	* gtk/gtkpaned.c: Convert to use instance private data.

2006-01-10  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkpango.c (on_renderer_display_closed): disconnect from the
	right object ("closed" is emitted by the display, not the screen).
	(bug #85715)

2006-01-10  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/gdkproperty-quartz.c:
        (ensure_atom_tables):
        (intern_atom_internal):
        (gdk_atom_intern):
        (gdk_atom_intern_static_string):
        (gdk_atom_name):
        Implement local-only atoms.

2006-01-09  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkgc.c (gc_get_foreground): Correct a warning.
	(#326341, Benoît Carpentier)

	* gtk/gtk.symbols:
	* gtk/gtkwindow.h:
	* gtk/gtkwindow.c (gtk_window_get_group): Make this function
	public API.  (#307099, Todd Berman)

	* gtk/gtkmenu.c: 
	* gtk/gtkmain.c: 
	* gtk/gtkentrycompletion.c: 
	* gtk/gtkcombo.c: 
	* gtk/gtkcombobox.c: Update all callers.

	* gtk/gtkentry.c (paste_received):  Make GtkEntryCompletion
	complete on pastes at the end.  (#165714, Christian Neumair)

	* gtk/gtkentrycompletion.c (_gtk_entry_completion_popup): 
	Prevent the first row being focused on map.  (#137351,
	Niklas Knutsson)

2006-01-09  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk.symbols:
	* gtk/gtkeditable.h:
	* gtk/gtksizegroup.c: (gtk_size_group_get_widgets):
	* gtk/gtksizegroup.h:
	(struct _GtkSizeGroup): 

	Add gtk_size_group_get_widgets, fixes #326324.
	Also mark all fields of GtkSizeGroup as private

2006-01-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextlayout.c (gtk_text_layout_finalize): Don't
	leak preedit_string and preedit_attrs.  (#322332, Paolo
	Borelli)

	* gtk/gtk.symbols:
	* gtk/gtkaction.h: 
	* gtk/gtkaction.c (gtk_widget_get_action): New function to
	get the action for a proxy.  (#326288)

	* gtk/gtkaction.c: Go back to the old key for attaching the
	action to the proxy.  (#326288, Diego González)

2006-01-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkactiongroup.c (dgettext_swapped): Don't translate
	empty strings.  (#326200, Christian Stimming)

2006-01-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.[hc]: 
	* gtk/gtklabel.[hc]: Shrink the private structs of these a bit.

	* gtk/gtklabel.c (get_layout_location): Fix label alignment 
	when width-chars is set.  (#326098, Benjamin Otte)

	* gdk/gdkregion-generic.c (miRegionCopy): Fix this for the 
	single-rectangle case.  (#326127, Benjamin Berg)
	(gdk_region_copy): Use miRegionCopy() here.

2006-01-07  Matthias Clasen  <mclasen@redhat.com>

	Fix actiongroup-action interaction that relied on 
	actions connecting to notify on themselves:
	
	* gtk/gtkaction.[hc]: Factor out the code updating the
	visibility/sensitivity of proxies into _gtk_action_sync_visible()
	and _gtk_action_sync_sensible().

	* gtk/gtkactiongroup.c: Call the new functions when the
	group visibility/sensitivity changes. 

2006-01-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkactiongroup.c (gtk_action_group_set_sensitive) 
	(gtk_action_group_set_visible): Add missing property change
	notification.

2006-01-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c (model_add_special): Just use the
	directory name for the home dir.  (#325817, Federico Mena Quintero)
	
	* gtk/gtktexttag.c (gtk_text_attributes_new): Initialize editable 
	to TRUE. 
	(gtk_text_tag_class_init): The default value for the direction 
	property is GTK_TEXT_DIR_NONE. Add notes about the initial values 
	of the font and language properties.

	* gtk/gtktoolbutton.c (gtk_tool_button_class_init): Make clicked
	an action signal.  (#325782, Martyn Russell)

	* gtk/gtkviewport.c (viewport_set_adjustment): Disconnect from
	the old adjustments signals.  (#325869, Jorn Baayen)

2006-01-06  Hans Breuer  <hans@breuer.org>

	* tests/makefile.msc : added a bunch of tests
	* tests/testcellrenderertext.c : use g_snprintf()
	* tests/testfilechooserbutton.c : don't include unistd.h twice.
	Removed the unconditional one and added direct.h for G_OS_WIN32
	
2006-01-05  Hans Breuer  <hans@breuer.org>

	* gdk/makefile.msc : also recurse into win32 for ::clean
	* gtk/makefile.msc.in : create gtkbuiltincache.h (most code
	to simulate links) and file renames

2006-01-05  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkprogressbar.c: Set minimum for activity-step property to 0
	instead of -G_MAXUINT.
	
2006-01-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwindow.c: Only connect to the event if we have
	a frame, since the handler is only relevant in that case.

	* gtk/gtkaction.c (connect_proxy, disconnect_proxy): 
	Use a weak reference rather than the destroy signal to track 
	proxies going away.

	* gtk/gtkbindings.c (binding_signal_new): Revert the last change.

	* gtk/gtkaction.c (gtk_action_sync_property): 
	(gtk_action_sync_stock_id): Removed.

2006-01-05  Rodrigo Moya <rodrigo@novell.com>

	* gtk/gtkbindings.c (binding_signal_new): allocate correct amount for
	signal and arguments.

2006-01-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklabel.c (gtk_label_grab_focus): Don't return a value from
	a void function.

2006-01-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbindings.h (struct _GtkBindingSignal): Revert questionable
	changes.
	
	* gtk/gtkbindings.c: Use the slice allocator and allocate signal
	and arguments in one block.

	* gtk/gtkuimanager.c (gtk_ui_manager_get_toplevels): Don't return
	a list of NULLs.  (#325723, Steve Chaplin)

2006-01-04  Rodrigo Moya <rodrigo@novell.com>

	* gtk/gtkbindings.c (binding_signal_new): guard against multiplying
	by -1 (when n_args is 0).

2006-01-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenutoolbutton.c
	(gtk_menu_tool_button_set_menu)
	(gtk_menu_tool_button_destroy): use gtk_menu_attach_to_widget()
	and gtk_menu_detach() instead of reffing/unreffing the menu
	manually. Also fixes brokenness on screen change (bug #85715).

2006-01-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaccelmap.c: 
	* gtk/gtkactiongroup.c: 
	* gtk/gtkdialog.c: 
	* gtk/gtkfilesystemunix.c: 
	* gtk/gtkgc.c: 
	* gtk/gtkkeyhash.c: 
	* gtk/gtkplug.c: 
	* gtk/gtktextiter.c: 
	* gtk/gtktextlayout.c: 
	* gtk/gtkuimanager.c: 
	* gtk/gtkwidget.c: 
	* gtk/gtkwindow.c: 
	* gtk/gtkxembed.c: Use the slice allocator for many small 
	allocations.

	* gtk/gtkcolorsel.c: 
	* gtk/gtktreeview.c: Use IPN.

	* gtk/gtkwidget.c: Remove an unused field from the AccelPath 
	struct.

2006-01-04  Tor Lillqvist  <tml@novell.com>

	* gtk-zip.sh.in: Include also the gtk20-properties message catalogs.

2006-01-03  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkdnd.c: Make it compile

	* gtk/gtkdnd.c (gtk_drag_begin_internal): Call gtk_drag_update
	for non-motion events.  (#325443, Peter Harvey)

	* gtk/gtkaction.c: Avoid connecting to notify on our own
	properties. 

2006-01-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (gtk_entry_delete_from_cursor): When deleting
	words, delete preceding whitespace as well.  (#325358,  Akkana Peck)

2006-01-02  Anders Carlsson  <andersca@imendio.com>

        * gdk/quartz/GdkQuartzWindow.c:
        (-[GdkQuartzWindow canBecomeMainWindow]):
        (-[GdkQuartzWindow canBecomeKeyWindow]):
        Have these return TRUE
        
        * gdk/quartz/gdkevents-quartz.c:
        (pointer_grab_internal):
        Remove FIXME
        
        (find_child_window_by_point_helper):
        Fix bug in offset calculation
        
        (find_window_for_event):
        Use grab window toplevel when a grab is in effect
        
        (gdk_event_translate):
        Don't call _gdk_event_button_generate on mouse up
        
        * gdk/quartz/gdkgc-quartz.c:
        (_gdk_quartz_gc_new):
        Fix indentation
        
        * gdk/quartz/gdkwindow-quartz.c:
        (gdk_window_new):
        Make TEMP windows borderless
        
        (gdk_window_hide):
        Hide window
        
        (gdk_window_get_origin):
        Implement
        
2006-01-02  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c
	(gdk_window_impl_win32_get_visible_region): Make identical to the
	X11 implementation. (#322264, John Ehresman)

	* gdk/win32/gdkgeometry-win32.c (gdk_window_scroll): Get the
	invalidated region from ScrollWindowEx() instead of an incorrect
	attempt to calculate it ourselves. Fix by John Ehresman. (#323666)

	* gdkevents-win32.c: Make _gdk_win32_hrgn_to_region() non-static.

	* gdkprivate-win32.h: Declare it.

2005-12-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaction.c: 
	* gtk/gtkentry.c: Connect to notify instead of multiple
	detailed signals.

2005-12-30  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk.symbols: 
	* gdk/gdkcairo.h: 
	* gdk/gdkcairo.c: Add gdk_cairo_set_source_pixmap.  (#318805,
	Alexander Larsson)

	* gdk/gdkdisplaymanager.c (gdk_display_manager_set_property): Call
	gdk_display_manager_set_default_display() to change the default
	display.  (#153623, Stefan Kost)

	* gtk/gtkmessagedialog.c (gtk_message_dialog_init):
	 (setup_type): Alert dialogs should not have titles and should 
	not be displayed in the taskbar.  (#310443, Carlos Garnacho Parro,
	Dennis Cranston)

2005-12-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkliststore.c: 
	* gtk/gtktreestore.c: Always call the get_path and get_iter
	implementations directly, rather than the current mixture whith
	some calls going through the GtkTreeModel interface.

	* gtk/gtktreemodelsort.c: 
	* gtk/gtkliststore.c: 
	* gtk/gtktreestore.c: Remove excessive g_return_if_fail() checks
	in static functions.
	
	* gtk/gtktreedatalist.c: Use the slice allocater for 
	GtkTreeDataSortHeader.

	* gtk/gtktreedatalist.h: 
	* gtk/gtktreedatalist.c (_gtk_tree_data_list_set_header): New function.

	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_set_sort_func): 
	* gtk/gtkliststore.c (gtk_list_store_set_sort_func): 
	* gtk/gtktreestore.c (gtk_tree_store_set_sort_func): Use it here.

2005-12-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbindings.h (GtkBindingSignal): 
	* gtk/gtkbindings.c (binding_signal_new): Make the
	args a flexible array inside the struct, and allocate them
	together.

Wed Dec 28 00:45:46 2005  Tim Janik  <timj@gtk.org>

	* gtk/gtkctree.c (row_delete): delete GtkCTreeRow as GtkCTreeRow, not
	clist rows which crashes in gslice later on.

2005-12-27  Federico Mena Quintero  <federico@ximian.com>

	* gtk/gtkfilefilter.c (gtk_file_filter_filter): In the case for
	FILTER_RULE_PIXBUF_FORMATS, check that filter_info->mime_type is
	not NULL.  Fixes bug #317687.

2005-12-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkevents-x11.c (check_transform): Fix a typo.
	(gdk_screen_get_setting): Avoid relocations for the settings
	map.

	* gdk/x11/gdkproperty-x11.c: Avoid relocations for the list
	of standard atoms.

	* gtk/gtkbindings.c (gtk_binding_set_new): Avoid copying
	the set_name by interning it.

2005-12-26  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkdisplay-x11.c (gdk_display_open): Precache atoms
	before calling gdk_window_new().

	* gtk/gtktextbtree.c: Use the slice allocator for some other small
	auxiliary structures as well.

	* gtk/gtkimcontext.c (gtk_im_context_filter_keypress): Clarify
	docs.  (#324996)

	* gtk/gtktextbtree.c (gtk_text_btree_get_tag_info) 
	(gtk_text_btree_remove_tag_info): Use the slice allocator for 
	tag info.

	* README.in: Mention the stripping of (_F) suffixes.

	* gtk/gtktoolbar.c (_gtk_toolbar_elide_underscores): Strip a suffix of 
	the form "(_<single character>)", since this is the preferred way
	for some languages to indicate accelerators.  (#323956, Yang Hong)

	* gtk/gtklabel.c (gtk_label_class_init): Add a gtk-label-select-on-focus
	setting.
	(gtk_label_grab_focus): And use it here to select the contents of
	the label when appropriate.
	(gtk_label_class_init): Use the same keybindings for select all/
	unselect all as GtkEntry and GtkTextView.

	* gtk/gtkdialog.c (gtk_dialog_map): When looking for the initial
	focus, avoid leaving a selection in a label.

2005-12-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwindow.c: Documentation fixes.  (#324815, 
	Ross Burton)

	* configure.in: Require GLib 2.9.2

2005-12-24  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkregion-generic.c: 
	* gdk/gdkpolyreg-generic.c: 
	* gdk/gdkregion.h: 
	* gdk/gdkrectangle.c: Inline docs, use g_assert(), avoid 
	extra allocation for rectangular regions.

Thu Dec 22 18:53:14 2005  Tim Janik  <timj@gtk.org>

        * gtk/gtkobject.[hc]: renamed GUnowned to GInitiallyUnowned.

Thu Dec 22 17:55:11 2005  Tim Janik  <timj@gtk.org>

	* gtk/gtkobject.h: parent type fixups in structure declarations.

Thu Dec 22 16:01:27 2005  Tim Janik  <timj@imendio.com>

	* gtk/gtkobject.c: derive GtkObject from GUnowned,
	so it initially has a floating reference count.
	gtk_object_class_init(): installa floating flag handler with
	libgobject, so for GtkObjects the flag is stored as GTK_FLOATING
	in the ->flags member.

	* tests/floatingtest.c: test floating flag uses.

2005-12-21  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkregion-generic.c: Use the slice allocator
	for regions. Still todo: avoid extra allocations for
	the single-rectangle case.

	* gtk/gtksettings.c (gtk_settings_class_init): Update
	class_n_properties after installing color-hash, since
	other classes install settings, too.

	* gtk/gtkctree.c: 
	* gtk/gtkclist.c: Fix some mistakes in the conversion
	from mem chunks to slice allocator.

	* gtk/gtkiconview.c (adjust_wrap_width): Adjust the 
	wrap-width also if an explicit item width is set.  
	(#322475, Alex Graveley)
	
2005-12-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (gtk_icon_view_button_press): Reset 
	pressed_button to -1 after handling a double click, so that
	motion events occurring between here and the release event
	don't trigger DND.  (#324588, Dave Andreoli)

2005-12-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcellrenderer.c: 
	* gtk/gtkselection.c: 
	* gtk/gtkcalendar.c: 
	* gtk/gtkitemfactory.c: 
	* gdk/gtkcombo.c: 
	* gdk/gdkpixbuf-render.c: Documentation updates

	* gtk/gtktreemodel.c: 
	* gtk/gtkplug.c: 
	* gtk/gtkwindow.c: Documentation fixes.

2005-12-19  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.c: implement boolean property "truncate-multiline"
	which, when enabled, truncates multi-line pastes or drops to their
	first line. Fixes bug #322252.

	* gtk/gtkfilechooserentry.c (gtk_file_chooser_entry_init): enable
	truncate-multiline here.

2005-12-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (get_color_hash): Don't crash if
	there is no color scheme.  (#324429, Diego Gonzalez)

2005-12-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystem.c (gtk_file_system_module_load): 
	* gtk/gtkimmodule.c (gtk_im_module_load): 
	* gtk/gtkthemes.c (gtk_theme_engine_load): 
	* gtk/gtkmodules.c (find_module): Use G_MODULE_BIND_LAZY when
	opening modules.

	* gtk/gtksettings.[hc]: Rework the way the color scheme setting
	is inherited. Now the overriding is done on a per-color basis,
	rather than for the setting as a whole. This has the effect
	that themes can declare defaults for all the symbolic colors they
	use by specifying a value for the gtk-color-scheme setting in 
	their rc file, while still allowing the XSetting to override
	"standard" symbolic colors. The hash table is now available
	through the color-hash property.
	
	* gtk/gtkrc.c: Use the new color-hash property.
	
2005-12-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcontainer.c (_gtk_container_focus_sort): Skip unrealized
	children when doing focus sorting.  (#323995, Dan Winship)

2005-12-14  Rodney Dawes  <dobey@novell.com>

	* gtk/gtkfilesystemunix.c (gtk_file_system_unix_volume_render_icon):
	Default to "drive-harddisk" and then fall back to gnome-dev-harddisk
	(get_icon_for_mime_type): Look up the mime type icons according to the
	Icon Naming Specification and then fall back to the gnome-mime- prefix
	for the mime type icons

	Fixes #323655
	
2005-12-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkdnd.c (gtk_drag_set_icon_name): Warn if the icon
	cannot be loaded.  (#323504, Kjartan Maraas)

	* gtk/gtktreeview.c (gtk_tree_view_class_init): Add docs 
	for the row-activated signal.  (#324044, Davyd Madeley)

2005-12-14  Michael Natterer  <mitch@imendio.com>

	* tests/test-images/valid_jpeg_progressive_test: new test image.

Tue Dec 13 09:47:20 2005  Tim Janik  <timj@gtk.org>

	* README.in: added a link to the floating reference docs in the
	2.10 release NEWS section.

2005-12-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextiter.c (gtk_text_iter_set_visible_line_index): 
	Speed this function up, using the fact that visibility is 
	constant across segments. (#321548, Paolo Borelli)

	* gtk/gtktextbtree.c (_gtk_text_line_char_to_byte_offsets): 
	* gtk/gtktextiter.c (gtk_text_iter_backward_chars): Speed up
	stepping backwards.  (#320638, Larry Ewing, Paolo Borelli)

	* gtk/gtkicontheme.c (ensure_valid_themes): Only broadcast
	_GTK_LOAD_ICONTHEMES if we detect a real theme change, not
	upon initial theme load.  (#323876, Peter Lund)

	* gtk/gtkstatusicon.c (gtk_status_icon_class_init): Register
	the size-changed signal correctly.  (#323848, Murray Cumming)

	* gtk/gtkmarshalers.list: Add necessary marshaller.

	* gtk/gtktextview.c (gtk_text_view_get_border_window_size): Don't
	fall thru to the wrong window types.  (#323843)

	Make the gtk-color-scheme setting work.
	
	* gtk/gtksettings.h: 
	* gtk/gtksettings.c (_gtk_settings_get_color_hash): Add a getter
	that takes care of initializing the color hash if it is not 
	already there.  

	* gtk/gtkrc.c (gtk_rc_color_scheme_changed, gtk_rc_context_get): 
	And use it here.	

2005-12-10  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk.c (gdk_parse_args): Warn if parsing fails,
	not if it succeeds. 

2005-12-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkselection.c (gtk_selection_data_get_uris): Don't
	leak list[0].  (#323629, Markku Vire)

	* gtk/gtktextbuffer.c (paste_from_buffer): Unref the buffer
	when freeing the RequestData.  (#323577)

2005-12-07  Matthias Clasen  <mclasen@redhat.com>

	* demos/gtk-demo/iconview_edit.c (set_cell_color): Don't
	leak text.

	* gtk/gtktoolbutton.c (clone_image_menu_size): Fix a 
	variable name clash.  (#323475, Ross Burton)

2005-12-07  Ross Burton  <ross@burtonini.com>

	* docs/reference/gtk/tmpl/gtkenums.sgml:
	* gtk/gtktoolbutton.c:
	If the toolbar mode is ICONS and there is no icon set then show
	the label, and vice versa (#322019)

2005-12-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbutton.c (clone_image_menu_size): Fix a 
	variable name clash.  (#323475, Ross Burton)

	* gtk/gtktreeview.c (gtk_tree_view_key_press): Use the correct
	window when synthesizing the key event.  (#323077,
	Sadrul Habib Chowdhury)
	
	(gtk_tree_view_search_key_press_event): Also listen for
	GDK_ISO_Left_Tab.  (#323077, Sadrul Habib Chowdhury)

	* gtk/gtktextview.c (gtk_text_view_preedit_changed_handler): 
	Only scroll if we have focus.  (#316310, Paolo Borelli)

	* gtk/gtkfilesystemunix.c (cb_fill_in_mime_type): Fix a C99ism,
	spotted by Crispin Flowerday.

2005-12-06  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtksettings.c (settings_update_font_options): Turn metrics
	hinting on (part of #307196)

2005-12-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkimcontextsimple.c (gtk_im_context_simple_reset): Don't
	commit from reset, it upstets GtkTextView.

	* gtk/gtktextview.c (gtk_text_view_check_cursor_blink): Be more
	careful when turning blinking on and off.
	(gtk_text_view_focus_out_event): Make the cursor really invisible
	when the focus goes away.  (#323087, Sadrul Habib Chowdhury)
	(cursor_blinks): Check the gtk-cursor-blink setting first.

	* gtk/gtktreeview.c (gtk_tree_view_key_press): Fix refcounting
	issues with new_event and its window.

	* gtk/gtkmenu.c (gtk_menu_attach_to_widget): Accept NULL
	as a detach func.  (#323386, Jorn Baayen)

	* gtk/gtkcalendar.c: Avoid conflict with win32 headers in
	the libdate routines.  (#323045, Kazuki Iwamoto)

	* gdk/gdk.c (gdk_parse_args): 
	* gtk/gtkmain.c (gtk_parse_args): Don't ignore errors
	from g_option_context_parse(). 

Tue Dec  6 11:37:59 2005  Tim Janik  <timj@gtk.org>

	* gdk/gdkevents.c (gdk_event_new): fix missing hash table 
	initialization.

Tue Dec  6 10:32:17 2005  Tim Janik  <timj@gtk.org>

	* gtk/gtkstatusbar.c: ported memchunk uses to g_slice, so the code
	compiles again.

2005-12-05  Federico Mena Quintero  <federico@ximian.com>

	* gtk/gtkfilechooserdefault.c (trap_activate_cb): "event->state &
	modifiers", not "event->state && modifiers".  Patch by Sadrul
	Habib Chowdhury <imadil@gmail.com>.  Fixes bug #323073.

2005-12-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c: 
	* gtk/gtkuimanager.c: 
	* gtk/gtktreedatalist.c: 
	* gtk/gtktext.c: 
	* gtk/gtkmain.c: 
	* gtk/gtkitemfactory.c: 
	* gtk/gtkseparator.[hc]:
	* gtk/gtkclist.[hc]: 
	* gtk/gtkctree.c:
	* gtk/gtkgc.c: Use g_slice instead of mem chunks.

2005-12-05  Michael Natterer  <mitch@imendio.com>

	* gdk/x11/gdkevents-x11.c: map the new GtkSettings properties
	"timeout-initial", "timeout-repeat", "color-scheme" and
	"enable-animations" to X settings.

2005-12-05  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkevents.c: 
	* gdk/gdkcolor.c: Use g_slice instead of mem chunks.

	* gtk/gtktreeview.c (gtk_tree_view_key_press): Free new_event
	after sending it to the search entry.  (#323209, Crispin Flowerday)

	* README.in: Add a note about GTK_FLOATING.

	* gtk/gtkobject.h (GTK_OBJECT_FLOATING): Use g_object_is_floating.

2005-12-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbutton.c (clone_image_menu_size): Don't leak
	a pixbuf.  (#323024, Paolo Borelli)

2005-12-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystemunix.c (get_icon_for_mime_type): Don't crash
	if mime_type is NULL.  (#322998, Sadrul Habib Chowdhury)

2005-12-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c: applied modified patch from maemo-gtk which
	adds a "horizontal-padding" style property. Fixes bug #323036.

2005-12-01  Michael Natterer  <mitch@imendio.com>

	Merged modified patch from maemo-gtk that allows to disable
	toolbar animations. Addresses bug #142582.

	* gtk/gtksettings.c: added boolean property "gtk-enable-animations".
	(patch from Christian Neumair)

	* gtk/gtktoolbar.c: don't animate toolbar changes if the settings
	property is FALSE. Replaced the individual "notify::foo"
	connections to GtkSettings by a single "notify" callback and
	dispatch internally.

2005-12-01  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_class_init): removed redundant
	assignment of widget_class->motion_notify_event

2005-11-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoggleaction.c (gtk_toggle_action_class_init): Add 
	an active property.  (#322673, Jorn Baayen)

	Properly handle model changes in GtkTreeSelection: (#322569,
	Milosz Derezynski)
	
	* gtk/gtktreeselection.c (gtk_tree_selection_selected_foreach): 
	Get a reference to the model, and stop the iteration if the model
	of the treeview is changed on the way.

	* gtk/gtktreeprivate.h: 
	* gtk/gtktreeselection.c (_gtk_tree_selection_emit_changed): New 
	private function to emit the GtkTreeSelection::changed signal.

	* gtk/gtktreeview.c (gtk_tree_view_set_model): Call 
	_gtk_tree_selection_emit_changed() when the model changes.

2005-11-28  Federico Mena Quintero  <federico@ximian.com>

	Fixes the critical warnings from bug #317999, thus fixing the bug
	completely:

	* gtk/gtkfilechooserdefault.c
	(gtk_file_chooser_default_get_paths): In SELECT_FOLDER mode,
	use _gtk_file_chooser_get_current_folder_path() instead of fetching the
	impl->current_folder directly.  The latter may be null if we are
	in RELOAD_NONE state.

2005-11-28  Federico Mena Quintero  <federico@ximian.com>

	Fix bug #321560, based on a patch by Bogdan Nicula (bogdanni@hotmail.com):

	* gtk/gtkfilechooserdefault.c (up_folder_handler): Don't add the
	current_folder to the pending select paths here; the path bar will
	give it to us now.
	(path_bar_clicked): Add the child_path to the pending select paths
	here.
	(show_and_select_paths): Don't filter out folders.
	(show_and_select_paths): Don't take separate arguments for
	only_one_path and multiple paths.

	* tests/autotestfilechooser.c (test_folder_switch_and_filters):
	New test about preserving the filters when we change folders.

2005-11-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkscale.c (_gtk_scale_format_value): Insert an LRM, to prevent
	-20 to come out as 20- in RTL locales.  (#322571, Tze'ela Hebron)

	* gtk/gtkaction.c (gtk_action_sync_button_stock_id) 
	(connect_proxy): Buttons use the label property for stock ids.  (#322565,
	Milosz Derezynski)

	* gtk/gtkiconview.c (update_text_cell, update_pixbuf_cell): Correctly
	handle the cell list and indices into it.  (#321856)

2005-11-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltips.c (gtk_tooltips_timeout): Set timer_tag to 0 when
	the timeout is done.  (#322291, Jean-Yves Lefort)

2005-11-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_key_press_event_cb): Make
	F2 work for renaming bookmarks.  (#320822, Jaap A. Haitsma, patch
	by Paolo Borelli)

2005-11-28  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c (gdk_window_set_urgency_hint):
	Implement the conditional use of FlashWindowEx() properly for MSVC
	compilations. The code was confusingly assuming that if compiled
	with a "new" compiler, it will only be run on "new" Windows
	versions. We want it to run on "old" versions, too, even if
	compiled with a "new" compiler. There are two orthogonal issues:
	whether the compiler defines the necessary API in its headers, and
	whether it is present at run-time. (#318077)

	* gtk/gtkcalendar.c (gtk_calendar_init): Use GetLocaleInfo() on
	Windows to get the localized weekday and month names. strftime()
	in the Microsoft C library returns strings in the default codepage
	for the locale of the process, not the system codepage. Thus
	g_locale_to_utf8() isn't useable on the return value from
	strftime(). (#322603)

2005-11-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmessagedialog.c (gtk_message_dialog_new_with_markup): 
	Fix an example.  (#322493, Elie De Brauwer)
	
	Fix two memory handling problems in GtkTreeView: (#322350, 
	Søren Sandmann)
	
	* gtk/gtktreeview.c (gtk_tree_view_destroy) 
	(gtk_tree_view_set_model): Remove all references to nodes in
	the old model.
	(gtk_tree_view_real_collapse_row): Unmark expanded_collapsed_node
	before removing the children.

	* gtk/gtkcolorbutton.c (gtk_color_button_init): Don't leak a 
	PangoLayout here.  (#322505, Paolo Borelli)

2005-11-27  Tor Lillqvist  <tml@novell.com>

	Once again rework Win32 window decoration code. Doesn't break
	#104514. The dialogs in gtk-demo now have the same decorations and
	behaviour as on X11. Tried to fix #322516 but it seems very hard
	to make the trivial sample program there behave as expected. OTOH,
	simply moving the gtk_window_decorate() call in the #322516 sample
	program after the call to gtk_widget_show() helps...
	    
	* gdk/win32/gdkwindow-win32.c (set_or_clear_style_bits): Revert to
	the correct semantics. Each call to gdk_window_set_decorations()
	which calls this function is supposed to affect all decorations.

	(decorate_based_on_hints): New function, looks at both geometry
	hints and type hint and sets window decorations based on
	that. Consolidate code from gdk_window_set_geometry_hints() and
	gdk_window_set_type_hint() here.

	(gdk_window_set_geometry_hints, gdk_window_set_type_hint): Call
	decorate_based_on_hints().

2005-11-25  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows/*.[ch]: Merge with gtk-wimp's CVS.
	Includes improved menu icon spacing, [+]/[-] expander drawing,
	status-bar gippie drawing, and notebook tab drawing.
	
2005-11-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktoolbar.h (struct _GtkToolbar): changed two private guint
	that used to hold signal handler IDs to two guint of padding.

	* gtk/gtktoolbar.c (struct _GtkToolbarPrivate): added them as
	gulong here.

	(gtk_toolbar_screen_changed): changed accordingly.

Wed Nov 23 18:55:47 2005  Tim Janik  <timj@imendio.com>

	* gtk/gtkobject.[hc]: deprecated floating/sink API and implemented it
	in terms of the GObject floating/sink API.

	* gtk/gtkaboutdialog.c:
	* gtk/gtkaction.c:
	* gtk/gtkcellview.c:
	* gtk/gtkclist.c:
	* gtk/gtkcolorsel.c:
	* gtk/gtkcombobox.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkiconview.c:
	* gtk/gtkinvisible.c:
	* gtk/gtkitemfactory.c:
	* gtk/gtklayout.c:
	* gtk/gtkmenu.c:
	* gtk/gtkmenutoolbutton.c:
	* gtk/gtknotebook.c:
	* gtk/gtkprogress.c:
	* gtk/gtkrange.c:
	* gtk/gtkspinbutton.c:
	* gtk/gtkstatusicon.c:
	* gtk/gtktext.c:
	* gtk/gtktextview.c:
	* gtk/gtktoolbar.c:
	* gtk/gtktoolbutton.c:
	* gtk/gtktoolitem.c:
	* gtk/gtktreeitem.c:
	* gtk/gtktreeview.c:
	* gtk/gtktreeviewcolumn.c:
	* gtk/gtkuimanager.c:
	* gtk/gtkviewport.c:
	* gtk/gtkwidget.c:
	* gtk/gtkwindow.c:
	ported to use GObject's g_object_ref_sink().

	* gtk/gtkcolorsel.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkaboutdialog.c:
	fixed compiler warnings.

2005-11-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (gtk_settings_class_init): Add some docs
	about gtk-color-scheme.

2005-11-23  Behdad Esfahbod  <behdad@gnome.org>

	* configure.in (enable_explicit_deps): Fix typo when checking
	libtool config deplibs_check_method. Moreover, enable explicit
	deps if we get anything other than pass_all from libtool. (part of
	#318750)

2005-11-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c (write_csource): Don't create a big
	string, since Visual C++ doesn't like strings longer than 64k. 
	(#322238, Kazuki IWAMOTO

	* gtk/gtkentry.c: Include gtkimcontextsimple.h  (#322235,
	Kazuki IWAMOTO)

2005-11-23  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrc.c (gtk_rc_reset_widgets): don't leak all toplevel
	windows on other screens (correctly remove all temporary
	references).

2005-11-23  Michael Natterer  <mitch@imendio.com>

	Added symbolic themable colors. Patch is a merged version of
	proposals from Matthias and maemo-gtk. Fixes bug #114355.

	* configure.in: require glib >= 2.9.1 for refcountable hashtables.

	* gtk/gtksettings.c: added property "color-scheme" which is a
	string defining colors like "foreground:black\nbackground:grey".
	Automatically provide a name->GdkColor hash table mapping for the
	color scheme.

	* gtk/gtkrc.[ch]: added list of color hashes that works like the
	list of icon factories. Append the color scheme hash from
	GtkSettings if it exists. Extended gtkrc syntax to allow defining
	and referencing of logical colors. Also allow to modulate colors
	in gtkrc by using arbitrary expressions of mix(), shade(),
	lighter() and darker(). Added internal function
	_gtk_rc_style_get_color_hashes().

	* gtk/gtkstyle.[ch]: keep a private list of color hashes around.
	Get the list from _gtk_rc_style_get_color_hashes(). Export
	internal function _gtk_style_shade() (used by above color
	expressions). Added public API gtk_style_lookup_color() which
	looks up a logical color by name.

	* gtk/gtk.symbols: add gtk_style_lookup_color

	* tests/testgtkrc: use symbolic colors for making
	the scrollbars red.

2005-11-22  Michael Natterer  <mitch@imendio.com>

	Made button-press timeouts which work like key repeat timeouts
	configurable. Addresses bug #142582:

	* gtk/gtksettings.c: added properties "gtk-timeout-initial" and
	"gtk-timeout-repeat" which defalt to 200/20 (ms).

	Use the values from GtkSettings instead of hardcoding them
	(the repeat value is either taken as-is for fast repeat or
	multiplied by 5 for slow repeat). Changed all places to use these
	two standard initial/repeat timings:

	* gtk/gtkcalendar.c (unchanged 200/20)
	* gtk/gtknotebook.c (unchanged 200/100)
	* gtk/gtkpathbar.c (changed from 300/150 to 200/100)
	* gtk/gtkrange.c (changed from 250/100 to 200/100)
	* gtk/gtkspinbutton.c (unchanged 200/20)

2005-11-21  Anders Carlsson  <andersca@imendio.com>

        * configure.in:
        * gtk/Makefile.am:
        * gdk/Makefile.am:
	* gdk/quartz/*:
	Add quartz backend.
	
        * docs/tools/Makefile.am:
	Only build docshooter when the X11 backend is used.
	
        * gtk/gtkplug-stub.c:
	Include gtkplug.h here.
	
        * gtk/gtksocket-stub.c:
	Include gtksocket.h here.
	
2005-11-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkinputdialog.c: Convert GtkInputDialog to 
	g_type_class_add_private.

	* gtk/gtksocket.c: Convert GtkSocket to g_type_class_add_private.

	* gtk/gtkmenu.c: Convert GtkMenu to g_type_class_add_private.

	* gtk/gtk.symbols:
	* gtk/gtkcombobox.[hc]: Add a tearoff-title property,
	with getter and setter.  (#316482, Olexiy Avramchenko)

	* tests/testcombo.c (main): Test gtk_combo_box_set_title

	* gtk/gtkpathbar.c: Merge remaining fixes from the 2.8 branch,
	pointed out by Michael Natterer.

	Fix for bug #321542, Benedikt Meurer:
	
	* gtk/gtkcombobox.c (gtk_combo_box_set_active_internal):
	Emit notify::active.
	
	(gtk_combo_box_child_show, gtk_combo_box_child_hide): Use
	g_signal_emit, not g_signal_emit_by_name.

2005-11-18  Matthias Clasen  <mclasen@redhat.com>

	Fix crashes in connection with pathbar scrolling (#321560,
	Bogdan Nicula)
	
	* gtk/gtkpathbar.c (gtk_path_bar_update_slider_buttons): 
	Stop scrolling when desensitising slider buttons.
	(gtk_path_bar_scroll_timeout, gtk_path_bar_slider_button_press): 
	And use it here.  

	* gtk/gtkpathbar.h (struct _GtkPathBar): Add a separate
	scrolling_down flag.

2005-11-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpathbar.c (button_clicked_cb): Fix a C99ism.
	(#321777, Jens Granseuer)

	* gtk/gtkaction.c (disconnect_proxy): Disconnect the
	sync callback for the visibility property.  (#321761,
	Philip Langdale)

	Turn off input methods in invisible entries, since
	they are confusing.  (#317002, James Su)
	
	* gtk/gtkentry.c (gtk_entry_set_visibility): Toggle input
	methods if visibility changes.
	(popup_targets_received): Don't show the input method
	menu if the entry is invisible.  

2005-11-17  Matthias Clasen  <mclasen@redhat.com>

	* README.in: Add a note about range arrow sensitivity.

	* perf/treeview.c: const correctness fixes
	found by Arjan van de Ven and gcc.

2005-11-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkimage.c (animation_timeout): call
	gtk_window_process_updates() so the animation keeps running even
	if the main loop is busy with sources that eat a lot of cpu with
	high priority. Fixes bug #321444.

	(gtk_image_new_from_animation): document the fact that the
	animation will stop running if the main loop is busy with sources
	that have priorities higher than G_PRIORITY_DEFAULT.

	* tests/testimage.c: added test case that shows an animation even
	though a cpu-eating idle function is running.

2005-11-16  Michael Natterer  <mitch@imendio.com>

	* gdk/x11/gdkevents-x11.c (_gdk_events_uninit): new internal
	function which destroys the display's event source. Also removes
	the source from the global display_sources list and unrefs it.

	* gdk/x11/gdkprivate-x11.h: declare the function.

	* gdk/x11/gdkdisplay-x11.c (gdk_display_x11_dispose): call it
	instead of half-destroying the source here.

2005-11-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreestore.c (gtk_tree_store_move): Fix a memory
	leak.  (#321032, Peter Zelezny)

2005-11-15  Michael Natterer  <mitch@imendio.com>

	* gdk/x11/gdkdisplay-x11.c (gdk_display_x11_finalize): destroy
	display->xid_ht as late as possible (right before XCloseDisplay)
	because it still needs to be around when the display's screens are
	finalized. (#85715)

2005-11-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkselection.c (gtk_selection_data_set_uris): Don't
	leak result.  (#321441, Tommi Komulainen)

2005-11-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c (gtk_icon_theme_get_icon_sizes):
	Don't crash if there is no builtin icon.

2005-11-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrenderertoggle.c (gtk_cell_renderer_toggle_set_property):
	removed redundant calls to g_object_notify().

2005-11-13  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkcolor.c (gdk_color_parse): Documentation 
	improvements.  (#321338)

	* gtk/gtktextiter.c (gtk_text_iter_forward_search): Make
	limit an inclusive boundary.  (#321299)

2005-11-12  Michael Natterer  <mitch@imendio.com>

	* gtk/Makefile.am: fixed icon rules so gtkbuiltincache.h is only
	rebuilt if needed.

2005-11-12  Dom Lachowicz <cinamod@hotmail.com>

	* modules/engines/ms-windows/msw_style.c: Bug #313627. Make win32 
	theme's handling of toolbars, handleboxes, and menubars more in-line
	with Microsoft's IE style.
	* modules/engines/ms-windows/*.c: Indentation cleanups
	
2005-11-12  Matthias Clasen  <mclasen@redhat.com>

	Make builtin icons work in gtk_window_set_icon_name() 
	(#321046, Maxim Udushlivy)

	* gtk/gtkicontheme.c (insert_theme): Always insert the default
	theme.
	(ensure_valid_themes): Call _gtk_icon_theme_ensure_builtin_cache()
	from here.
	(theme_lookup_icon, find_builtin_icon): ...and not from here.
	(gtk_icon_theme_lookup_icon): Remove an unncessary assert.
	(gtk_icon_theme_get_icon_sizes): Also check builtin icons.

2005-11-12  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilesystemwin32.c (filename_get_info): Don't hide
	dotfiles, no such convention on Win32. Just hide files with the
	hidden attribute. (#314627)

2005-11-11  Federico Mena Quintero  <federico@ximian.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_insert_path): Do not
	check whether the path is a folder.  It is useful to bookmark
	files as well (e.g. todo.txt), and this will also help
	performance.
	(shortcuts_add_bookmark_from_path): Likewise.
	(shortcuts_activate_iter): Change folders or select files, as
	appropriate.

2005-11-11  Federico Mena Quintero  <federico@ximian.com>

	* tests/autotestfilechooser.c (main): Use
	g_log_set_default_handler() instead of explicitly setting a
	handler for each domain.

	* gtk/gtkfilechooserdefault.c (shortcuts_add_volumes): Only get
	the base path of the volume if it is mounted.

2005-11-11  Michael Natterer  <mitch@imendio.com>

	Added per-stepper API for GtkRange's stepper sensitivity as
	discussed in bug #321056:

	* gtk/gtkenums.h: added GtkSensitivityType which can be
	{ AUTO, ON, OFF }.

	* gtk/gtkrange.[ch]: added properties "lower-stepper-sensitivity"
	and "upper-stepper-sensitivity" and public getters/setters for
	them. Changed stepper drawing to honor the new properties.

	* gtk/gtk.symbols: added the new symbols.

2005-11-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c: Add show-popup and hide-popup signals and
	emit them when the popup is shown or hidden.  (#162531, Tommi
	Komulainen)

	* tests/testcombo.c: Add an example of popuplating a combobox
	on click.

	* gtk/gtktreeview.c (gtk_tree_view_motion_resize_column): Another
	erroneous semicolon.

	* gdk/x11/gdkcolor-x11.c (gdkx_colormap_get): Remove an erroneous
	semicolon. 

	Don't corrupt odd keymaps (#316638, Kean Johnston)
	
	* gdk/x11/gdkkeys-x11.c (set_symbol): Auxiliary function to
	handle frobbing keymaps with odd numbers of syms/code.
	
	* gdk/x11/gdkkeys-x11.c (update_keymaps): Use set_symbol() to 
	frob the keymap.

	Improve navigation to parent folders.  (#318444, Andrei Yurkevich)
	
	* gtk/gtkpathbar.[hc]: Add a child_path argument to
	the path_clicked signal.
	* gtk/gtkfilechooserdefault.c (path_bar_clicked): Select the
	child_path, if it is provided.
	* gtk/marshalers.list (path_bar_clicked): Add the necessary
	glue.

	* gtk/gtkmenu.c: Fix some compiler warnings. (#321141,
	Kjartan Maraas)
	
	* gtk/gtk.symbols: 
	* gtk/gtktreeview.h: 
	* gtk/gtktreeview.c: Implement a getter for headers-clickable.
	(#163851, Richard Hult)

2005-11-10  Michael Natterer  <mitch@imendio.com>

	Applied patch from maemo-gtk that addresses many issues wrt
	display migration and display closing (bug #85715).

	* gdk/gdkdisplay.c (gdk_display_dispose): don't just set the
	default display to NULL when it's closed. Instead set the most
	recently opened display as new default (if one exists).

	* gdk/gdkpango.c (on_renderer_display_closed): fixed signature
	of this callback.

	* gdk/gdkscreen.c (gdk_screen_dispose): check if the GCs still
	exist before unrefing them.

	* gdk/gdkwindow.c (_gdk_window_destroy_hierarchy): if the screen
	is closed, allow destruction of the root window.

	* gdk/x11/gdkdisplay-x11.c: moved some stuff from finalize() to
	dispose(), free stuff that was leaked before.

	* gdk/x11/gdkevents-x11.c (_gdk_x11_events_uninit_screen): check if
	the xsettings_client still exists before destroying it.

	* gdk/x11/gdkkeys-x11.c: added finalization and free the allocated
	X resources.

	* gdk/x11/gdkpixmap-x11.c: moved stuff from finalize() to new
	dispose() implementation.

	* gdk/x11/gdkscreen-x11.c: moved stuff from finalize() to
	dispose() and check if it still exists before unrefing it. Set
	their pointers to NULL/None *after* upchaining in dispose(),
	because X11 implementations of members of the parent class still
	need them for their own destruction.

	* gdk/x11/gdkvisual-x11.c: removed finalize() implementation which
	was g_error()ing when finalizing a visual.

	* gtk/gtkclipboard.c (gtk_clipboard_finalize): don't use
	get_clipboard_widget() because it would create the widget if it
	doesn't exist. Use g_object_get_data() directly instead.

	* gtk/gtktextdisplay.c (on_renderer_display_closed): fixed signature
	of this callback.

2005-11-10  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added Tatar (tt) to ALL_LINGUAS.

Wed Nov  9 16:29:42 2005  Tim Janik  <timj@imendio.com>

	* gtk/gtkrange.c: patch from maemo-gtk that changes GtkRange
	to render its arrows insensitive when the adjustment is in
	its min or max position. this makes range arrow behaviour 
	consistent with spin button behaviour. (#321056)

2005-11-09  Tor Lillqvist  <tml@novell.com>

	* gdk/gdkinternals.h
	* gdk/gdk.c (gdk_debug_keys[]): Add new GDK_DEBUG_DRAW flag to
	the GdkDebugFlag enum.

	* gdk/win32/gdkdrawable-win32.c: Use DRAW to trigger GDK_NOTEs in
	this file instead of MISC. Now asking for MISC will give mainly
	window manipulation debugging output with the Win32 backend.

2005-11-09  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c: Remove unnecessary includes.

	(_gdk_win32_get_adjusted_client_rect): Remove this two-line
	function which was used only in one place.

	(get_outer_rect): Use _gdk_win32_adjust_client_rect().

	(gdk_window_set_geometry_hints): If we have identical minimum and
	maximum size hints, remove the resize and maximize
	decorations/functions. (#104514)

	If we have a maximum size hint, remove the maximize
	decoration/function but ensure the resize decoration/function is
	available. Otherwise ensure both resize and maximize
	decorations/functions are there.

	(set_or_clear_style_bits): Factored out common code from
	gdk_window_set_decorations() and gdk_window_set_functions(). 

	Hack the window style setting once more: Only touch the window
	style bits corresponding to the GdkWMDecoration or GdkWMFunction
	parameter bitmasks. Hopefully this finally is the correct thing to
	do. We used to clear all other bits than those that were being
	set, or set all other bits than those that were being cleared.

	Take into account that adding or removing decorations leaves the
	window's outer size unchanged, i.e., the client area's size and
	position change. This is apparently not what we want, so change
	also the window's (outer) position and size appropriately so that
	the client area's position and size stay constant.

	gtk-demo's color selector dialog is now non-resizable like on X11
	(I tested with metacity in GNOME). Torn off menus are shrinkable
	vertically but have a maximum size, and are not maximizable or
	minimizable, like on X11.

	(gdk_window_set_decorations, gdk_window_set_functions): Let
	set_or_clear_decorations() do most of the job.

	* gdk/win32/gdkprivate-win32.h: Remove declaration of
	_gdk_win32_get_adjusted_client_rect().

2005-11-09  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.h (struct _GdkWindowImplWin32)
	* gdk/win32/gdkwindow-win32.c (gdk_window_impl_win32_init,
	gdk_window_get_type_hint, gdk_window_get_type_hint): Store the
	type hint. Implement gdk_window_get_type_hint() by just returning
	the hint stored.

2005-11-09  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c (gdk_window_set_geometry_hints):
	Remove code that has been permanently ifdeffed out for two years.

2005-11-08  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkgc.c (gdk_gc_finalize): Unref tile and stipple when
	finalizing a gc.  (#320789, Nickolay V. Shmyrev)

	* gdk/x11/gdkwindow-x11.c (gdk_window_set_icon_list): Ignore
	icons if they would make the request large enough to cause
	Xlib to loose the connection.  (#320909, Claudio Saavedra)

2005-11-08  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk.symbols
	* gdk/gdkwindow.h
	* gdk/x11/gdkwindow-x11.c: added gdk_window_get_type_hint() (patch
	extracted from maemo-gtk). Fixes bug #320872.

2005-11-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_reorder): Don't
	looks the bookmark label when reordering.  (#320720, Jeremy Cook)

	* gtk/gtkpathbar.[hc]: Set focus-on-click to FALSE for all buttons.
	Don't grab focus when a slider button is pressed, instead, use
	a bit in the pathbar struct to determine whether to scroll up
	or down.  (#314486, Carlos Garnacho)

	* gtk/gtkentrycompletion.c (_gtk_entry_completion_popup): 
	Don't popup the completions if the focus has already been
	moved somewhere else.  (#319914, Christian Persch)

	* gtk/gtktoolitem.c (_gtk_tool_item_toolbar_reconfigured): 
	Raise the drag_window after reconfiguring the 
	toolbar.  (#320803, Christian Persch)

	* gtk/gtk.symbols: 
	* gtk/gtkfilechooserbutton.h: 
	* gtk/gtkfilechooserbutton.c: Add a focus-on-click property
	with setter and getter.  (#318945, Christian Persch)
	
Mon Nov  7 16:15:16 2005  Tim Janik  <timj@imendio.com>

	* configure.in: fixed missing $X_CFLAGS setup in case x11.pc is present.

2005-11-07  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Adjust to the stock icon changes.
	
2005-11-07  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkcursor-win32.c (pixbuf_to_hbitmaps_normal):
	Correct the calculation of maskstride. (#320152, Peter Zelezny)
	
2005-11-06  Michael Natterer  <mitch@imendio.com>

	* gtk/Makefile.am (icons): fixed rule to actually create the
	symlinks, erroring out if anything goes wrong.

2005-11-06  Tor Lillqvist  <tml@novell.com>

	* gtk/updateiconcache.c (build_cache): Can't rename a file if the
	target exists on Win32. First rename the target temporarily, then
	if the renaming of the source to target fails, restore the
	original name for the target.

	* gtk/Makefile.am: Use EXEEXT in the dependency on gtk-update-icon-cache.

2005-11-06  Tor Lillqvist  <tml@novell.com>

	(pixbuf_to_hbitmaps_alpha_winxp): Use an 1-bit mask bitmap,
	like pixbuf_to_hbitmaps_normal().
	(_gdk_win32_pixbuf_to_hicon_supports_alpha): Check
	G_WIN32_IS_NT_BASED() first, so we can pretend being on Win9x by
	setting the G_WIN32_PRETEND_WIN9X environment variable.
	
2005-11-06  Tor Lillqvist  <tml@novell.com>

	Make icon masks work on Win98 (#320152, Peter Zelezny)

	* gdk/win32/gdkcursor-win32.c (create_color_bitmap): Take also a
	parameter for the depth of the bitmap, so that this function can
	be used to create 1-bit bitmaps, too.
	(pixbuf_to_hbitmaps_normal): Create an 1-bit bitmap for the mask,
	and initialize it properly.

2005-11-04  Matthias Clasen  <mclasen@redhat.com>

	Store builtin stock icons in an icon cache, instead of
	populating a hash table with pixbufs at startup, to save both
	memory and startup time.

	* gtk/stock-icons/*: Reorganize the icons in a directory structure
	suitable for gtk-update-icon-cache, and rename them to match the
	stock ids.

	* gtk/gtkiconcache.[hc]: Support non-mmapped icon caches, and
	add _gtk_icon_cache_has_icon_in_directory().

	* gtk/updateiconcache.c: Support a --source <VARIABLE> argument
	to store the contents of the icon cache in a C header.

	* gtk/gtkbuiltincache.h: Generated private header which contains 
	the icon cache for the builtin icons.

	* gtk/gtkicontheme.c: Create a GtkIconCache for the builtin
	icons, and use that in addition to the hash table whenever
	builtin icons are searched.

	* gtk/gtkiconfactory.c: Add GTK_ICON_SOURCE_STATIC_ICON_NAME and
	use it for static stock ids. 
	(get_default_icons): Don't add the builtin
	icons to the icon theme, just register the stock ids.
	(render_fallback_image): Take the fallback image out of the
	builtin icon cache.
	
	* gtk/Makefile.am: Remove stock-icons from SUBDIRS and add 
	the necessary machinery to rebuild gtkbuiltincache.h.

2005-11-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrc.c (gtk_rc_reparse_all_for_settings): applied patch
	from maemo-gtk that changes the mtime check for rc files from
	'>' to '!=', otherwise theme changes go unnoticed when turning
	back the clock (Tommi Komulainen).

2005-11-04  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkstatusicon.c (gtk_status_icon_set_tooltip): Plug memory
	leak on Win32.

2005-11-03  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkcursor-win32.c: As there is only one GdkDisplay in
	the Win32 backend, check that GdkDisplay* parameters are equal to
	_gdk_display instead of using the unnecessarily general
	GDK_IS_DISPLAY().

	(pixbuf_to_hbitmaps_alpha_winxp): Rename the variables for the
	color bitmap to have "color" in their name, for similarity with
	pixbuf_to_hbitmaps_normal(). Create a color bitmap for the mask,
	too, instead of creating a b&w bitmap with CreateBitmap(). Set up
	the mask bitmap's contents, ones for those pixels in the color
	bitmap where the alpha is zero, zero for other pixels. We used to
	use an uninitialized mask bitmap! This meant that icons and
	cursors created presumably worked more or less by accident.
	Totally blank icons with zero alpha everywhere (as used by
	gtktrayicon.c) definitely did not work as expected.

	* gtk/Makefile.am: Include gtkstatusicon.c on all platforms.

	* gtk/gtkstatusicon.c: Implement for Win32. Use code from
	gtktrayicon-win32.c as applicable. (gtktrayicon-win32.c is not
	necessary and can be removed from CVS. It has never been mentioned
	in gtk/Makefile.am.) No tray icon widget, GtkImage or GtkTooltips
	are used on Win32. One label widget is used (but never shown) as
	gtk_widget_render_icon() needs a widget.

	Ifdefs used as necessary in several places. It might be cleaner to
	split out the backend-specific parts to separate files, or at
	least collect them into separate blocks in the file.

	(wndproc): New function. Window procedure to monitor mouse events
	in the system tray icon. Call gtk_status_icon_button_press() as
	needed.
	(create_tray_observer): New function. Creates a hidden window that
	only serves as a tray icon message observer.

	* tests/teststatusicon.c (icon_activated): Position the dialog
	with GTK_WIN_POS_CENTER.
	(do_quit): New function, hide and unref the GtkStatusIcon, and
	call gtk_main_quit().
	(popup_menu): Add a Quit menu item that calls do_quit().
	
2005-11-02  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkcolor-win32.c
	* gdk/win32/gdkscreen-win32.c
	* gdk/win32/gdkwindow-win32.c: Whitespace consistency
	fixes. Remove superfluous test for GdkWindow* parameters being
